"""empty message

Revision ID: 1249c599d875
Revises: 4ee42e22970a
Create Date: 2023-02-21 14:44:15.869936

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '1249c599d875'
down_revision = '4ee42e22970a'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('introduction_meet',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('name', sa.String(length=20), nullable=True, comment='推介会名字'),
    sa.Column('time', sa.String(length=100), nullable=True, comment='时间段'),
    sa.Column('organizer', sa.String(length=20), nullable=True, comment='举办方'),
    sa.Column('img_url', sa.String(length=255), nullable=True, comment='推介会封面'),
    sa.Column('video_url', sa.String(length=255), nullable=True, comment='推介会介绍'),
    sa.Column('info', sa.Text(), nullable=True, comment='推介会介绍'),
    sa.PrimaryKeyConstraint('id'),
    comment='推介会数据表'
    )
    op.create_table('investment_information',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('name', sa.String(length=20), nullable=True, comment='招商资讯名字'),
    sa.Column('flag', sa.Integer(), nullable=True, comment='类型 1数据通报， 2工作动态'),
    sa.Column('time', sa.String(length=100), nullable=True, comment='时间段'),
    sa.Column('source', sa.String(length=20), nullable=True, comment='来源'),
    sa.Column('info', sa.Text(), nullable=True, comment='介绍'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商资讯数据表'
    )
    op.add_column('project', sa.Column('attract_industry', sa.String(length=255), nullable=True, comment='招引业态'))
    op.add_column('zaiti_build', sa.Column('district', sa.String(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_build', sa.Column('development_area', sa.String(length=50), nullable=True, comment='所属开发区'))
    op.add_column('zaiti_build', sa.Column('level', sa.String(length=255), nullable=True, comment='写字楼等级（甲/乙/其他）'))
    op.add_column('zaiti_build', sa.Column('address', sa.String(length=20), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'))
    op.add_column('zaiti_build', sa.Column('build_time', sa.String(length=20), nullable=True, comment='建成时间（年）'))
    op.add_column('zaiti_build', sa.Column('land_area', sa.String(length=10), nullable=True, comment='总占地面积（㎡）'))
    op.add_column('zaiti_build', sa.Column('build_area', sa.String(length=20), nullable=True, comment='总建筑面积（㎡）'))
    op.add_column('zaiti_build', sa.Column('single_area', sa.String(length=20), nullable=True, comment='单层面积（㎡）'))
    op.add_column('zaiti_build', sa.Column('empty_area', sa.String(length=20), nullable=True, comment='闲置面积（㎡）'))
    op.add_column('zaiti_build', sa.Column('layer_num', sa.Integer(), nullable=True, comment='总层数'))
    op.add_column('zaiti_build', sa.Column('carport', sa.Integer(), nullable=True, comment='车位（个）'))
    op.add_column('zaiti_build', sa.Column('elevator', sa.Integer(), nullable=True, comment='电梯（部）'))
    op.add_column('zaiti_build', sa.Column('is_water', sa.String(length=20), nullable=True, comment='是否已通水(是/否)'))
    op.add_column('zaiti_build', sa.Column('is_electric', sa.String(length=20), nullable=True, comment='是否已通电(是/否)'))
    op.add_column('zaiti_build', sa.Column('is_warm', sa.String(length=20), nullable=True, comment='是否已通暖(是/否)'))
    op.add_column('zaiti_build', sa.Column('is_gas', sa.String(length=20), nullable=True, comment='是否已通燃气(是/否)'))
    op.add_column('zaiti_build', sa.Column('is_internet', sa.String(length=20), nullable=True, comment='是否已通网络(是/否)'))
    op.add_column('zaiti_build', sa.Column('is_divide', sa.String(length=20), nullable=True, comment='是否可以分割(是/否)'))
    op.add_column('zaiti_build', sa.Column('attract_industry', sa.String(length=20), nullable=True, comment='拟招引产业'))
    op.add_column('zaiti_build', sa.Column('cooperation_model', sa.String(length=20), nullable=True, comment='合作模式(出租/出售/转让)'))
    op.add_column('zaiti_build', sa.Column('rent', sa.String(length=20), nullable=True, comment='租金（元/平米/天）'))
    op.add_column('zaiti_build', sa.Column('property_fee', sa.String(length=20), nullable=True, comment='物业费（元/平米/月）'))
    op.add_column('zaiti_build', sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'))
    op.add_column('zaiti_build', sa.Column('build_pic', sa.String(length=20), nullable=True, comment='楼宇图片'))
    op.alter_column('zaiti_build', 'name',
               existing_type=mysql.VARCHAR(length=20),
               comment='楼宇名称',
               existing_nullable=True)
    op.alter_column('zaiti_build', 'buide_type',
               existing_type=mysql.VARCHAR(length=20),
               comment='楼宇类型(商铺/写字楼/其他)',
               existing_nullable=True)
    op.alter_column('zaiti_build', 'telephone',
               existing_type=mysql.VARCHAR(length=20),
               comment='联系方式',
               existing_nullable=True)
    op.drop_column('zaiti_build', 'navigat')
    op.drop_column('zaiti_build', 'addr')
    op.drop_column('zaiti_build', 'acreage')
    op.drop_column('zaiti_build', 'navigator')
    op.drop_column('zaiti_build', 'rate')
    op.drop_column('zaiti_build', 'industry_type')
    op.add_column('zaiti_factory', sa.Column('district', sa.String(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_factory', sa.Column('development_area', sa.String(length=50), nullable=True, comment='所属开发区'))
    op.add_column('zaiti_factory', sa.Column('buide_type', sa.String(length=20), nullable=True, comment='厂房类型（单层/多层/混合层）'))
    op.add_column('zaiti_factory', sa.Column('is_standard', sa.String(length=20), nullable=True, comment='是否标准化厂房(是/否)'))
    op.add_column('zaiti_factory', sa.Column('address', sa.String(length=50), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'))
    op.add_column('zaiti_factory', sa.Column('build_time', sa.String(length=20), nullable=True, comment='建成时间（年）'))
    op.add_column('zaiti_factory', sa.Column('land_area', sa.String(length=20), nullable=True, comment='总占地面积（㎡）'))
    op.add_column('zaiti_factory', sa.Column('build_area', sa.String(length=255), nullable=True, comment='总建筑面积（㎡）'))
    op.add_column('zaiti_factory', sa.Column('empty_area', sa.String(length=20), nullable=True, comment='闲置面积（㎡）'))
    op.add_column('zaiti_factory', sa.Column('layer_num', sa.String(length=20), nullable=True, comment='总层数'))
    op.add_column('zaiti_factory', sa.Column('factory_structure', sa.String(length=20), nullable=True, comment='建筑结构（混凝土框架、钢结构、砖混、砖混钢筋、钢筋混凝土、轻钢）'))
    op.add_column('zaiti_factory', sa.Column('width', sa.String(length=10), nullable=True, comment='跨度（m）'))
    op.add_column('zaiti_factory', sa.Column('high', sa.String(length=20), nullable=True, comment='层高（m）'))
    op.add_column('zaiti_factory', sa.Column('is_water', sa.String(length=20), nullable=True, comment='是否已通水(是/否)'))
    op.add_column('zaiti_factory', sa.Column('is_electric', sa.String(length=20), nullable=True, comment='是否已通电(是/否)'))
    op.add_column('zaiti_factory', sa.Column('is_warm', sa.String(length=20), nullable=True, comment='是否已通暖(是/否)'))
    op.add_column('zaiti_factory', sa.Column('is_gas', sa.String(length=20), nullable=True, comment='是否已通燃气(是/否)'))
    op.add_column('zaiti_factory', sa.Column('is_internet', sa.String(length=20), nullable=True, comment='是否已通网络(是/否)'))
    op.add_column('zaiti_factory', sa.Column('is_car', sa.String(length=20), nullable=True, comment='是否可安装天车'))
    op.add_column('zaiti_factory', sa.Column('elevator', sa.String(length=20), nullable=True, comment='电梯(部)'))
    op.add_column('zaiti_factory', sa.Column('attract_industry', sa.String(length=20), nullable=True, comment='拟招引产业（下拉筛选）'))
    op.add_column('zaiti_factory', sa.Column('settled_enterprise', sa.String(length=20), nullable=True, comment='已入驻企业（企业全称，使用面积）'))
    op.add_column('zaiti_factory', sa.Column('cooperation_model', sa.String(length=20), nullable=True, comment='合作模式(出租/出售/转让)'))
    op.add_column('zaiti_factory', sa.Column('rent', sa.String(length=20), nullable=True, comment='租金（元/平米/天）'))
    op.add_column('zaiti_factory', sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'))
    op.add_column('zaiti_factory', sa.Column('factory_pic', sa.String(length=20), nullable=True, comment='厂房图片'))
    op.alter_column('zaiti_factory', 'name',
               existing_type=mysql.VARCHAR(length=20),
               comment='厂房名称',
               existing_nullable=True)
    op.alter_column('zaiti_factory', 'bearing',
               existing_type=mysql.VARCHAR(length=50),
               comment='承重（kg/㎡）',
               existing_nullable=True)
    op.alter_column('zaiti_factory', 'telephone',
               existing_type=mysql.VARCHAR(length=20),
               comment='联系方式',
               existing_nullable=True)
    op.drop_column('zaiti_factory', 'height')
    op.drop_column('zaiti_factory', 'navigat')
    op.drop_column('zaiti_factory', 'other')
    op.drop_column('zaiti_factory', 'structure')
    op.drop_column('zaiti_factory', 'addr')
    op.drop_column('zaiti_factory', 'acreage')
    op.drop_column('zaiti_factory', 'navigator')
    op.drop_column('zaiti_factory', 'factory_type')
    op.drop_column('zaiti_factory', 'industry_type')
    op.drop_column('zaiti_factory', 'new_level')
    op.add_column('zaiti_land', sa.Column('code', sa.String(length=20), nullable=True, comment='土地编码'))
    op.add_column('zaiti_land', sa.Column('district', sa.String(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_land', sa.Column('development_area', sa.String(length=20), nullable=True, comment='所属开发区'))
    op.add_column('zaiti_land', sa.Column('location', sa.String(length=50), nullable=True, comment='土地位置'))
    op.add_column('zaiti_land', sa.Column('land_use', sa.String(length=255), nullable=True, comment='用地四至'))
    op.add_column('zaiti_land', sa.Column('area', sa.String(length=255), nullable=True, comment='用地面积（净用地面积）（公顷）'))
    op.add_column('zaiti_land', sa.Column('surface_area', sa.String(length=20), nullable=True, comment='地上控制建面（㎡）'))
    op.add_column('zaiti_land', sa.Column('plot_ratio', sa.String(length=10), nullable=True, comment='容积率'))
    op.add_column('zaiti_land', sa.Column('greening_rate', sa.String(length=20), nullable=True, comment='绿化率'))
    op.add_column('zaiti_land', sa.Column('density', sa.String(length=20), nullable=True, comment='建筑密度'))
    op.add_column('zaiti_land', sa.Column('height_permitted', sa.String(length=20), nullable=True, comment='限高（㎡）'))
    op.add_column('zaiti_land', sa.Column('transfer_year', sa.String(length=20), nullable=True, comment='出让年限'))
    op.add_column('zaiti_land', sa.Column('develop_degree', sa.String(length=20), nullable=True, comment='用地开发程度（请详细描述几通一平）'))
    op.add_column('zaiti_land', sa.Column('investment_intensity', sa.String(length=20), nullable=True, comment='投资强度（万元/亩）'))
    op.add_column('zaiti_land', sa.Column('output_intensity', sa.String(length=20), nullable=True, comment='产出强度（万元/亩）'))
    op.add_column('zaiti_land', sa.Column('tax', sa.String(length=20), nullable=True, comment='地均税收（万元/亩）'))
    op.add_column('zaiti_land', sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'))
    op.add_column('zaiti_land', sa.Column('red_line_map', sa.String(length=20), nullable=True, comment='用地红线图'))
    op.add_column('zaiti_land', sa.Column('other_requirements', sa.String(length=20), nullable=True, comment='其他要求'))
    op.alter_column('zaiti_land', 'name',
               existing_type=mysql.VARCHAR(length=20),
               comment='土地名称',
               existing_nullable=True)
    op.alter_column('zaiti_land', 'nature',
               existing_type=mysql.VARCHAR(length=20),
               comment='用地性质(工业用地/商服用地/物流仓储用地/科研用地/居住用地)（包括用地性质类别代码）',
               existing_nullable=True)
    op.alter_column('zaiti_land', 'telephone',
               existing_type=mysql.VARCHAR(length=20),
               comment='联系方式',
               existing_nullable=True)
    op.drop_column('zaiti_land', 'age_limit')
    op.drop_column('zaiti_land', 'target')
    op.drop_column('zaiti_land', 'navigat')
    op.drop_column('zaiti_land', 'addr')
    op.drop_column('zaiti_land', 'acreage')
    op.drop_column('zaiti_land', 'navigator')
    op.drop_column('zaiti_land', 'num')
    op.drop_column('zaiti_land', 'industry_type')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('zaiti_land', sa.Column('industry_type', mysql.VARCHAR(length=255), nullable=True))
    op.add_column('zaiti_land', sa.Column('num', mysql.VARCHAR(length=20), nullable=True))
    op.add_column('zaiti_land', sa.Column('navigator', mysql.VARCHAR(length=10), nullable=True))
    op.add_column('zaiti_land', sa.Column('acreage', mysql.VARCHAR(length=50), nullable=True))
    op.add_column('zaiti_land', sa.Column('addr', mysql.VARCHAR(length=50), nullable=True))
    op.add_column('zaiti_land', sa.Column('navigat', mysql.VARCHAR(length=20), nullable=True))
    op.add_column('zaiti_land', sa.Column('target', mysql.VARCHAR(length=255), nullable=True))
    op.add_column('zaiti_land', sa.Column('age_limit', mysql.VARCHAR(length=20), nullable=True))
    op.alter_column('zaiti_land', 'telephone',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='联系方式',
               existing_nullable=True)
    op.alter_column('zaiti_land', 'nature',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='用地性质(工业用地/商服用地/物流仓储用地/科研用地/居住用地)（包括用地性质类别代码）',
               existing_nullable=True)
    op.alter_column('zaiti_land', 'name',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='土地名称',
               existing_nullable=True)
    op.drop_column('zaiti_land', 'other_requirements')
    op.drop_column('zaiti_land', 'red_line_map')
    op.drop_column('zaiti_land', 'linkman')
    op.drop_column('zaiti_land', 'tax')
    op.drop_column('zaiti_land', 'output_intensity')
    op.drop_column('zaiti_land', 'investment_intensity')
    op.drop_column('zaiti_land', 'develop_degree')
    op.drop_column('zaiti_land', 'transfer_year')
    op.drop_column('zaiti_land', 'height_permitted')
    op.drop_column('zaiti_land', 'density')
    op.drop_column('zaiti_land', 'greening_rate')
    op.drop_column('zaiti_land', 'plot_ratio')
    op.drop_column('zaiti_land', 'surface_area')
    op.drop_column('zaiti_land', 'area')
    op.drop_column('zaiti_land', 'land_use')
    op.drop_column('zaiti_land', 'location')
    op.drop_column('zaiti_land', 'development_area')
    op.drop_column('zaiti_land', 'district')
    op.drop_column('zaiti_land', 'code')
    op.add_column('zaiti_factory', sa.Column('new_level', mysql.VARCHAR(length=20), nullable=True))
    op.add_column('zaiti_factory', sa.Column('industry_type', mysql.VARCHAR(length=20), nullable=True))
    op.add_column('zaiti_factory', sa.Column('factory_type', mysql.VARCHAR(length=20), nullable=True))
    op.add_column('zaiti_factory', sa.Column('navigator', mysql.VARCHAR(length=10), nullable=True))
    op.add_column('zaiti_factory', sa.Column('acreage', mysql.VARCHAR(length=50), nullable=True))
    op.add_column('zaiti_factory', sa.Column('addr', mysql.VARCHAR(length=50), nullable=True))
    op.add_column('zaiti_factory', sa.Column('structure', mysql.VARCHAR(length=20), nullable=True))
    op.add_column('zaiti_factory', sa.Column('other', mysql.VARCHAR(length=255), nullable=True))
    op.add_column('zaiti_factory', sa.Column('navigat', mysql.VARCHAR(length=20), nullable=True))
    op.add_column('zaiti_factory', sa.Column('height', mysql.VARCHAR(length=20), nullable=True))
    op.alter_column('zaiti_factory', 'telephone',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='联系方式',
               existing_nullable=True)
    op.alter_column('zaiti_factory', 'bearing',
               existing_type=mysql.VARCHAR(length=50),
               comment=None,
               existing_comment='承重（kg/㎡）',
               existing_nullable=True)
    op.alter_column('zaiti_factory', 'name',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='厂房名称',
               existing_nullable=True)
    op.drop_column('zaiti_factory', 'factory_pic')
    op.drop_column('zaiti_factory', 'linkman')
    op.drop_column('zaiti_factory', 'rent')
    op.drop_column('zaiti_factory', 'cooperation_model')
    op.drop_column('zaiti_factory', 'settled_enterprise')
    op.drop_column('zaiti_factory', 'attract_industry')
    op.drop_column('zaiti_factory', 'elevator')
    op.drop_column('zaiti_factory', 'is_car')
    op.drop_column('zaiti_factory', 'is_internet')
    op.drop_column('zaiti_factory', 'is_gas')
    op.drop_column('zaiti_factory', 'is_warm')
    op.drop_column('zaiti_factory', 'is_electric')
    op.drop_column('zaiti_factory', 'is_water')
    op.drop_column('zaiti_factory', 'high')
    op.drop_column('zaiti_factory', 'width')
    op.drop_column('zaiti_factory', 'factory_structure')
    op.drop_column('zaiti_factory', 'layer_num')
    op.drop_column('zaiti_factory', 'empty_area')
    op.drop_column('zaiti_factory', 'build_area')
    op.drop_column('zaiti_factory', 'land_area')
    op.drop_column('zaiti_factory', 'build_time')
    op.drop_column('zaiti_factory', 'address')
    op.drop_column('zaiti_factory', 'is_standard')
    op.drop_column('zaiti_factory', 'buide_type')
    op.drop_column('zaiti_factory', 'development_area')
    op.drop_column('zaiti_factory', 'district')
    op.add_column('zaiti_build', sa.Column('industry_type', mysql.VARCHAR(length=255), nullable=True))
    op.add_column('zaiti_build', sa.Column('rate', mysql.VARCHAR(length=20), nullable=True))
    op.add_column('zaiti_build', sa.Column('navigator', mysql.VARCHAR(length=10), nullable=True))
    op.add_column('zaiti_build', sa.Column('acreage', mysql.VARCHAR(length=50), nullable=True))
    op.add_column('zaiti_build', sa.Column('addr', mysql.VARCHAR(length=50), nullable=True))
    op.add_column('zaiti_build', sa.Column('navigat', mysql.VARCHAR(length=20), nullable=True))
    op.alter_column('zaiti_build', 'telephone',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='联系方式',
               existing_nullable=True)
    op.alter_column('zaiti_build', 'buide_type',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='楼宇类型(商铺/写字楼/其他)',
               existing_nullable=True)
    op.alter_column('zaiti_build', 'name',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='楼宇名称',
               existing_nullable=True)
    op.drop_column('zaiti_build', 'build_pic')
    op.drop_column('zaiti_build', 'linkman')
    op.drop_column('zaiti_build', 'property_fee')
    op.drop_column('zaiti_build', 'rent')
    op.drop_column('zaiti_build', 'cooperation_model')
    op.drop_column('zaiti_build', 'attract_industry')
    op.drop_column('zaiti_build', 'is_divide')
    op.drop_column('zaiti_build', 'is_internet')
    op.drop_column('zaiti_build', 'is_gas')
    op.drop_column('zaiti_build', 'is_warm')
    op.drop_column('zaiti_build', 'is_electric')
    op.drop_column('zaiti_build', 'is_water')
    op.drop_column('zaiti_build', 'elevator')
    op.drop_column('zaiti_build', 'carport')
    op.drop_column('zaiti_build', 'layer_num')
    op.drop_column('zaiti_build', 'empty_area')
    op.drop_column('zaiti_build', 'single_area')
    op.drop_column('zaiti_build', 'build_area')
    op.drop_column('zaiti_build', 'land_area')
    op.drop_column('zaiti_build', 'build_time')
    op.drop_column('zaiti_build', 'address')
    op.drop_column('zaiti_build', 'level')
    op.drop_column('zaiti_build', 'development_area')
    op.drop_column('zaiti_build', 'district')
    op.drop_column('project', 'attract_industry')
    op.drop_table('investment_information')
    op.drop_table('introduction_meet')
    # ### end Alembic commands ###
