"""empty message

Revision ID: 1a74bd87ca85
Revises: a6d8985e12da
Create Date: 2023-03-08 16:50:04.204668

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '1a74bd87ca85'
down_revision = 'a6d8985e12da'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('company_certificate',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='信息主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('start_date', sa.String(length=32), nullable=True, comment='发证时间'),
    sa.Column('type', sa.String(length=32), nullable=True, comment='证书类型'),
    sa.Column('cert_name', sa.String(length=32), nullable=True, comment='证书名称'),
    sa.Column('cert_no', sa.String(length=32), nullable=True, comment='证书号'),
    sa.Column('end_date', sa.String(length=32), nullable=True, comment='截止时间'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业表资质证书'
    )
    op.create_table('company_client',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业客户主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('client_name', sa.String(length=32), nullable=True, comment='客户'),
    sa.Column('ratio', sa.String(length=32), nullable=True, comment='销售占比'),
    sa.Column('amount', sa.String(length=32), nullable=True, comment='销售金额'),
    sa.Column('pub_date', sa.String(length=32), nullable=True, comment='公开时间'),
    sa.Column('sources', sa.String(length=32), nullable=True, comment='数据来源'),
    sa.Column('relation', sa.String(length=32), nullable=True, comment='关联关系'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业客户数据表'
    )
    op.create_table('company_equity',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='股权出质主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('reg_number', sa.String(length=32), nullable=True, comment='等级编号'),
    sa.Column('pledgor', sa.String(length=10), nullable=True, comment='出质人'),
    sa.Column('target_company', sa.String(length=25), nullable=True, comment='出质股权的企业'),
    sa.Column('pledgee', sa.String(length=10), nullable=True, comment='质权人'),
    sa.Column('amount', sa.String(length=32), nullable=True, comment='出质股权数额（万元）'),
    sa.Column('pub_date', sa.String(length=32), nullable=True, comment='登记日期'),
    sa.Column('status', sa.String(length=10), nullable=True, comment='状态'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业详情股权出质'
    )
    op.create_table('company_inout_info',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业进出口信用主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('customs_registered_address', sa.String(length=32), nullable=True, comment='注册海关'),
    sa.Column('management_category', sa.String(length=32), nullable=True, comment='经营类别'),
    sa.Column('record_date', sa.DateTime(), nullable=True, comment='注册日期'),
    sa.Column('industry_category', sa.String(length=32), nullable=True, comment='行业类别'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业进出口信用数据表'
    )
    op.create_table('company_licence',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业行政许可主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('licence_no', sa.String(length=32), nullable=True, comment='企业行政许可编号'),
    sa.Column('licence_name', sa.String(length=32), nullable=True, comment='企业行政许可证名称'),
    sa.Column('from_date', sa.String(length=32), nullable=True, comment='有效期自'),
    sa.Column('end_date', sa.String(length=32), nullable=True, comment='有效期至'),
    sa.Column('license_org', sa.String(length=32), nullable=True, comment='许可机关'),
    sa.Column('licence_content', sa.String(length=32), nullable=True, comment='许可内容'),
    sa.Column('source', sa.String(length=32), nullable=True, comment='来源'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业行政许可数据表'
    )
    op.create_table('company_punish',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='信息主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('pub_date', sa.String(length=32), nullable=True, comment='公开日期'),
    sa.Column('punish_no', sa.String(length=32), nullable=True, comment='处罚日期'),
    sa.Column('punish_reason', sa.String(length=32), nullable=True, comment='决定文书号'),
    sa.Column('punish_content', sa.String(length=32), nullable=True, comment='处罚事由/违法行为类型'),
    sa.Column('punish_org', sa.String(length=32), nullable=True, comment='处罚结果/内容'),
    sa.Column('sources', sa.String(length=32), nullable=True, comment='处罚单位'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业表行政处罚'
    )
    op.create_table('company_tax_info',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业税务信用主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('name', sa.String(length=32), nullable=True, comment='名称'),
    sa.Column('year', sa.String(length=32), nullable=True, comment='评价年度'),
    sa.Column('id_number', sa.String(length=32), nullable=True, comment='纳税人识别号'),
    sa.Column('grade', sa.String(length=32), nullable=True, comment='纳税信用等级'),
    sa.Column('eval_department', sa.String(length=32), nullable=True, comment='单位评价'),
    sa.Column('type', sa.String(length=32), nullable=True, comment='类型'),
    sa.Column('business_id', sa.String(length=32), nullable=True, comment='数据id'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业税务信用数据表'
    )
    op.create_table('enterprise_certificate',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='专利信息主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('start_date', sa.String(length=32), nullable=True, comment='发证时间'),
    sa.Column('type', sa.String(length=32), nullable=True, comment='证书类型'),
    sa.Column('cert_name', sa.String(length=32), nullable=True, comment='证书名称'),
    sa.Column('cert_no', sa.String(length=32), nullable=True, comment='证书号'),
    sa.Column('end_date', sa.String(length=32), nullable=True, comment='截止时间'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表资质证书'
    )
    op.create_table('enterprise_client',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业客户主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('client_name', sa.String(length=32), nullable=True, comment='客户'),
    sa.Column('ratio', sa.String(length=32), nullable=True, comment='销售占比'),
    sa.Column('amount', sa.String(length=32), nullable=True, comment='销售金额'),
    sa.Column('pub_date', sa.String(length=32), nullable=True, comment='公开时间'),
    sa.Column('sources', sa.String(length=32), nullable=True, comment='数据来源'),
    sa.Column('relation', sa.String(length=32), nullable=True, comment='关联关系'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业客户数据表'
    )
    op.create_table('enterprise_equity',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='股权出质主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('reg_number', sa.String(length=32), nullable=True, comment='等级编号'),
    sa.Column('pledgor', sa.String(length=10), nullable=True, comment='出质人'),
    sa.Column('target_company', sa.String(length=25), nullable=True, comment='出质股权的企业'),
    sa.Column('pledgee', sa.String(length=10), nullable=True, comment='质权人'),
    sa.Column('amount', sa.String(length=32), nullable=True, comment='出质股权数额（万元）'),
    sa.Column('pub_date', sa.String(length=32), nullable=True, comment='登记日期'),
    sa.Column('status', sa.String(length=10), nullable=True, comment='状态'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业详情股权出质'
    )
    op.create_table('enterprise_inout_info',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业进出口信用主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('customs_registered_address', sa.String(length=32), nullable=True, comment='注册海关'),
    sa.Column('management_category', sa.String(length=32), nullable=True, comment='经营类别'),
    sa.Column('record_date', sa.DateTime(), nullable=True, comment='注册日期'),
    sa.Column('industry_category', sa.String(length=32), nullable=True, comment='行业类别'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业进出口信用数据表'
    )
    op.create_table('enterprise_licence',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业行政许可主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('licence_no', sa.String(length=32), nullable=True, comment='企业行政许可编号'),
    sa.Column('licence_name', sa.String(length=32), nullable=True, comment='企业行政许可证名称'),
    sa.Column('from_date', sa.String(length=32), nullable=True, comment='有效期自'),
    sa.Column('end_date', sa.String(length=32), nullable=True, comment='有效期至'),
    sa.Column('license_org', sa.String(length=32), nullable=True, comment='许可机关'),
    sa.Column('licence_content', sa.String(length=32), nullable=True, comment='许可内容'),
    sa.Column('source', sa.String(length=32), nullable=True, comment='来源'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业行政许可数据表'
    )
    op.create_table('enterprise_punish',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='专利信息主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('pub_date', sa.String(length=32), nullable=True, comment='公开日期'),
    sa.Column('punish_no', sa.String(length=32), nullable=True, comment='处罚日期'),
    sa.Column('punish_reason', sa.String(length=32), nullable=True, comment='决定文书号'),
    sa.Column('punish_content', sa.String(length=32), nullable=True, comment='处罚事由/违法行为类型'),
    sa.Column('punish_org', sa.String(length=32), nullable=True, comment='处罚结果/内容'),
    sa.Column('sources', sa.String(length=32), nullable=True, comment='处罚单位'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表行政处罚'
    )
    op.create_table('enterprise_tax_info',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业税务信用主键id'),
    sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'),
    sa.Column('name', sa.String(length=32), nullable=True, comment='名称'),
    sa.Column('year', sa.String(length=32), nullable=True, comment='评价年度'),
    sa.Column('id_number', sa.String(length=32), nullable=True, comment='纳税人识别号'),
    sa.Column('grade', sa.String(length=32), nullable=True, comment='纳税信用等级'),
    sa.Column('eval_department', sa.String(length=32), nullable=True, comment='单位评价'),
    sa.Column('type', sa.String(length=32), nullable=True, comment='类型'),
    sa.Column('business_id', sa.String(length=32), nullable=True, comment='数据id'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业税务信用数据表'
    )
    op.drop_table('company_tax_credit')
    op.drop_table('company_customer')
    op.drop_table('enterprise_admin_permission')
    op.drop_table('enterprise_tax_credit')
    op.drop_table('enterprise_stock')
    op.drop_table('enterprise_import_export')
    op.drop_table('enterprise_customer')
    op.drop_table('company_stock')
    op.drop_table('company_admin_permission')
    op.drop_table('company_import_export')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('company_import_export',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='企业进出口信用主键id'),
    sa.Column('ent_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='企业id'),
    sa.Column('customs_registered_address', mysql.VARCHAR(length=32), nullable=True, comment='注册海关'),
    sa.Column('management_category', mysql.VARCHAR(length=32), nullable=True, comment='经营类别'),
    sa.Column('record_date', mysql.DATETIME(), nullable=True, comment='注册日期'),
    sa.Column('industry_category', mysql.VARCHAR(length=32), nullable=True, comment='行业类别'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业进出口信用数据表',
    mysql_comment='企业进出口信用数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('company_admin_permission',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='企业行政许可主键id'),
    sa.Column('source', mysql.VARCHAR(length=32), nullable=True, comment='来源'),
    sa.Column('ent_id', mysql.VARCHAR(length=32), nullable=True, comment='企业id'),
    sa.Column('licence_no', mysql.VARCHAR(length=32), nullable=True, comment='企业行政许可编号'),
    sa.Column('licence_name', mysql.VARCHAR(length=32), nullable=True, comment='企业行政许可证名称'),
    sa.Column('from_date', mysql.VARCHAR(length=32), nullable=True, comment='有效期自'),
    sa.Column('end_date', mysql.VARCHAR(length=32), nullable=True, comment='有效期至'),
    sa.Column('license_org', mysql.VARCHAR(length=32), nullable=True, comment='许可机关'),
    sa.Column('licence_content', mysql.VARCHAR(length=32), nullable=True, comment='许可内容'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业行政许可数据表',
    mysql_comment='企业行政许可数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('company_stock',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='股权出质主键id'),
    sa.Column('pledgee', mysql.VARCHAR(length=10), nullable=True, comment='质权人'),
    sa.Column('amount', mysql.FLOAT(), nullable=True, comment='出质股权数额（万元）'),
    sa.Column('status', mysql.VARCHAR(length=10), nullable=True, comment='状态'),
    sa.Column('ent_id', mysql.VARCHAR(length=32), nullable=True, comment='企业id'),
    sa.Column('reg_number', mysql.VARCHAR(length=32), nullable=True, comment='等级编号'),
    sa.Column('pledgor', mysql.VARCHAR(length=10), nullable=True, comment='出质人'),
    sa.Column('target_company', mysql.VARCHAR(length=25), nullable=True, comment='出质股权的企业'),
    sa.Column('pub_date', mysql.VARCHAR(length=32), nullable=True, comment='登记日期'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业详情股权出质',
    mysql_comment='企业详情股权出质',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('enterprise_customer',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='企业客户主键id'),
    sa.Column('relation', mysql.VARCHAR(length=32), nullable=True, comment='关联关系'),
    sa.Column('ent_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='企业id'),
    sa.Column('client_name', mysql.VARCHAR(length=32), nullable=True, comment='客户'),
    sa.Column('ratio', mysql.VARCHAR(length=32), nullable=True, comment='销售占比'),
    sa.Column('amount', mysql.VARCHAR(length=32), nullable=True, comment='销售金额'),
    sa.Column('pub_date', mysql.DATETIME(), nullable=True, comment='公开时间'),
    sa.Column('sources', mysql.VARCHAR(length=32), nullable=True, comment='数据来源'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业客户数据表',
    mysql_comment='全国企业表企业客户数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('enterprise_import_export',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='企业进出口信用主键id'),
    sa.Column('ent_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='企业id'),
    sa.Column('customs_registered_address', mysql.VARCHAR(length=32), nullable=True, comment='注册海关'),
    sa.Column('management_category', mysql.VARCHAR(length=32), nullable=True, comment='经营类别'),
    sa.Column('record_date', mysql.DATETIME(), nullable=True, comment='注册日期'),
    sa.Column('industry_category', mysql.VARCHAR(length=32), nullable=True, comment='行业类别'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业进出口信用数据表',
    mysql_comment='全国企业表企业进出口信用数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('enterprise_stock',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='股权出质主键id'),
    sa.Column('pledgee', mysql.VARCHAR(length=10), nullable=True, comment='质权人'),
    sa.Column('amount', mysql.FLOAT(), nullable=True, comment='出质股权数额（万元）'),
    sa.Column('status', mysql.VARCHAR(length=10), nullable=True, comment='状态'),
    sa.Column('ent_id', mysql.VARCHAR(length=32), nullable=True, comment='企业id'),
    sa.Column('reg_number', mysql.VARCHAR(length=32), nullable=True, comment='等级编号'),
    sa.Column('pledgor', mysql.VARCHAR(length=10), nullable=True, comment='出质人'),
    sa.Column('target_company', mysql.VARCHAR(length=25), nullable=True, comment='出质股权的企业'),
    sa.Column('pub_date', mysql.VARCHAR(length=32), nullable=True, comment='登记日期'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业详情股权出质',
    mysql_comment='全国企业表企业详情股权出质',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('enterprise_tax_credit',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='企业税务信用主键id'),
    sa.Column('ent_id', mysql.VARCHAR(length=32), nullable=True, comment='企业id'),
    sa.Column('name', mysql.VARCHAR(length=32), nullable=True, comment='名称'),
    sa.Column('year', mysql.VARCHAR(length=32), nullable=True, comment='评价年度'),
    sa.Column('id_number', mysql.VARCHAR(length=32), nullable=True, comment='纳税人识别号'),
    sa.Column('grade', mysql.VARCHAR(length=32), nullable=True, comment='纳税信用等级'),
    sa.Column('eval_department', mysql.VARCHAR(length=32), nullable=True, comment='单位评价'),
    sa.Column('type', mysql.VARCHAR(length=32), nullable=True, comment='类型'),
    sa.Column('business_id', mysql.VARCHAR(length=32), nullable=True, comment='数据id'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业税务信用数据表',
    mysql_comment='全国企业表企业税务信用数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('enterprise_admin_permission',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='企业行政许可主键id'),
    sa.Column('source', mysql.VARCHAR(length=32), nullable=True, comment='来源'),
    sa.Column('ent_id', mysql.VARCHAR(length=32), nullable=True, comment='企业id'),
    sa.Column('licence_no', mysql.VARCHAR(length=32), nullable=True, comment='企业行政许可编号'),
    sa.Column('licence_name', mysql.VARCHAR(length=32), nullable=True, comment='企业行政许可证名称'),
    sa.Column('from_date', mysql.VARCHAR(length=32), nullable=True, comment='有效期自'),
    sa.Column('end_date', mysql.VARCHAR(length=32), nullable=True, comment='有效期至'),
    sa.Column('license_org', mysql.VARCHAR(length=32), nullable=True, comment='许可机关'),
    sa.Column('licence_content', mysql.VARCHAR(length=32), nullable=True, comment='许可内容'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业行政许可数据表',
    mysql_comment='全国企业表企业行政许可数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('company_customer',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='企业客户主键id'),
    sa.Column('relation', mysql.VARCHAR(length=32), nullable=True, comment='关联关系'),
    sa.Column('ent_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='企业id'),
    sa.Column('client_name', mysql.VARCHAR(length=32), nullable=True, comment='客户'),
    sa.Column('ratio', mysql.VARCHAR(length=32), nullable=True, comment='销售占比'),
    sa.Column('amount', mysql.VARCHAR(length=32), nullable=True, comment='销售金额'),
    sa.Column('pub_date', mysql.DATETIME(), nullable=True, comment='公开时间'),
    sa.Column('sources', mysql.VARCHAR(length=32), nullable=True, comment='数据来源'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业客户数据表',
    mysql_comment='企业客户数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('company_tax_credit',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='企业税务信用主键id'),
    sa.Column('ent_id', mysql.VARCHAR(length=32), nullable=True, comment='企业id'),
    sa.Column('name', mysql.VARCHAR(length=32), nullable=True, comment='名称'),
    sa.Column('year', mysql.VARCHAR(length=32), nullable=True, comment='评价年度'),
    sa.Column('id_number', mysql.VARCHAR(length=32), nullable=True, comment='纳税人识别号'),
    sa.Column('grade', mysql.VARCHAR(length=32), nullable=True, comment='纳税信用等级'),
    sa.Column('eval_department', mysql.VARCHAR(length=32), nullable=True, comment='单位评价'),
    sa.Column('type', mysql.VARCHAR(length=32), nullable=True, comment='类型'),
    sa.Column('business_id', mysql.VARCHAR(length=32), nullable=True, comment='数据id'),
    sa.PrimaryKeyConstraint('id'),
    comment='企业税务信用数据表',
    mysql_comment='企业税务信用数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.drop_table('enterprise_tax_info')
    op.drop_table('enterprise_punish')
    op.drop_table('enterprise_licence')
    op.drop_table('enterprise_inout_info')
    op.drop_table('enterprise_equity')
    op.drop_table('enterprise_client')
    op.drop_table('enterprise_certificate')
    op.drop_table('company_tax_info')
    op.drop_table('company_punish')
    op.drop_table('company_licence')
    op.drop_table('company_inout_info')
    op.drop_table('company_equity')
    op.drop_table('company_client')
    op.drop_table('company_certificate')
    # ### end Alembic commands ###
