"""create table

Revision ID: 1edbd9516fdc
Revises: 0d39b971db58
Create Date: 2021-12-02 16:59:12.072185

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '1edbd9516fdc'
down_revision = '0d39b971db58'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('company', 'sxmon',
               existing_type=mysql.VARCHAR(length=32),
               comment='是否山西民营100强',
               existing_comment='是否山西民营100强（2019年）',
               existing_nullable=True)
    op.alter_column('company', 'takingn',
               existing_type=mysql.FLOAT(),
               comment='营收 (万元)',
               existing_comment='2019营收 (万元)',
               existing_nullable=True)
    op.alter_column('company', 'ouputn',
               existing_type=mysql.FLOAT(),
               comment='年产值',
               existing_comment='2019年产值',
               existing_nullable=True)
    op.alter_column('company', 'profit',
               existing_type=mysql.FLOAT(),
               comment='公司利润（万元）',
               existing_comment='2019公司利润（万元）',
               existing_nullable=True)
    op.alter_column('industry', 'nid',
               existing_type=mysql.INTEGER(display_width=11),
               comment='导航id(对应企业数据表中的f_type)',
               existing_comment='导航id(导航在企业数据中的id)',
               existing_nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('industry', 'nid',
               existing_type=mysql.INTEGER(display_width=11),
               comment='导航id(导航在企业数据中的id)',
               existing_comment='导航id(对应企业数据表中的f_type)',
               existing_nullable=True)
    op.alter_column('company', 'profit',
               existing_type=mysql.FLOAT(),
               comment='2019公司利润（万元）',
               existing_comment='公司利润（万元）',
               existing_nullable=True)
    op.alter_column('company', 'ouputn',
               existing_type=mysql.FLOAT(),
               comment='2019年产值',
               existing_comment='年产值',
               existing_nullable=True)
    op.alter_column('company', 'takingn',
               existing_type=mysql.FLOAT(),
               comment='2019营收 (万元)',
               existing_comment='营收 (万元)',
               existing_nullable=True)
    op.alter_column('company', 'sxmon',
               existing_type=mysql.VARCHAR(length=32),
               comment='是否山西民营100强（2019年）',
               existing_comment='是否山西民营100强',
               existing_nullable=True)
    # ### end Alembic commands ###
