"""empty message

Revision ID: 21bedb912ce7
Revises: f0d08e2d1ce5
Create Date: 2022-11-21 16:57:53.310452

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '21bedb912ce7'
down_revision = 'f0d08e2d1ce5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('project_management',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('project_stalker', sa.String(length=30), nullable=True, comment='项目跟踪'),
    sa.Column('project_name', sa.String(length=30), nullable=True, comment='项目名称'),
    sa.Column('district', sa.String(length=20), nullable=True, comment='项目所在地'),
    sa.Column('development_area', sa.String(length=20), nullable=True, comment='开发区'),
    sa.Column('attract_name', sa.String(length=30), nullable=True, comment='引资方名称'),
    sa.Column('investor_name', sa.String(length=30), nullable=True, comment='投资方名称'),
    sa.Column('investor_district', sa.String(length=30), nullable=True, comment='投资方所在地'),
    sa.Column('industry', sa.String(length=20), nullable=True, comment='所属行业'),
    sa.Column('investment_volume', sa.Float(), nullable=True, comment='总投资额(万元)'),
    sa.Column('construction_content', sa.String(length=30), nullable=True, comment='建设内容'),
    sa.Column('project_address', sa.String(length=20), nullable=True, comment='项目选址'),
    sa.Column('project_progress', sa.String(length=30), nullable=True, comment='项目进展'),
    sa.Column('project_problem', sa.String(length=255), nullable=True, comment='难点情况'),
    sa.Column('project_year', sa.Integer(), nullable=True, comment='项目年份'),
    sa.Column('upload_unity', sa.String(length=20), nullable=True, comment='上传部门'),
    sa.Column('upload_people', sa.String(length=20), nullable=True, comment='上传人'),
    sa.Column('upload_time', sa.DateTime(), nullable=True, comment='上传时间'),
    sa.Column('project_num', sa.String(length=30), nullable=True, comment='项目编号'),
    sa.Column('project_source', sa.String(length=20), nullable=True, comment='项目来源'),
    sa.Column('project_unity', sa.String(length=20), nullable=True, comment='项目申报单位'),
    sa.Column('is_development_project', sa.String(length=20), nullable=True, comment='是否属于开发区项目'),
    sa.Column('sign_time', sa.DateTime(), nullable=True, comment='签约时间'),
    sa.Column('start_time', sa.DateTime(), nullable=True, comment='开工时间'),
    sa.Column('end_time', sa.DateTime(), nullable=True, comment='竣工时间'),
    sa.Column('investor_rank', sa.String(length=30), nullable=True, comment='投资方排名'),
    sa.Column('is_transf_project', sa.String(length=30), nullable=True, comment='是否转型项目'),
    sa.Column('country', sa.String(length=30), nullable=True, comment='投资方国别'),
    sa.Column('provence', sa.String(length=30), nullable=True, comment='投资方省份'),
    sa.Column('city', sa.String(length=30), nullable=True, comment='投资方市'),
    sa.Column('job_num', sa.Integer(), nullable=True, comment='带动就业岗位（个）'),
    sa.Column('new_value', sa.Float(), nullable=True, comment='新增产值（亿元）'),
    sa.Column('revenue', sa.Float(), nullable=True, comment='贡献税收（亿元）'),
    sa.Column('use_land', sa.String(length=30), nullable=True, comment='项目用地情况（亩）'),
    sa.Column('new_land', sa.String(length=30), nullable=True, comment='其中新增用地（亩）'),
    sa.Column('construction_nature', sa.String(length=30), nullable=True, comment='建设性质（亩）'),
    sa.Column('is_fixed_investment', sa.String(length=30), nullable=True, comment='固定资产投资项目'),
    sa.Column('investment_year', sa.String(length=20), nullable=True, comment='资金到位本年累计（万元）'),
    sa.Column('investment_history', sa.String(length=20), nullable=True, comment='资金到位历史累计（万元）'),
    sa.Column('cooperation_way', sa.String(length=20), nullable=True, comment='合作方式'),
    sa.Column('set_project_status', sa.String(length=20), nullable=True, comment='项目立项状态'),
    sa.Column('investor_people', sa.String(length=30), nullable=True, comment='投资方联系人'),
    sa.Column('investor_mobile', sa.String(length=30), nullable=True, comment='投资方电话'),
    sa.Column('investor_address', sa.String(length=30), nullable=True, comment='投资方联系地址'),
    sa.PrimaryKeyConstraint('id'),
    comment='项目化管理-项目信息表'
    )
    op.alter_column('siku_project', 'sign_explain',
               existing_type=mysql.VARCHAR(length=255),
               comment='签约方式说明',
               existing_comment='其他签约说明',
               existing_nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('siku_project', 'sign_explain',
               existing_type=mysql.VARCHAR(length=255),
               comment='其他签约说明',
               existing_comment='签约方式说明',
               existing_nullable=True)
    op.drop_table('project_management')
    # ### end Alembic commands ###
