"""create table

Revision ID: 228d82192bf7
Revises: 
Create Date: 2021-12-02 15:01:19.570598

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '228d82192bf7'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('enterprise',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业主键主键'),
    sa.Column('company_name', sa.String(length=255), nullable=True, comment='企业名'),
    sa.Column('status', sa.String(length=32), nullable=True, comment='经营状态'),
    sa.Column('legal', sa.String(length=255), nullable=True, comment='发定代表人'),
    sa.Column('capital', sa.String(length=255), nullable=True, comment='注册资本,22万美元'),
    sa.Column('capital_nums', sa.Float(), nullable=True, comment='注册资本转换成人民币数值'),
    sa.Column('capital_id', sa.Integer(), nullable=True, comment='注册资本大小类型，0-100,1,100-500,2,500-1000,3,1000-5000,4,5000-10000,5,10000+，6'),
    sa.Column('build_date', sa.DateTime(), nullable=True, comment='注册时间'),
    sa.Column('yearid', sa.Integer(), nullable=True, comment='成立时间年限id(1-3，1)(3-5，2)(5-8，3)（8-10，4）（10-15,5）（15以上，6）'),
    sa.Column('province', sa.String(length=32), nullable=True, comment='省'),
    sa.Column('city', sa.String(length=32), nullable=True, comment='市'),
    sa.Column('district', sa.String(length=32), nullable=True, comment='区'),
    sa.Column('lng', sa.String(length=100), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=100), nullable=True, comment='纬度'),
    sa.Column('p_lng', sa.String(length=100), nullable=True, comment='省经度'),
    sa.Column('p_lat', sa.String(length=100), nullable=True, comment='省纬度'),
    sa.Column('c_lng', sa.String(length=100), nullable=True, comment='市经度'),
    sa.Column('c_lat', sa.String(length=100), nullable=True, comment='市纬度'),
    sa.Column('d_lng', sa.String(length=100), nullable=True, comment='区经度'),
    sa.Column('d_lat', sa.String(length=100), nullable=True, comment='区纬度'),
    sa.Column('address', sa.String(length=255), nullable=True, comment='企业地址'),
    sa.Column('telephone', sa.Text(), nullable=True, comment='电话'),
    sa.Column('telephone_more', sa.Text(), nullable=True, comment='更多电话'),
    sa.Column('email', sa.Text(), nullable=True, comment='邮箱'),
    sa.Column('social_code', sa.String(length=100), nullable=True, comment='统一社会信用代码'),
    sa.Column('tax_code', sa.String(length=100), nullable=True, comment='纳税人识别号'),
    sa.Column('register_code', sa.String(length=100), nullable=True, comment='注册号'),
    sa.Column('company_code', sa.String(length=100), nullable=True, comment='组织机构代码'),
    sa.Column('bao_num', sa.Integer(), nullable=True, comment='参保人数'),
    sa.Column('entype', sa.String(length=100), nullable=True, comment='企业类型'),
    sa.Column('entypeid', sa.Integer(), nullable=True, comment='公司类型id(个人独资企业-1)(股份有限公司-2)(有限责任公司-3)(合伙企业-4)(集体所有制-5)(全民所有制企业-6)(外商企业-7)'),
    sa.Column('company_industry', sa.String(length=100), nullable=True, comment='所属行业'),
    sa.Column('web_site', sa.String(length=255), nullable=True, comment='企业网址'),
    sa.Column('business_scope', sa.Text(), nullable=True, comment='企业经营范围'),
    sa.Column('money_type', sa.String(length=100), nullable=True, comment='注册币种'),
    sa.Column('money_type_id', sa.Integer(), nullable=True, comment='注册币种类型id'),
    sa.Column('high_new', sa.String(length=32), nullable=True, comment='是否高新技术企业'),
    sa.Column('parti_year', sa.Integer(), nullable=True, comment='高新企业注册年份'),
    sa.Column('tbe', sa.String(length=32), nullable=True, comment='是否科技型中小企业'),
    sa.Column('fianacing', sa.String(length=32), nullable=True, comment='是否为有融资企业'),
    sa.Column('fianacing_rounds', sa.String(length=32), nullable=True, comment='融资轮次'),
    sa.Column('roundid', sa.Integer(), nullable=True, comment='融资轮次id(天使/种子，1)（PreA/A+,2）（PreB/B+,3）(C轮以上，4)（收并购，5）（战略投资，6）（其他，7）'),
    sa.Column('financing_amount', sa.Float(), nullable=True, comment='融资金额'),
    sa.Column('software_copyright', sa.String(length=32), nullable=True, comment='是否为有软件著作权'),
    sa.Column('num_software', sa.Integer(), nullable=True, comment='软件著作权个数'),
    sa.Column('quoted_company', sa.String(length=32), nullable=True, comment='是否上市企业'),
    sa.Column('public_sector', sa.String(length=32), nullable=True, comment='上市板块'),
    sa.Column('public_id', sa.Integer(), nullable=True, comment='上市版块的id----360企业画像（A股,1）(创业股，2)(港股，3)(新三股，4)(新四股,5)(中小板,6)'),
    sa.Column('foreign_investment', sa.String(length=32), nullable=True, comment='是否外商投资'),
    sa.Column('patent', sa.String(length=32), nullable=True, comment='是否为有专利企业'),
    sa.Column('num_patent', sa.Integer(), nullable=True, comment='专利个数'),
    sa.Column('company_info', sa.Text(), nullable=True, comment='公司简介'),
    sa.Column('dengl', sa.String(length=32), nullable=True, comment='瞪羚'),
    sa.Column('unicorn', sa.String(length=32), nullable=True, comment='独角兽企业'),
    sa.Column('isfive', sa.String(length=32), nullable=True, comment='是否中国500强'),
    sa.Column('product_all', sa.String(length=255), nullable=True, comment='公司拥有产品'),
    sa.Column('takingn', sa.Float(), nullable=True, comment='营收'),
    sa.Column('hots', sa.Integer(), nullable=True, comment='企业热度(权重值)'),
    sa.Column('c_name', sa.String(length=255), nullable=True, comment='行业类名'),
    sa.Column('c_type', sa.Integer(), nullable=True, comment='行业类id'),
    sa.Column('f_name', sa.String(length=255), nullable=True, comment='父行业类名'),
    sa.Column('f_type', sa.Integer(), nullable=True, comment='父行业类id'),
    sa.PrimaryKeyConstraint('id'),
    comment='压测资源表'
    )
    op.create_index(op.f('ix_enterprise_c_type'), 'enterprise', ['c_type'], unique=False)
    op.create_index(op.f('ix_enterprise_city'), 'enterprise', ['city'], unique=False)
    op.create_index(op.f('ix_enterprise_company_name'), 'enterprise', ['company_name'], unique=False)
    op.create_index(op.f('ix_enterprise_district'), 'enterprise', ['district'], unique=False)
    op.create_index(op.f('ix_enterprise_entypeid'), 'enterprise', ['entypeid'], unique=False)
    op.create_index(op.f('ix_enterprise_f_type'), 'enterprise', ['f_type'], unique=False)
    op.create_index(op.f('ix_enterprise_province'), 'enterprise', ['province'], unique=False)
    op.create_index(op.f('ix_enterprise_public_id'), 'enterprise', ['public_id'], unique=False)
    op.create_index(op.f('ix_enterprise_roundid'), 'enterprise', ['roundid'], unique=False)
    op.create_index(op.f('ix_enterprise_yearid'), 'enterprise', ['yearid'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_enterprise_yearid'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_roundid'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_public_id'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_province'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_f_type'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_entypeid'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_district'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_company_name'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_city'), table_name='enterprise')
    op.drop_index(op.f('ix_enterprise_c_type'), table_name='enterprise')
    op.drop_table('enterprise')
    # ### end Alembic commands ###
