"""empty message

Revision ID: 2ff5b7509dc4
Revises: 99e2ef03b89c
Create Date: 2022-12-27 11:20:31.050847

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2ff5b7509dc4'
down_revision = '99e2ef03b89c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('government',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('pnums', sa.Integer(), nullable=True),
    sa.Column('charge', sa.String(length=255), nullable=True),
    sa.Column('charge_phone', sa.String(length=255), nullable=True),
    sa.Column('function', sa.Text(), nullable=True),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_government_name'), 'government', ['name'], unique=False)
    op.create_table('followers',
    sa.Column('follower_id', sa.Integer(), nullable=False),
    sa.Column('followed_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['followed_id'], ['government.id'], ),
    sa.ForeignKeyConstraint(['follower_id'], ['government.id'], ),
    sa.PrimaryKeyConstraint('follower_id', 'followed_id')
    )
    op.create_table('section',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('pnums', sa.Integer(), nullable=True),
    sa.Column('charge', sa.String(length=255), nullable=True),
    sa.Column('charge_phone', sa.String(length=255), nullable=True),
    sa.Column('function', sa.Text(), nullable=True),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.Column('goverment_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['goverment_id'], ['government.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('group',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('pnums', sa.Integer(), nullable=True),
    sa.Column('charge', sa.String(length=255), nullable=True),
    sa.Column('charge_phone', sa.String(length=255), nullable=True),
    sa.Column('function', sa.Text(), nullable=True),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.Column('section_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['section_id'], ['section.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('group')
    op.drop_table('section')
    op.drop_table('followers')
    op.drop_index(op.f('ix_government_name'), table_name='government')
    op.drop_table('government')
    # ### end Alembic commands ###
