"""empty message

Revision ID: 367cd2f84fd1
Revises: 54d8004c6a64
Create Date: 2023-02-22 14:01:52.952604

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '367cd2f84fd1'
down_revision = '54d8004c6a64'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('carrier_build',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('build_name', sa.String(length=20), nullable=True, comment='楼宇名称'),
    sa.Column('audit_status', sa.Integer(), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'),
    sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'),
    sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人'),
    sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人'),
    sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'),
    sa.Column('district_name', sa.String(length=50), nullable=True, comment='所属县区'),
    sa.Column('development_area', sa.String(length=50), nullable=True, comment='所属开发区'),
    sa.Column('buide_type', sa.String(length=20), nullable=True, comment='楼宇类型(商铺/写字楼/其他)'),
    sa.Column('level', sa.String(length=255), nullable=True, comment='写字楼等级（甲/乙/其他）'),
    sa.Column('detail_address', sa.String(length=20), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'),
    sa.Column('construction_time', sa.String(length=20), nullable=True, comment='建成时间（年）'),
    sa.Column('cover_land_area', sa.String(length=10), nullable=True, comment='总占地面积（㎡）'),
    sa.Column('build_area', sa.String(length=20), nullable=True, comment='总建筑面积（㎡）'),
    sa.Column('single_area', sa.String(length=20), nullable=True, comment='单层面积（㎡）'),
    sa.Column('empty_area', sa.String(length=20), nullable=True, comment='闲置面积（㎡）'),
    sa.Column('layer_num', sa.Integer(), nullable=True, comment='总层数'),
    sa.Column('car_space_num', sa.Integer(), nullable=True, comment='车位（个）'),
    sa.Column('lift_num', sa.Integer(), nullable=True, comment='电梯（部）'),
    sa.Column('is_water', sa.String(length=20), nullable=True, comment='是否已通水(是/否)'),
    sa.Column('is_electric', sa.String(length=20), nullable=True, comment='是否已通电(是/否)'),
    sa.Column('is_warm', sa.String(length=20), nullable=True, comment='是否已通暖(是/否)'),
    sa.Column('is_gas', sa.String(length=20), nullable=True, comment='是否已通燃气(是/否)'),
    sa.Column('is_internet', sa.String(length=20), nullable=True, comment='是否已通网络(是/否)'),
    sa.Column('is_divide', sa.String(length=20), nullable=True, comment='是否可以分割(是/否)'),
    sa.Column('attract_status', sa.String(length=20), nullable=True, comment='拟招引产业'),
    sa.Column('cooperation_model', sa.String(length=20), nullable=True, comment='合作模式(出租/出售/转让)'),
    sa.Column('rent_money', sa.String(length=20), nullable=True, comment='租金（元/平米/天）'),
    sa.Column('wuye_money', sa.String(length=20), nullable=True, comment='物业费（元/平米/月）'),
    sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'),
    sa.Column('link_mobile', sa.String(length=20), nullable=True, comment='联系方式'),
    sa.Column('build_pic', sa.String(length=20), nullable=True, comment='楼宇图片'),
    sa.PrimaryKeyConstraint('id'),
    comment='产业载体-楼宇数据表'
    )
    op.create_table('carrier_factory',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('factory_name', sa.String(length=20), nullable=True, comment='厂房名称'),
    sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'),
    sa.Column('district_name', sa.String(length=50), nullable=True, comment='所属县区'),
    sa.Column('development_area', sa.String(length=50), nullable=True, comment='所属开发区'),
    sa.Column('build_type', sa.String(length=20), nullable=True, comment='厂房类型（单层/多层/混合层）'),
    sa.Column('is_standard', sa.String(length=20), nullable=True, comment='是否标准化厂房(是/否)'),
    sa.Column('detail_address', sa.String(length=50), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'),
    sa.Column('construction_time', sa.String(length=20), nullable=True, comment='建成时间（年）'),
    sa.Column('cover_land_area', sa.String(length=20), nullable=True, comment='总占地面积（㎡）'),
    sa.Column('factory_area', sa.String(length=255), nullable=True, comment='总建筑面积（㎡）'),
    sa.Column('empty_area', sa.String(length=20), nullable=True, comment='闲置面积（㎡）'),
    sa.Column('layer_num', sa.String(length=20), nullable=True, comment='总层数'),
    sa.Column('factory_structure', sa.String(length=20), nullable=True, comment='建筑结构（混凝土框架、钢结构、砖混、砖混钢筋、钢筋混凝土、轻钢）'),
    sa.Column('width', sa.String(length=10), nullable=True, comment='跨度（m）'),
    sa.Column('high', sa.String(length=20), nullable=True, comment='层高（m）'),
    sa.Column('bearing', sa.String(length=20), nullable=True, comment='承重（kg/㎡）'),
    sa.Column('is_water', sa.String(length=20), nullable=True, comment='是否已通水(是/否)'),
    sa.Column('is_electric', sa.String(length=20), nullable=True, comment='是否已通电(是/否)'),
    sa.Column('is_warm', sa.String(length=20), nullable=True, comment='是否已通暖(是/否)'),
    sa.Column('is_gas', sa.String(length=20), nullable=True, comment='是否已通燃气(是/否)'),
    sa.Column('is_network', sa.String(length=20), nullable=True, comment='是否已通网络(是/否)'),
    sa.Column('is_car', sa.String(length=20), nullable=True, comment='是否可安装天车'),
    sa.Column('lift_num', sa.String(length=20), nullable=True, comment='电梯(部)'),
    sa.Column('attract_status', sa.String(length=20), nullable=True, comment='拟招引产业（下拉筛选）'),
    sa.Column('settled_enterprise', sa.String(length=20), nullable=True, comment='已入驻企业（企业全称，使用面积）'),
    sa.Column('cooperation_model', sa.String(length=20), nullable=True, comment='合作模式(出租/出售/转让)'),
    sa.Column('rent_money', sa.String(length=20), nullable=True, comment='租金（元/平米/天）'),
    sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'),
    sa.Column('link_mobile', sa.String(length=20), nullable=True, comment='联系方式'),
    sa.Column('price_url', sa.String(length=255), nullable=True, comment='厂房图片url'),
    sa.Column('upload_time', sa.DateTime(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人名字'),
    sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人名字'),
    sa.Column('audit_status', sa.String(length=20), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过；'),
    sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'),
    sa.PrimaryKeyConstraint('id'),
    comment='产业载体-厂房数据表'
    )
    op.create_table('carrier_land',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('land_name', sa.String(length=20), nullable=True, comment='土地名称'),
    sa.Column('upload_time', sa.DateTime(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人名字'),
    sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人名字'),
    sa.Column('audit_status', sa.Integer(), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'),
    sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'),
    sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'),
    sa.Column('land_code', sa.String(length=20), nullable=True, comment='土地编码'),
    sa.Column('district_name', sa.String(length=50), nullable=True, comment='所属县区'),
    sa.Column('development_area', sa.String(length=20), nullable=True, comment='所属开发区'),
    sa.Column('location', sa.String(length=50), nullable=True, comment='土地位置'),
    sa.Column('land_use', sa.String(length=255), nullable=True, comment='用地四至'),
    sa.Column('land_nature', sa.String(length=20), nullable=True, comment='用地性质(工业用地/商服用地/物流仓储用地/科研用地/居住用地)（包括用地性质类别代码）'),
    sa.Column('total_area', sa.String(length=255), nullable=True, comment='用地面积（净用地面积）（公顷）'),
    sa.Column('surface_area', sa.String(length=20), nullable=True, comment='地上控制建面（㎡）'),
    sa.Column('plot_ratio', sa.String(length=10), nullable=True, comment='容积率'),
    sa.Column('greening_rate', sa.String(length=20), nullable=True, comment='绿化率'),
    sa.Column('density', sa.String(length=20), nullable=True, comment='建筑密度'),
    sa.Column('height_permitted', sa.String(length=20), nullable=True, comment='限高（㎡）'),
    sa.Column('transfer_year', sa.String(length=20), nullable=True, comment='出让年限'),
    sa.Column('develop_degree', sa.String(length=20), nullable=True, comment='用地开发程度（请详细描述几通一平）'),
    sa.Column('investment_intensity', sa.String(length=20), nullable=True, comment='投资强度（万元/亩）'),
    sa.Column('output_intensity', sa.String(length=20), nullable=True, comment='产出强度（万元/亩）'),
    sa.Column('tax', sa.String(length=20), nullable=True, comment='地均税收（万元/亩）'),
    sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'),
    sa.Column('telephone', sa.String(length=20), nullable=True, comment='联系方式'),
    sa.Column('red_line_map', sa.String(length=20), nullable=True, comment='用地红线图'),
    sa.Column('other_requirements', sa.String(length=20), nullable=True, comment='其他要求'),
    sa.PrimaryKeyConstraint('id'),
    comment='产业载体-土地数据表'
    )
    op.drop_table('zaiti_factory')
    op.drop_table('zaiti_build')
    op.drop_table('zaiti_land')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('zaiti_land',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False),
    sa.Column('telephone', mysql.VARCHAR(length=20), nullable=True, comment='联系方式'),
    sa.Column('development_area', mysql.VARCHAR(length=20), nullable=True, comment='所属开发区'),
    sa.Column('location', mysql.VARCHAR(length=50), nullable=True, comment='土地位置'),
    sa.Column('land_use', mysql.VARCHAR(length=255), nullable=True, comment='用地四至'),
    sa.Column('surface_area', mysql.VARCHAR(length=20), nullable=True, comment='地上控制建面（㎡）'),
    sa.Column('plot_ratio', mysql.VARCHAR(length=10), nullable=True, comment='容积率'),
    sa.Column('greening_rate', mysql.VARCHAR(length=20), nullable=True, comment='绿化率'),
    sa.Column('density', mysql.VARCHAR(length=20), nullable=True, comment='建筑密度'),
    sa.Column('height_permitted', mysql.VARCHAR(length=20), nullable=True, comment='限高（㎡）'),
    sa.Column('transfer_year', mysql.VARCHAR(length=20), nullable=True, comment='出让年限'),
    sa.Column('develop_degree', mysql.VARCHAR(length=20), nullable=True, comment='用地开发程度（请详细描述几通一平）'),
    sa.Column('investment_intensity', mysql.VARCHAR(length=20), nullable=True, comment='投资强度（万元/亩）'),
    sa.Column('output_intensity', mysql.VARCHAR(length=20), nullable=True, comment='产出强度（万元/亩）'),
    sa.Column('tax', mysql.VARCHAR(length=20), nullable=True, comment='地均税收（万元/亩）'),
    sa.Column('linkman', mysql.VARCHAR(length=20), nullable=True, comment='联系人'),
    sa.Column('red_line_map', mysql.VARCHAR(length=20), nullable=True, comment='用地红线图'),
    sa.Column('other_requirements', mysql.VARCHAR(length=20), nullable=True, comment='其他要求'),
    sa.Column('lng', mysql.VARCHAR(length=50), nullable=True, comment='经度'),
    sa.Column('lat', mysql.VARCHAR(length=50), nullable=True, comment='维度'),
    sa.Column('land_name', mysql.VARCHAR(length=20), nullable=True, comment='土地名称'),
    sa.Column('upload_time', mysql.DATETIME(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人名字'),
    sa.Column('upload_people_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', mysql.VARCHAR(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', mysql.DATETIME(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', mysql.VARCHAR(length=20), nullable=True, comment='数据修改人名字'),
    sa.Column('audit_status', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'),
    sa.Column('audit_message', mysql.VARCHAR(length=50), nullable=True, comment='审核附言'),
    sa.Column('land_code', mysql.VARCHAR(length=20), nullable=True, comment='土地编码'),
    sa.Column('district_name', mysql.VARCHAR(length=50), nullable=True, comment='所属县区'),
    sa.Column('land_nature', mysql.VARCHAR(length=20), nullable=True, comment='用地性质(工业用地/商服用地/物流仓储用地/科研用地/居住用地)（包括用地性质类别代码）'),
    sa.Column('total_area', mysql.VARCHAR(length=255), nullable=True, comment='用地面积（净用地面积）（公顷）'),
    sa.PrimaryKeyConstraint('id'),
    comment='产业载体-土地数据表',
    mysql_comment='产业载体-土地数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('zaiti_build',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False),
    sa.Column('buide_type', mysql.VARCHAR(length=20), nullable=True, comment='楼宇类型(商铺/写字楼/其他)'),
    sa.Column('development_area', mysql.VARCHAR(length=50), nullable=True, comment='所属开发区'),
    sa.Column('level', mysql.VARCHAR(length=255), nullable=True, comment='写字楼等级（甲/乙/其他）'),
    sa.Column('build_area', mysql.VARCHAR(length=20), nullable=True, comment='总建筑面积（㎡）'),
    sa.Column('single_area', mysql.VARCHAR(length=20), nullable=True, comment='单层面积（㎡）'),
    sa.Column('empty_area', mysql.VARCHAR(length=20), nullable=True, comment='闲置面积（㎡）'),
    sa.Column('layer_num', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='总层数'),
    sa.Column('is_water', mysql.VARCHAR(length=20), nullable=True, comment='是否已通水(是/否)'),
    sa.Column('is_electric', mysql.VARCHAR(length=20), nullable=True, comment='是否已通电(是/否)'),
    sa.Column('is_warm', mysql.VARCHAR(length=20), nullable=True, comment='是否已通暖(是/否)'),
    sa.Column('is_gas', mysql.VARCHAR(length=20), nullable=True, comment='是否已通燃气(是/否)'),
    sa.Column('is_internet', mysql.VARCHAR(length=20), nullable=True, comment='是否已通网络(是/否)'),
    sa.Column('is_divide', mysql.VARCHAR(length=20), nullable=True, comment='是否可以分割(是/否)'),
    sa.Column('cooperation_model', mysql.VARCHAR(length=20), nullable=True, comment='合作模式(出租/出售/转让)'),
    sa.Column('linkman', mysql.VARCHAR(length=20), nullable=True, comment='联系人'),
    sa.Column('build_pic', mysql.VARCHAR(length=20), nullable=True, comment='楼宇图片'),
    sa.Column('lng', mysql.VARCHAR(length=50), nullable=True, comment='经度'),
    sa.Column('lat', mysql.VARCHAR(length=50), nullable=True, comment='维度'),
    sa.Column('build_name', mysql.VARCHAR(length=20), nullable=True, comment='楼宇名称'),
    sa.Column('audit_status', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'),
    sa.Column('audit_message', mysql.VARCHAR(length=50), nullable=True, comment='审核附言'),
    sa.Column('upload_people', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人'),
    sa.Column('upload_people_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', mysql.VARCHAR(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', mysql.DATETIME(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', mysql.VARCHAR(length=20), nullable=True, comment='数据修改人'),
    sa.Column('district_name', mysql.VARCHAR(length=50), nullable=True, comment='所属县区'),
    sa.Column('detail_address', mysql.VARCHAR(length=20), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'),
    sa.Column('construction_time', mysql.VARCHAR(length=20), nullable=True, comment='建成时间（年）'),
    sa.Column('cover_land_area', mysql.VARCHAR(length=10), nullable=True, comment='总占地面积（㎡）'),
    sa.Column('car_space_num', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='车位（个）'),
    sa.Column('lift_num', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='电梯（部）'),
    sa.Column('attract_status', mysql.VARCHAR(length=20), nullable=True, comment='拟招引产业'),
    sa.Column('rent_money', mysql.VARCHAR(length=20), nullable=True, comment='租金（元/平米/天）'),
    sa.Column('wuye_money', mysql.VARCHAR(length=20), nullable=True, comment='物业费（元/平米/月）'),
    sa.Column('link_mobile', mysql.VARCHAR(length=20), nullable=True, comment='联系方式'),
    sa.PrimaryKeyConstraint('id'),
    comment='产业载体-楼宇数据表',
    mysql_comment='产业载体-楼宇数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('zaiti_factory',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False),
    sa.Column('bearing', mysql.VARCHAR(length=50), nullable=True, comment='承重（kg/㎡）'),
    sa.Column('development_area', mysql.VARCHAR(length=50), nullable=True, comment='所属开发区'),
    sa.Column('is_standard', mysql.VARCHAR(length=20), nullable=True, comment='是否标准化厂房(是/否)'),
    sa.Column('empty_area', mysql.VARCHAR(length=20), nullable=True, comment='闲置面积（㎡）'),
    sa.Column('layer_num', mysql.VARCHAR(length=20), nullable=True, comment='总层数'),
    sa.Column('factory_structure', mysql.VARCHAR(length=20), nullable=True, comment='建筑结构（混凝土框架、钢结构、砖混、砖混钢筋、钢筋混凝土、轻钢）'),
    sa.Column('width', mysql.VARCHAR(length=10), nullable=True, comment='跨度（m）'),
    sa.Column('high', mysql.VARCHAR(length=20), nullable=True, comment='层高（m）'),
    sa.Column('is_water', mysql.VARCHAR(length=20), nullable=True, comment='是否已通水(是/否)'),
    sa.Column('is_electric', mysql.VARCHAR(length=20), nullable=True, comment='是否已通电(是/否)'),
    sa.Column('is_warm', mysql.VARCHAR(length=20), nullable=True, comment='是否已通暖(是/否)'),
    sa.Column('is_gas', mysql.VARCHAR(length=20), nullable=True, comment='是否已通燃气(是/否)'),
    sa.Column('is_car', mysql.VARCHAR(length=20), nullable=True, comment='是否可安装天车'),
    sa.Column('settled_enterprise', mysql.VARCHAR(length=20), nullable=True, comment='已入驻企业（企业全称，使用面积）'),
    sa.Column('cooperation_model', mysql.VARCHAR(length=20), nullable=True, comment='合作模式(出租/出售/转让)'),
    sa.Column('linkman', mysql.VARCHAR(length=20), nullable=True, comment='联系人'),
    sa.Column('lng', mysql.VARCHAR(length=50), nullable=True, comment='经度'),
    sa.Column('lat', mysql.VARCHAR(length=50), nullable=True, comment='维度'),
    sa.Column('factory_name', mysql.VARCHAR(length=20), nullable=True, comment='厂房名称'),
    sa.Column('district_name', mysql.VARCHAR(length=50), nullable=True, comment='所属县区'),
    sa.Column('build_type', mysql.VARCHAR(length=20), nullable=True, comment='厂房类型（单层/多层/混合层）'),
    sa.Column('detail_address', mysql.VARCHAR(length=50), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'),
    sa.Column('construction_time', mysql.VARCHAR(length=20), nullable=True, comment='建成时间（年）'),
    sa.Column('cover_land_area', mysql.VARCHAR(length=20), nullable=True, comment='总占地面积（㎡）'),
    sa.Column('factory_area', mysql.VARCHAR(length=255), nullable=True, comment='总建筑面积（㎡）'),
    sa.Column('is_network', mysql.VARCHAR(length=20), nullable=True, comment='是否已通网络(是/否)'),
    sa.Column('lift_num', mysql.VARCHAR(length=20), nullable=True, comment='电梯(部)'),
    sa.Column('attract_status', mysql.VARCHAR(length=20), nullable=True, comment='拟招引产业（下拉筛选）'),
    sa.Column('rent_money', mysql.VARCHAR(length=20), nullable=True, comment='租金（元/平米/天）'),
    sa.Column('link_mobile', mysql.VARCHAR(length=20), nullable=True, comment='联系方式'),
    sa.Column('price_url', mysql.VARCHAR(length=255), nullable=True, comment='厂房图片url'),
    sa.Column('upload_time', mysql.DATETIME(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人名字'),
    sa.Column('upload_people_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', mysql.VARCHAR(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', mysql.DATETIME(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', mysql.VARCHAR(length=20), nullable=True, comment='数据修改人名字'),
    sa.Column('audit_status', mysql.VARCHAR(length=20), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过；'),
    sa.Column('audit_message', mysql.VARCHAR(length=50), nullable=True, comment='审核附言'),
    sa.PrimaryKeyConstraint('id'),
    comment='产业载体-厂房数据表',
    mysql_comment='产业载体-厂房数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.drop_table('carrier_land')
    op.drop_table('carrier_factory')
    op.drop_table('carrier_build')
    # ### end Alembic commands ###
