"""create table

Revision ID: 39f0cd363bb8
Revises: 1892550a14e5
Create Date: 2021-12-02 15:35:48.143685

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '39f0cd363bb8'
down_revision = '1892550a14e5'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('city',
    sa.Column('create_time', sa.DateTime(), nullable=True),
    sa.Column('update_time', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='经济指标主键id'),
    sa.Column('area', sa.String(length=255), nullable=True, comment='区县名称'),
    sa.Column('size', sa.Float(), nullable=True, comment='区县面积'),
    sa.Column('year', sa.Integer(), nullable=True, comment='年份'),
    sa.Column('people', sa.Integer(), nullable=True, comment='人口'),
    sa.Column('GDP', sa.Float(), nullable=True, comment='GDP(万元)'),
    sa.Column('investment', sa.Float(), nullable=True, comment='固定投资资产'),
    sa.Column('retail', sa.Float(), nullable=True, comment='社会消费品零售总额'),
    sa.Column('public', sa.Float(), nullable=True, comment='一般公共预算支出'),
    sa.Column('public_in', sa.Float(), nullable=True, comment='一般公共预算收入'),
    sa.Column('addscale', sa.Float(), nullable=True, comment='规上工业增加值'),
    sa.Column('people_out', sa.Float(), nullable=True, comment='居然人均可支配收入'),
    sa.Column('people_per', sa.Float(), nullable=True, comment='居民消费价格指数'),
    sa.Column('in_out', sa.Float(), nullable=True, comment='进出口总额'),
    sa.Column('info', sa.Text(), nullable=True, comment='基本信息'),
    sa.Column('question', sa.Text(), nullable=True, comment='标注'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商驾驶舱-区县经济指标表'
    )
    op.create_table('company',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业主键id'),
    sa.Column('company_name', sa.String(length=255), nullable=True, comment='企业名'),
    sa.Column('status', sa.String(length=32), nullable=True, comment='经营状态'),
    sa.Column('legal', sa.String(length=32), nullable=True, comment='法定代表人'),
    sa.Column('capital', sa.String(length=255), nullable=True, comment='注册资本,22万美元'),
    sa.Column('capital_nums', sa.Float(), nullable=True, comment='注册资本转换成人民币数值'),
    sa.Column('capital_id', sa.Integer(), nullable=True, comment='注册资本大小类型，0-100,1,100-500,2,500-1000,3,1000-5000,4,5000-10000,5,10000+，6'),
    sa.Column('build_date', sa.DateTime(), nullable=True, comment='注册时间'),
    sa.Column('yearid', sa.Integer(), nullable=True, comment='成立时间年限id(1-3，1)(3-5，2)(5-8，3)（8-10，4）（10-15,5）（15以上，6）'),
    sa.Column('province', sa.String(length=32), nullable=True, comment='省'),
    sa.Column('city', sa.String(length=32), nullable=True, comment='市'),
    sa.Column('district', sa.String(length=32), nullable=True, comment='区'),
    sa.Column('lng', sa.String(length=100), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=100), nullable=True, comment='纬度'),
    sa.Column('c_lng', sa.String(length=100), nullable=True, comment='市经度'),
    sa.Column('c_lat', sa.String(length=100), nullable=True, comment='市纬度'),
    sa.Column('d_lng', sa.String(length=100), nullable=True, comment='区经度'),
    sa.Column('d_lat', sa.String(length=100), nullable=True, comment='区纬度'),
    sa.Column('address', sa.String(length=255), nullable=True, comment='企业地址'),
    sa.Column('telephone', sa.Text(), nullable=True, comment='电话'),
    sa.Column('telephone_more', sa.Text(), nullable=True, comment='更多电话'),
    sa.Column('email', sa.Text(), nullable=True, comment='邮箱'),
    sa.Column('social_code', sa.String(length=100), nullable=True, comment='统一社会信用代码'),
    sa.Column('tax_code', sa.String(length=100), nullable=True, comment='纳税人识别号'),
    sa.Column('register_code', sa.String(length=100), nullable=True, comment='注册号'),
    sa.Column('company_code', sa.String(length=100), nullable=True, comment='组织机构代码'),
    sa.Column('bao_num', sa.Integer(), nullable=True, comment='参保人数'),
    sa.Column('entype', sa.String(length=100), nullable=True, comment='企业类型'),
    sa.Column('entypeid', sa.Integer(), nullable=True, comment='公司类型id(个人独资企业-1)(股份有限公司-2)(有限责任公司-3)(合伙企业-4)(集体所有制-5)(全民所有制企业-6)(外商企业-7)'),
    sa.Column('company_industry', sa.String(length=100), nullable=True, comment='所属行业'),
    sa.Column('web_site', sa.String(length=255), nullable=True, comment='企业网址'),
    sa.Column('business_scope', sa.Text(), nullable=True, comment='企业经营范围'),
    sa.Column('money_type', sa.String(length=100), nullable=True, comment='注册币种'),
    sa.Column('money_type_id', sa.Integer(), nullable=True, comment='注册币种类型id'),
    sa.Column('high_new', sa.String(length=32), nullable=True, comment='是否高新技术企业'),
    sa.Column('parti_year', sa.Integer(), nullable=True, comment='高新企业注册年份'),
    sa.Column('tbe', sa.String(length=32), nullable=True, comment='是否科技型中小企业'),
    sa.Column('fianacing', sa.String(length=32), nullable=True, comment='是否为有融资企业'),
    sa.Column('fianacing_rounds', sa.String(length=32), nullable=True, comment='融资轮次'),
    sa.Column('roundid', sa.Integer(), nullable=True, comment='融资轮次id(天使/种子，1)（PreA/A+,2）（PreB/B+,3）(C轮以上，4)（收并购，5）（战略投资，6）（其他，7）'),
    sa.Column('financing_amount', sa.Float(), nullable=True, comment='融资金额'),
    sa.Column('software_copyright', sa.String(length=32), nullable=True, comment='是否为有软件著作权'),
    sa.Column('num_software', sa.Integer(), nullable=True, comment='软件著作权个数'),
    sa.Column('public_sector', sa.String(length=32), nullable=True, comment='上市板块'),
    sa.Column('quoted_company', sa.String(length=32), nullable=True, comment='是否上市企业'),
    sa.Column('public_id', sa.Integer(), nullable=True, comment='上市版块的id----360企业画像（A股,1）(创业股，2)(港股，3)(新三股，4)(新四股,5)(中小板,6)'),
    sa.Column('foreign_investment', sa.String(length=32), nullable=True, comment='是否外商投资'),
    sa.Column('patent', sa.String(length=32), nullable=True, comment='是否为有专利企业'),
    sa.Column('num_patent', sa.Integer(), nullable=True, comment='专利个数'),
    sa.Column('induzone', sa.String(length=255), nullable=True, comment='所在园区'),
    sa.Column('company_info', sa.Text(), nullable=True, comment='公司简介'),
    sa.Column('sxmon', sa.String(length=32), nullable=True, comment='是否山西民营100强（2019年）'),
    sa.Column('zjtg', sa.String(length=32), nullable=True, comment='山西专精特工企业'),
    sa.Column('unicorn', sa.String(length=32), nullable=True, comment='独角兽企业'),
    sa.Column('dengl', sa.String(length=32), nullable=True, comment='瞪羚'),
    sa.Column('hncode', sa.String(length=32), nullable=True, comment='高企证书编号'),
    sa.Column('isfive', sa.String(length=32), nullable=True, comment='是否中国500强'),
    sa.Column('istyfive', sa.String(length=32), nullable=True, comment='是否2020中国500强'),
    sa.Column('quotedate', sa.DateTime(), nullable=True, comment='上市时间'),
    sa.Column('sxonhun', sa.String(length=32), nullable=True, comment='是否山西100强'),
    sa.Column('product_all', sa.String(length=255), nullable=True, comment='公司拥有产品'),
    sa.Column('scale', sa.String(length=32), nullable=True, comment='规模以上企业'),
    sa.Column('serve', sa.String(length=32), nullable=True, comment='限额以上服务业'),
    sa.Column('takingn', sa.Float(), nullable=True, comment='2019营收 (万元)'),
    sa.Column('ouputn', sa.Float(), nullable=True, comment='2019年产值'),
    sa.Column('profit', sa.Float(), nullable=True, comment='2019公司利润（万元）'),
    sa.Column('c_name', sa.String(length=255), nullable=True, comment='行业类名'),
    sa.Column('c_type', sa.Integer(), nullable=True, comment='行业类id'),
    sa.Column('f_name', sa.String(length=255), nullable=True, comment='父行业类名'),
    sa.Column('f_type', sa.Integer(), nullable=True, comment='父行业类id'),
    sa.Column('hots', sa.Integer(), nullable=True, comment='企业热度'),
    sa.Column('sort_num', sa.Integer(), nullable=True, comment='权重值'),
    sa.Column('stream', sa.String(length=32), nullable=True, comment='行业上下游'),
    sa.Column('product', sa.String(length=255), nullable=True, comment='生产产品'),
    sa.PrimaryKeyConstraint('id'),
    comment='晋城企业表'
    )
    op.create_table('examine',
    sa.Column('create_time', sa.DateTime(), nullable=True),
    sa.Column('update_time', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district', sa.String(length=255), nullable=True, comment='县区'),
    sa.Column('year', sa.Integer(), nullable=True, comment='年'),
    sa.Column('month', sa.Integer(), nullable=True, comment='月'),
    sa.Column('project_num', sa.Integer(), nullable=True, comment='项目个数'),
    sa.Column('sign_aim', sa.Integer(), nullable=True, comment='签约目标'),
    sa.Column('sign_finnish', sa.Float(), nullable=True, comment='签约的完成'),
    sa.Column('sign_grade', sa.Float(), nullable=True, comment='签约的得分，签约项目投资额完成率'),
    sa.Column('start_finish', sa.Float(), nullable=True, comment='开工实际投资'),
    sa.Column('start_grade', sa.Float(), nullable=True, comment='开工项目完成得分，开工项目计划投资额完成率'),
    sa.Column('invest_finish', sa.Float(), nullable=True, comment='固投已完成'),
    sa.Column('invest_grade', sa.Float(), nullable=True, comment='固投得分，开工项目到位资金额'),
    sa.Column('start_num', sa.Integer(), nullable=True, comment='项目的开工个数'),
    sa.Column('start_num_grade', sa.Float(), nullable=True, comment='签约开工率得分'),
    sa.Column('start_aim', sa.Float(), nullable=True, comment='开工计划金额'),
    sa.Column('invest_aim', sa.Float(), nullable=True, comment='固投目标金额'),
    sa.Column('invest_aim_f', sa.Float(), nullable=True, comment='非固投目标金额'),
    sa.Column('invest_finish_f', sa.Integer(), nullable=True, comment='非固投已完成'),
    sa.Column('invest_grade_f', sa.Float(), nullable=True, comment='非固投得分'),
    sa.Column('grade', sa.Integer(), nullable=True, comment='综合排名'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商驾驶舱-招商引资作战图表'
    )
    op.create_table('indu_policy',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='政策主键id'),
    sa.Column('name', sa.String(length=255), nullable=True, comment='政策名'),
    sa.Column('post_num', sa.String(length=255), nullable=True, comment='发文字号'),
    sa.Column('industry', sa.String(length=32), nullable=True, comment='行业名称'),
    sa.Column('pubdate', sa.DateTime(), nullable=True, comment='发布时间'),
    sa.Column('year', sa.Integer(), nullable=True, comment='发布年份'),
    sa.Column('url', sa.String(length=255), nullable=True, comment='外链接'),
    sa.Column('file', sa.String(length=255), nullable=True, comment='本地文件位置'),
    sa.Column('category', sa.String(length=32), nullable=True, comment='政策类型'),
    sa.Column('org', sa.String(length=255), nullable=True, comment='政策发布机构'),
    sa.Column('district', sa.String(length=32), nullable=True, comment='政策发布地区'),
    sa.Column('body', sa.Text(), nullable=True, comment='正文'),
    sa.Column('navigator', sa.String(length=255), nullable=True, comment='导航一'),
    sa.Column('navigat', sa.String(length=255), nullable=True, comment='导航二'),
    sa.Column('level', sa.String(length=255), nullable=True, comment='级别'),
    sa.Column('sorts', sa.Integer(), nullable=True, comment='机构排序'),
    sa.Column('sorts_level', sa.Integer(), nullable=True, comment='发布机构排序'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商驾驶舱-产业政策'
    )
    op.create_table('industry',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='产业主键id'),
    sa.Column('name', sa.String(length=32), nullable=True, comment='导航名'),
    sa.Column('oname', sa.String(length=32), nullable=True, comment='导航真名'),
    sa.Column('nid', sa.Integer(), nullable=True, comment='导航id(导航在企业数据中的id)'),
    sa.Column('fid', sa.Integer(), nullable=True, comment='表中fid'),
    sa.Column('statu', sa.Integer(), nullable=True, comment='启用状态1启用，2禁用'),
    sa.Column('info', sa.Text(), nullable=True, comment='行业简介'),
    sa.Column('companys', sa.Integer(), nullable=True, comment='行业下企业数'),
    sa.Column('entities', sa.Integer(), nullable=True, comment='行业所包含细分行业实体数'),
    sa.PrimaryKeyConstraint('id'),
    comment='产业导航目录表'
    )
    op.create_table('newproject',
    sa.Column('create_time', sa.DateTime(), nullable=True),
    sa.Column('update_time', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('type', sa.String(length=255), nullable=True, comment='产业类型'),
    sa.Column('number', sa.Integer(), nullable=True, comment='项目个数'),
    sa.Column('money', sa.Float(), nullable=True, comment='价格'),
    sa.Column('district', sa.String(length=255), nullable=True, comment='区县名称'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商驾驶舱-项目数量/金额产业分布表'
    )
    op.create_table('project',
    sa.Column('create_time', sa.DateTime(), nullable=True),
    sa.Column('update_time', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='工程id'),
    sa.Column('name', sa.String(length=255), nullable=True, comment='工程名'),
    sa.Column('district', sa.String(length=255), nullable=True, comment='区县名称'),
    sa.Column('type', sa.String(length=255), nullable=True, comment='工程类型'),
    sa.Column('money', sa.String(length=255), nullable=True, comment='项目投资金额'),
    sa.Column('background', sa.Text(), nullable=True, comment='项目背景'),
    sa.Column('content', sa.Text(), nullable=True, comment='项目的具体内容'),
    sa.Column('way', sa.Text(), nullable=True, comment='拟引资方式及内容'),
    sa.Column('company', sa.String(length=255), nullable=True, comment='招商单位'),
    sa.Column('contact', sa.String(length=255), nullable=True, comment='联系方式'),
    sa.Column('email', sa.String(length=255), nullable=True, comment='电子邮箱'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商驾驶舱-重点项目表'
    )
    op.create_table('video',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='视频主键id'),
    sa.Column('district', sa.String(length=32), nullable=False, comment='区县名称'),
    sa.Column('video_id', sa.String(length=35), nullable=True, comment='视频'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商驾驶舱-各区县视频表'
    )
    op.alter_column('enterprise', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业主键id主键id',
               existing_comment='企业主键主键',
               existing_nullable=False,
               autoincrement=True)
    op.create_table_comment(
        'enterprise',
        '全国企业表',
        existing_comment='全国企业',
        schema=None
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table_comment(
        'enterprise',
        '全国企业',
        existing_comment='全国企业表',
        schema=None
    )
    op.alter_column('enterprise', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业主键主键',
               existing_comment='企业主键id主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_table('video')
    op.drop_table('project')
    op.drop_table('newproject')
    op.drop_table('industry')
    op.drop_table('indu_policy')
    op.drop_table('examine')
    op.drop_table('company')
    op.drop_table('city')
    # ### end Alembic commands ###
