"""empty message

Revision ID: 3bda08bf8007
Revises: 1ba77e435ccc
Create Date: 2022-12-05 10:21:17.552525

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '3bda08bf8007'
down_revision = '1ba77e435ccc'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('carrier_build',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', sa.String(length=50), nullable=True, comment='区域名称'),
    sa.Column('build_name', sa.String(length=50), nullable=True, comment='楼宇名称'),
    sa.Column('industry_name', sa.String(length=255), nullable=True, comment='产业名称'),
    sa.Column('industry_type', sa.String(length=20), nullable=True, comment='产业类型'),
    sa.Column('total_area', sa.String(length=20), nullable=True, comment='总面积(㎡)'),
    sa.Column('cover_land_area', sa.String(length=20), nullable=True, comment='占地面积(㎡)'),
    sa.Column('build_type', sa.String(length=20), nullable=True, comment='楼宇类型'),
    sa.Column('rent_rate', sa.String(length=20), nullable=True, comment='出租率'),
    sa.Column('layer_num', sa.Integer(), nullable=True, comment='总层数（层，填写整数）'),
    sa.Column('detail_address', sa.String(length=50), nullable=True, comment='详细地址'),
    sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'),
    sa.Column('construction_time', sa.String(length=20), nullable=True, comment='建设时间(例如：2022年)'),
    sa.Column('upload_time', sa.DateTime(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人'),
    sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人'),
    sa.Column('build_status', sa.String(length=20), nullable=True, comment='楼宇状态'),
    sa.Column('rent_money', sa.String(length=20), nullable=True, comment='租金范围（元/平米/天）'),
    sa.Column('wuye_money', sa.String(length=20), nullable=True, comment='物业费（元/平米/天）'),
    sa.Column('audit_status', sa.Integer(), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'),
    sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'),
    sa.Column('build_info', sa.String(length=255), nullable=True, comment='楼宇介绍'),
    sa.Column('inside_picture_url', sa.String(length=255), nullable=True, comment='内部照片url'),
    sa.Column('outer_picture_url', sa.String(length=255), nullable=True, comment='外部照片url'),
    sa.Column('price_url', sa.String(length=255), nullable=True, comment='平面图url'),
    sa.Column('car_space_num', sa.Integer(), nullable=True, comment='车位数（个，填写整数）'),
    sa.Column('lift_num', sa.Integer(), nullable=True, comment='电梯数（部，填写整数）'),
    sa.Column('rentout_status', sa.String(length=20), nullable=True, comment='出租状态'),
    sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'),
    sa.Column('link_mobile', sa.String(length=20), nullable=True, comment='联系方式'),
    sa.Column('build_area', sa.String(length=20), nullable=True, comment='建筑面积(㎡)'),
    sa.Column('empty_area', sa.String(length=20), nullable=True, comment='闲置面积(㎡)'),
    sa.Column('build_structure', sa.String(length=20), nullable=True, comment='建筑结构'),
    sa.Column('owner', sa.String(length=20), nullable=True, comment='权属人'),
    sa.Column('attract_status', sa.String(length=20), nullable=True, comment='拟招引状态'),
    sa.Column('attract_industry_status', sa.String(length=20), nullable=True, comment='招引业态'),
    sa.Column('cooperation_model', sa.String(length=20), nullable=True, comment='合作模式'),
    sa.Column('attract_advantage', sa.String(length=255), nullable=True, comment='招商优势'),
    sa.Column('policy', sa.String(length=255), nullable=True, comment='优惠政策'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-楼宇详情表'
    )
    op.create_table('carrier_factory',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', sa.String(length=50), nullable=True, comment='区域名称'),
    sa.Column('factory_name', sa.String(length=50), nullable=True, comment='厂房名称'),
    sa.Column('is_standard', sa.String(length=10), nullable=True, comment='是否为标准化厂房(是或否)'),
    sa.Column('rent_status', sa.String(length=10), nullable=True, comment='是否对外租赁(是或否)'),
    sa.Column('rent_money', sa.String(length=20), nullable=True, comment='租金范围（元/平米/天）'),
    sa.Column('detail_address', sa.String(length=20), nullable=True, comment='详细地址'),
    sa.Column('factory_area', sa.String(length=20), nullable=True, comment='建筑面积(㎡)'),
    sa.Column('cover_land_area', sa.String(length=20), nullable=True, comment='占地面积(㎡)'),
    sa.Column('cover_land_area_id', sa.Integer(), nullable=True, comment='占地面积范围id(1:0-500㎡；2:500-1000㎡；3:1000-2000㎡；4:2000-5000㎡；5:5000-10000㎡)'),
    sa.Column('industry_name', sa.String(length=255), nullable=True, comment='产业名称'),
    sa.Column('property_type', sa.String(length=50), nullable=True, comment='产权类型'),
    sa.Column('construction_time', sa.String(length=20), nullable=True, comment='建设时间(例如：2022年)'),
    sa.Column('upload_time', sa.DateTime(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人名字'),
    sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人名字'),
    sa.Column('factory_status', sa.String(length=50), nullable=True, comment='厂房状态'),
    sa.Column('audit_status', sa.String(length=20), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过；'),
    sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'),
    sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'),
    sa.Column('factory_info', sa.String(length=255), nullable=True, comment='厂房介绍'),
    sa.Column('inside_picture_url', sa.String(length=255), nullable=True, comment='内部照片url'),
    sa.Column('outer_picture_url', sa.String(length=255), nullable=True, comment='外部照片url'),
    sa.Column('price_url', sa.String(length=255), nullable=True, comment='平面图url'),
    sa.Column('empty_area', sa.String(length=20), nullable=True, comment='闲置面积(㎡)'),
    sa.Column('factory_structure', sa.String(length=20), nullable=True, comment='建筑结构'),
    sa.Column('width', sa.String(length=20), nullable=True, comment='跨度（米）'),
    sa.Column('high', sa.String(length=20), nullable=True, comment='层高（米）'),
    sa.Column('bearing', sa.String(length=20), nullable=True, comment='承重（500kg/m2）'),
    sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'),
    sa.Column('link_mobile', sa.String(length=20), nullable=True, comment='联系方式'),
    sa.Column('is_electric', sa.String(length=10), nullable=True, comment='是否已通电(是或否)'),
    sa.Column('is_water', sa.String(length=10), nullable=True, comment='是否已通水(是或否)'),
    sa.Column('is_warm', sa.String(length=10), nullable=True, comment='是否已通暖(是或否)'),
    sa.Column('is_gas', sa.String(length=10), nullable=True, comment='是否已通燃气(是或否)'),
    sa.Column('is_network', sa.String(length=10), nullable=True, comment='是否已通网络(是或否)'),
    sa.Column('is_lift', sa.String(length=10), nullable=True, comment='是否有电梯(是或否)'),
    sa.Column('lift_num', sa.Integer(), nullable=True, comment='电梯数量（部,填写整数）'),
    sa.Column('is_car_space', sa.Integer(), nullable=True, comment='是否有车位(是1否0)'),
    sa.Column('layer_num', sa.Integer(), nullable=True, comment='总层数（层,填写整数）'),
    sa.Column('attract_status', sa.String(length=20), nullable=True, comment='拟招引状态'),
    sa.Column('cooperation_model', sa.String(length=20), nullable=True, comment='合作模式'),
    sa.Column('attract_advantage', sa.String(length=255), nullable=True, comment='招商优势'),
    sa.Column('policy', sa.String(length=255), nullable=True, comment='相关政策'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-厂房详情表'
    )
    op.create_table('carrier_land',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', sa.String(length=50), nullable=True, comment='区域名称'),
    sa.Column('land_name', sa.String(length=50), nullable=True, comment='土地名称'),
    sa.Column('industry_name', sa.String(length=255), nullable=True, comment='产业名称'),
    sa.Column('land_nature', sa.String(length=20), nullable=True, comment='土地性质)'),
    sa.Column('land_nature_id', sa.Integer(), nullable=True, comment='土地性质id(1:农用地；2:商业用地；3:建设用地；4:旅游用地；5:居民用地。)'),
    sa.Column('detail_address', sa.String(length=20), nullable=True, comment='详细地址'),
    sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'),
    sa.Column('total_area', sa.String(length=20), nullable=True, comment='总面积(㎡)'),
    sa.Column('total_area_id', sa.Integer(), nullable=True, comment='总面积范围id(1:0-500㎡；2:500-1000㎡；3:1000-2000㎡；4:2000-5000㎡；5:5000-10000㎡)'),
    sa.Column('industry_type', sa.String(length=20), nullable=True, comment='产业类型'),
    sa.Column('jing_area', sa.String(length=20), nullable=True, comment='净面积(㎡)'),
    sa.Column('transfer_year', sa.String(length=20), nullable=True, comment='出让年限（年）'),
    sa.Column('transfer_year_id', sa.Integer(), nullable=True, comment='出让年限范围id(1:0-5年；2:5-10年；3:10-15年；4:15-20年；5:20年以上)'),
    sa.Column('land_code', sa.String(length=50), nullable=True, comment='土地编码'),
    sa.Column('upload_time', sa.DateTime(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人名字'),
    sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人名字'),
    sa.Column('land_status', sa.Integer(), nullable=True, comment='土地状态 0为闲置；1为占用'),
    sa.Column('audit_status', sa.Integer(), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'),
    sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'),
    sa.Column('linkman', sa.String(length=20), nullable=True, comment='联系人'),
    sa.Column('link_mobile', sa.String(length=20), nullable=True, comment='联系方式'),
    sa.Column('land_info', sa.String(length=255), nullable=True, comment='土地介绍'),
    sa.Column('inside_picture_url', sa.String(length=255), nullable=True, comment='内部照片url'),
    sa.Column('outer_picture_url', sa.String(length=255), nullable=True, comment='外部照片url'),
    sa.Column('plot_ratio', sa.String(length=20), nullable=True, comment='容积率'),
    sa.Column('sales_price', sa.String(length=20), nullable=True, comment='销售均价（毛坯）（万元）'),
    sa.Column('max_sales_price', sa.String(length=20), nullable=True, comment='最高销售单价（万元）'),
    sa.Column('max_car_space_price', sa.String(length=20), nullable=True, comment='车位最高销售单价'),
    sa.Column('plan_target', sa.String(length=20), nullable=True, comment='规划指标'),
    sa.Column('plan_condition', sa.String(length=20), nullable=True, comment='规划条件'),
    sa.Column('price_url', sa.String(length=255), nullable=True, comment='规划图url'),
    sa.Column('surround_facility', sa.String(length=255), nullable=True, comment='周边配套（多个，列表形式，顿号分隔）'),
    sa.Column('education_name', sa.String(length=255), nullable=True, comment='教育机构名称（多个，列表形式，顿号分隔）'),
    sa.Column('medical_name', sa.String(length=255), nullable=True, comment='医疗设施名称（多个，列表形式，顿号分隔）'),
    sa.Column('park_name', sa.String(length=255), nullable=True, comment='大型公园名称（多个，列表形式，顿号分隔）'),
    sa.Column('shangfu_center', sa.String(length=255), nullable=True, comment='商服中心（多个，列表形式，顿号分隔）'),
    sa.Column('administration_center', sa.String(length=255), nullable=True, comment='行政中心（多个，列表形式，顿号分隔）'),
    sa.Column('policy', sa.String(length=255), nullable=True, comment='相关政策（多个，列表形式，顿号分隔）'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-土地详情表'
    )
    op.create_table('operation_log',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('operation_time', sa.DateTime(), nullable=True, comment='操作时间'),
    sa.Column('operation_people', sa.String(length=20), nullable=True, comment='操作人名字'),
    sa.Column('operation_people_id', sa.String(length=20), nullable=True, comment='操作人id'),
    sa.Column('operation_people_belong', sa.String(length=100), nullable=True, comment='操作人所属区县、机构、部门'),
    sa.Column('operation_mobile', sa.String(length=20), nullable=True, comment='操作人电话'),
    sa.Column('operation_message', sa.String(length=255), nullable=True, comment='操作信息'),
    sa.Column('section', sa.String(length=20), nullable=True, comment='操作人职务'),
    sa.Column('remark', sa.String(length=20), nullable=True, comment='备注：是或否（是否是每月二十五号前进行提报导入）'),
    sa.Column('action', sa.String(length=20), nullable=True, comment='记录"导入"的动作用于备注（每月十五号前是否进行提报导入）的是和否'),
    sa.Column('read_type', sa.Integer(), nullable=True, comment='消息类型（用于消息提醒） 0未读，1已读，3已读状态一天后转为历史消息'),
    sa.Column('time', sa.DateTime(), nullable=True, comment='转为已读状态的时间（用于消息提醒）'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-记录操作日志的数据表'
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('operation_log')
    op.drop_table('carrier_land')
    op.drop_table('carrier_factory')
    op.drop_table('carrier_build')
    # ### end Alembic commands ###
