"""empty message

Revision ID: 480d44ac277f
Revises: 2ff5b7509dc4
Create Date: 2022-12-29 10:30:19.137844

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '480d44ac277f'
down_revision = '2ff5b7509dc4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('industrydistribute',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('industry_name', sa.String(length=20), nullable=True, comment='行业名称'),
    sa.Column('industry_num', sa.Integer(), nullable=True, comment='个数'),
    sa.Column('investment_volume', sa.Float(), nullable=True, comment='投资额（亿元）'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商驾驶舱开工项目产业分布数据'
    )
    op.alter_column('money_arrive', 'arrive_money',
               existing_type=mysql.FLOAT(),
               comment='固定资产投资项目资金到位额',
               existing_comment='固定资产投资项目资金到位额（',
               existing_nullable=True)
    op.alter_column('user', 'role_id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='角色id ',
               existing_comment='角色id',
               existing_nullable=True)
    op.alter_column('user', 'status',
               existing_type=mysql.INTEGER(display_width=11),
               comment='0禁止，1通过，2再审，3驳回',
               existing_comment='0禁止，1在用',
               existing_nullable=True)
    op.alter_column('user', 'position',
               existing_type=mysql.VARCHAR(length=128),
               comment='职务',
               existing_comment='现任职务（职务）',
               existing_nullable=True)
    op.alter_column('user', 'belong_organization',
               existing_type=mysql.VARCHAR(length=30),
               comment='单位',
               existing_comment='现任工作机构、单位（政府机构，局）',
               existing_nullable=True)
    op.alter_column('user', 'belong_department',
               existing_type=mysql.VARCHAR(length=30),
               comment='部门',
               existing_comment='所在部门（部门）',
               existing_nullable=True)
    op.drop_constraint('user_ibfk_1', 'user', type_='foreignkey')
    op.drop_column('user', 'level')
    op.drop_column('user', 'charge_organization')
    op.drop_column('user', 'email')
    op.drop_column('user', 'is_department_manager')
    op.drop_column('user', 'is_organization_manager')
    op.drop_column('user', 'age')
    op.drop_column('user', 'function')
    op.drop_column('user', 'sex')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('user', sa.Column('sex', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='性别，男1女2'))
    op.add_column('user', sa.Column('function', mysql.TEXT(), nullable=True, comment='工作职能 ---个人中心'))
    op.add_column('user', sa.Column('age', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='年龄'))
    op.add_column('user', sa.Column('is_organization_manager', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='是否是机构负责人'))
    op.add_column('user', sa.Column('is_department_manager', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='是否是部门负责人'))
    op.add_column('user', sa.Column('email', mysql.VARCHAR(length=20), nullable=True, comment='邮箱'))
    op.add_column('user', sa.Column('charge_organization', mysql.VARCHAR(length=30), nullable=True, comment='是机构负责人的话，所负责的机构'))
    op.add_column('user', sa.Column('level', mysql.VARCHAR(length=128), nullable=True, comment='职级（职级） 跟role_id对应'))
    op.create_foreign_key('user_ibfk_1', 'user', 'role', ['role_id'], ['id'])
    op.alter_column('user', 'belong_department',
               existing_type=mysql.VARCHAR(length=30),
               comment='所在部门（部门）',
               existing_comment='部门',
               existing_nullable=True)
    op.alter_column('user', 'belong_organization',
               existing_type=mysql.VARCHAR(length=30),
               comment='现任工作机构、单位（政府机构，局）',
               existing_comment='单位',
               existing_nullable=True)
    op.alter_column('user', 'position',
               existing_type=mysql.VARCHAR(length=128),
               comment='现任职务（职务）',
               existing_comment='职务',
               existing_nullable=True)
    op.alter_column('user', 'status',
               existing_type=mysql.INTEGER(display_width=11),
               comment='0禁止，1在用',
               existing_comment='0禁止，1通过，2再审，3驳回',
               existing_nullable=True)
    op.alter_column('user', 'role_id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='角色id',
               existing_comment='角色id ',
               existing_nullable=True)
    op.alter_column('money_arrive', 'arrive_money',
               existing_type=mysql.FLOAT(),
               comment='固定资产投资项目资金到位额（',
               existing_comment='固定资产投资项目资金到位额',
               existing_nullable=True)
    op.drop_table('industrydistribute')
    # ### end Alembic commands ###
