"""empty message

Revision ID: 49d31ab855b4
Revises: 359190e47912
Create Date: 2023-02-16 11:02:20.797560

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '49d31ab855b4'
down_revision = '359190e47912'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('labor_cost',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='园区主键id'),
    sa.Column('district', sa.String(length=255), nullable=True, comment='区县名称'),
    sa.Column('endowment_insurance1', sa.Float(), nullable=True, comment='公司缴xx %'),
    sa.Column('endowment_insurance2', sa.Float(), nullable=True, comment='个人缴xx %'),
    sa.Column('unemployment_insurance1', sa.Float(), nullable=True, comment='公司缴XX %'),
    sa.Column('unemployment_insurance2', sa.Float(), nullable=True, comment='个人缴X %'),
    sa.Column('injury_insurance1', sa.Float(), nullable=True, comment='公司缴XX %'),
    sa.Column('injury_insurance2', sa.Float(), nullable=True, comment='个人缴X %'),
    sa.Column('maternity_insurance1', sa.Float(), nullable=True, comment='公司缴XX %'),
    sa.Column('maternity_insurance2', sa.Float(), nullable=True, comment='个人缴X %'),
    sa.Column('medical_insurance1', sa.Float(), nullable=True, comment='公司缴XX %'),
    sa.Column('medical_insurance2', sa.Float(), nullable=True, comment='个人缴X %'),
    sa.Column('wage_rates', sa.Float(), nullable=True, comment='工资标准(人社局)'),
    sa.Column('month_wage_rates', sa.Float(), nullable=True, comment='月最低工资工资标准'),
    sa.Column('hour_wage_rates', sa.Float(), nullable=True, comment='非全日制用工小时最低工资标准'),
    sa.PrimaryKeyConstraint('id'),
    comment='现状图谱-投资成本-劳动力成本'
    )
    op.alter_column('district_resource', 'district',
               existing_type=mysql.VARCHAR(length=255),
               comment='区县名称',
               existing_comment='园区名称',
               existing_nullable=True)
    op.create_table_comment(
        'district_resource',
        '现状图谱-投资成本-水电气暖价格',
        existing_comment='产业现状图谱-产业载体园区信息表',
        schema=None
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table_comment(
        'district_resource',
        '产业现状图谱-产业载体园区信息表',
        existing_comment='现状图谱-投资成本-水电气暖价格',
        schema=None
    )
    op.alter_column('district_resource', 'district',
               existing_type=mysql.VARCHAR(length=255),
               comment='园区名称',
               existing_comment='区县名称',
               existing_nullable=True)
    op.drop_table('labor_cost')
    # ### end Alembic commands ###
