"""empty message

Revision ID: 4ee42e22970a
Revises: 49d31ab855b4
Create Date: 2023-02-16 11:19:13.956847

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '4ee42e22970a'
down_revision = '49d31ab855b4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('labor_cost', 'endowment_insurance1',
               existing_type=mysql.FLOAT(),
               comment='养老保险公司缴xx %',
               existing_comment='公司缴xx %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'endowment_insurance2',
               existing_type=mysql.FLOAT(),
               comment='养老保险个人缴xx %',
               existing_comment='个人缴xx %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'unemployment_insurance1',
               existing_type=mysql.FLOAT(),
               comment='失业保险公司缴XX %',
               existing_comment='公司缴XX %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'unemployment_insurance2',
               existing_type=mysql.FLOAT(),
               comment='失业保险个人缴X %',
               existing_comment='个人缴X %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'injury_insurance1',
               existing_type=mysql.FLOAT(),
               comment='工伤保险公司缴XX %',
               existing_comment='公司缴XX %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'injury_insurance2',
               existing_type=mysql.FLOAT(),
               comment='工伤保险个人缴X %',
               existing_comment='个人缴X %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'maternity_insurance1',
               existing_type=mysql.FLOAT(),
               comment='生育保险公司缴XX %',
               existing_comment='公司缴XX %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'maternity_insurance2',
               existing_type=mysql.FLOAT(),
               comment='生育保险个人缴X %',
               existing_comment='个人缴X %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'medical_insurance1',
               existing_type=mysql.FLOAT(),
               comment='医疗保险公司缴XX %',
               existing_comment='公司缴XX %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'medical_insurance2',
               existing_type=mysql.FLOAT(),
               comment='医疗保险个人缴X %',
               existing_comment='个人缴X %',
               existing_nullable=True)
    op.drop_column('labor_cost', 'wage_rates')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('labor_cost', sa.Column('wage_rates', mysql.FLOAT(), nullable=True, comment='工资标准(人社局)'))
    op.alter_column('labor_cost', 'medical_insurance2',
               existing_type=mysql.FLOAT(),
               comment='个人缴X %',
               existing_comment='医疗保险个人缴X %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'medical_insurance1',
               existing_type=mysql.FLOAT(),
               comment='公司缴XX %',
               existing_comment='医疗保险公司缴XX %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'maternity_insurance2',
               existing_type=mysql.FLOAT(),
               comment='个人缴X %',
               existing_comment='生育保险个人缴X %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'maternity_insurance1',
               existing_type=mysql.FLOAT(),
               comment='公司缴XX %',
               existing_comment='生育保险公司缴XX %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'injury_insurance2',
               existing_type=mysql.FLOAT(),
               comment='个人缴X %',
               existing_comment='工伤保险个人缴X %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'injury_insurance1',
               existing_type=mysql.FLOAT(),
               comment='公司缴XX %',
               existing_comment='工伤保险公司缴XX %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'unemployment_insurance2',
               existing_type=mysql.FLOAT(),
               comment='个人缴X %',
               existing_comment='失业保险个人缴X %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'unemployment_insurance1',
               existing_type=mysql.FLOAT(),
               comment='公司缴XX %',
               existing_comment='失业保险公司缴XX %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'endowment_insurance2',
               existing_type=mysql.FLOAT(),
               comment='个人缴xx %',
               existing_comment='养老保险个人缴xx %',
               existing_nullable=True)
    op.alter_column('labor_cost', 'endowment_insurance1',
               existing_type=mysql.FLOAT(),
               comment='公司缴xx %',
               existing_comment='养老保险公司缴xx %',
               existing_nullable=True)
    # ### end Alembic commands ###
