"""empty message

Revision ID: 54d8004c6a64
Revises: 8046440f2a2d
Create Date: 2023-02-22 13:57:53.524946

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '54d8004c6a64'
down_revision = '8046440f2a2d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('carrier_build')
    op.drop_table('carrier_land')
    op.drop_table('carrier_factory')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('carrier_factory',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', mysql.VARCHAR(length=50), nullable=True, comment='区域名称'),
    sa.Column('factory_name', mysql.VARCHAR(length=50), nullable=True, comment='厂房名称'),
    sa.Column('is_standard', mysql.VARCHAR(length=10), nullable=True, comment='是否为标准化厂房(是或否)'),
    sa.Column('rent_status', mysql.VARCHAR(length=10), nullable=True, comment='是否对外租赁(是或否)'),
    sa.Column('rent_money', mysql.VARCHAR(length=20), nullable=True, comment='租金范围（元/平米/天）'),
    sa.Column('detail_address', mysql.VARCHAR(length=20), nullable=True, comment='详细地址'),
    sa.Column('factory_area', mysql.VARCHAR(length=20), nullable=True, comment='建筑面积(㎡)'),
    sa.Column('cover_land_area', mysql.VARCHAR(length=20), nullable=True, comment='占地面积(㎡)'),
    sa.Column('cover_land_area_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='占地面积范围id(1:0-500㎡；2:500-1000㎡；3:1000-2000㎡；4:2000-5000㎡；5:5000-10000㎡)'),
    sa.Column('industry_name', mysql.VARCHAR(length=255), nullable=True, comment='产业名称'),
    sa.Column('property_type', mysql.VARCHAR(length=50), nullable=True, comment='产权类型'),
    sa.Column('construction_time', mysql.VARCHAR(length=20), nullable=True, comment='建设时间(例如：2022年)'),
    sa.Column('upload_time', mysql.DATETIME(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人名字'),
    sa.Column('upload_people_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', mysql.VARCHAR(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', mysql.DATETIME(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', mysql.VARCHAR(length=20), nullable=True, comment='数据修改人名字'),
    sa.Column('factory_status', mysql.VARCHAR(length=50), nullable=True, comment='厂房状态'),
    sa.Column('audit_status', mysql.VARCHAR(length=20), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过；'),
    sa.Column('audit_message', mysql.VARCHAR(length=50), nullable=True, comment='审核附言'),
    sa.Column('lng', mysql.VARCHAR(length=50), nullable=True, comment='经度'),
    sa.Column('lat', mysql.VARCHAR(length=50), nullable=True, comment='维度'),
    sa.Column('factory_info', mysql.VARCHAR(length=255), nullable=True, comment='厂房介绍'),
    sa.Column('inside_picture_url', mysql.VARCHAR(length=255), nullable=True, comment='内部照片url'),
    sa.Column('outer_picture_url', mysql.VARCHAR(length=255), nullable=True, comment='外部照片url'),
    sa.Column('price_url', mysql.VARCHAR(length=255), nullable=True, comment='平面图url'),
    sa.Column('empty_area', mysql.VARCHAR(length=20), nullable=True, comment='闲置面积(㎡)'),
    sa.Column('factory_structure', mysql.VARCHAR(length=20), nullable=True, comment='建筑结构'),
    sa.Column('width', mysql.VARCHAR(length=20), nullable=True, comment='跨度（米）'),
    sa.Column('high', mysql.VARCHAR(length=20), nullable=True, comment='层高（米）'),
    sa.Column('bearing', mysql.VARCHAR(length=20), nullable=True, comment='承重（500kg/m2）'),
    sa.Column('linkman', mysql.VARCHAR(length=20), nullable=True, comment='联系人'),
    sa.Column('link_mobile', mysql.VARCHAR(length=20), nullable=True, comment='联系方式'),
    sa.Column('is_electric', mysql.VARCHAR(length=10), nullable=True, comment='是否已通电(是或否)'),
    sa.Column('is_water', mysql.VARCHAR(length=10), nullable=True, comment='是否已通水(是或否)'),
    sa.Column('is_warm', mysql.VARCHAR(length=10), nullable=True, comment='是否已通暖(是或否)'),
    sa.Column('is_gas', mysql.VARCHAR(length=10), nullable=True, comment='是否已通燃气(是或否)'),
    sa.Column('is_network', mysql.VARCHAR(length=10), nullable=True, comment='是否已通网络(是或否)'),
    sa.Column('is_lift', mysql.VARCHAR(length=10), nullable=True, comment='是否有电梯(是或否)'),
    sa.Column('lift_num', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='电梯数量（部,填写整数）'),
    sa.Column('is_car_space', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='是否有车位(是1否0)'),
    sa.Column('layer_num', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='总层数（层,填写整数）'),
    sa.Column('attract_status', mysql.VARCHAR(length=20), nullable=True, comment='拟招引状态'),
    sa.Column('cooperation_model', mysql.VARCHAR(length=20), nullable=True, comment='合作模式'),
    sa.Column('attract_advantage', mysql.VARCHAR(length=255), nullable=True, comment='招商优势'),
    sa.Column('policy', mysql.VARCHAR(length=255), nullable=True, comment='相关政策'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-厂房详情表',
    mysql_comment='载体资源库-厂房详情表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('carrier_land',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', mysql.VARCHAR(length=50), nullable=True, comment='区域名称'),
    sa.Column('land_name', mysql.VARCHAR(length=50), nullable=True, comment='土地名称'),
    sa.Column('industry_name', mysql.VARCHAR(length=255), nullable=True, comment='产业名称'),
    sa.Column('land_nature', mysql.VARCHAR(length=20), nullable=True, comment='土地性质)'),
    sa.Column('land_nature_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='土地性质id(1:农用地；2:商业用地；3:建设用地；4:旅游用地；5:居民用地。)'),
    sa.Column('detail_address', mysql.VARCHAR(length=20), nullable=True, comment='详细地址'),
    sa.Column('lng', mysql.VARCHAR(length=50), nullable=True, comment='经度'),
    sa.Column('lat', mysql.VARCHAR(length=50), nullable=True, comment='维度'),
    sa.Column('total_area', mysql.VARCHAR(length=20), nullable=True, comment='总面积(㎡)'),
    sa.Column('total_area_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='总面积范围id(1:0-500㎡；2:500-1000㎡；3:1000-2000㎡；4:2000-5000㎡；5:5000-10000㎡)'),
    sa.Column('industry_type', mysql.VARCHAR(length=20), nullable=True, comment='产业类型'),
    sa.Column('jing_area', mysql.VARCHAR(length=20), nullable=True, comment='净面积(㎡)'),
    sa.Column('transfer_year', mysql.VARCHAR(length=20), nullable=True, comment='出让年限（年）'),
    sa.Column('transfer_year_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='出让年限范围id(1:0-5年；2:5-10年；3:10-15年；4:15-20年；5:20年以上)'),
    sa.Column('land_code', mysql.VARCHAR(length=50), nullable=True, comment='土地编码'),
    sa.Column('upload_time', mysql.DATETIME(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人名字'),
    sa.Column('upload_people_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', mysql.VARCHAR(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', mysql.DATETIME(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', mysql.VARCHAR(length=20), nullable=True, comment='数据修改人名字'),
    sa.Column('land_status', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='土地状态 0为闲置；1为占用'),
    sa.Column('audit_status', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'),
    sa.Column('audit_message', mysql.VARCHAR(length=50), nullable=True, comment='审核附言'),
    sa.Column('linkman', mysql.VARCHAR(length=20), nullable=True, comment='联系人'),
    sa.Column('link_mobile', mysql.VARCHAR(length=20), nullable=True, comment='联系方式'),
    sa.Column('land_info', mysql.VARCHAR(length=255), nullable=True, comment='土地介绍'),
    sa.Column('inside_picture_url', mysql.VARCHAR(length=255), nullable=True, comment='内部照片url'),
    sa.Column('outer_picture_url', mysql.VARCHAR(length=255), nullable=True, comment='外部照片url'),
    sa.Column('plot_ratio', mysql.VARCHAR(length=20), nullable=True, comment='容积率'),
    sa.Column('sales_price', mysql.VARCHAR(length=20), nullable=True, comment='销售均价（毛坯）（万元）'),
    sa.Column('max_sales_price', mysql.VARCHAR(length=20), nullable=True, comment='最高销售单价（万元）'),
    sa.Column('max_car_space_price', mysql.VARCHAR(length=20), nullable=True, comment='车位最高销售单价'),
    sa.Column('plan_target', mysql.VARCHAR(length=20), nullable=True, comment='规划指标'),
    sa.Column('plan_condition', mysql.VARCHAR(length=20), nullable=True, comment='规划条件'),
    sa.Column('price_url', mysql.VARCHAR(length=255), nullable=True, comment='规划图url'),
    sa.Column('surround_facility', mysql.VARCHAR(length=255), nullable=True, comment='周边配套（多个，列表形式，顿号分隔）'),
    sa.Column('education_name', mysql.VARCHAR(length=255), nullable=True, comment='教育机构名称（多个，列表形式，顿号分隔）'),
    sa.Column('medical_name', mysql.VARCHAR(length=255), nullable=True, comment='医疗设施名称（多个，列表形式，顿号分隔）'),
    sa.Column('park_name', mysql.VARCHAR(length=255), nullable=True, comment='大型公园名称（多个，列表形式，顿号分隔）'),
    sa.Column('shangfu_center', mysql.VARCHAR(length=255), nullable=True, comment='商服中心（多个，列表形式，顿号分隔）'),
    sa.Column('administration_center', mysql.VARCHAR(length=255), nullable=True, comment='行政中心（多个，列表形式，顿号分隔）'),
    sa.Column('policy', mysql.VARCHAR(length=255), nullable=True, comment='相关政策（多个，列表形式，顿号分隔）'),
    sa.Column('attract_status', mysql.VARCHAR(length=20), nullable=True, comment='拟招引状态'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-土地详情表',
    mysql_comment='载体资源库-土地详情表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('carrier_build',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', mysql.VARCHAR(length=50), nullable=True, comment='区域名称'),
    sa.Column('build_name', mysql.VARCHAR(length=50), nullable=True, comment='楼宇名称'),
    sa.Column('industry_name', mysql.VARCHAR(length=255), nullable=True, comment='产业名称'),
    sa.Column('industry_type', mysql.VARCHAR(length=20), nullable=True, comment='产业类型'),
    sa.Column('total_area', mysql.VARCHAR(length=20), nullable=True, comment='总面积(㎡)'),
    sa.Column('cover_land_area', mysql.VARCHAR(length=20), nullable=True, comment='占地面积(㎡)'),
    sa.Column('build_type', mysql.VARCHAR(length=20), nullable=True, comment='楼宇类型'),
    sa.Column('rent_rate', mysql.VARCHAR(length=20), nullable=True, comment='出租率'),
    sa.Column('layer_num', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='总层数（层，填写整数）'),
    sa.Column('detail_address', mysql.VARCHAR(length=50), nullable=True, comment='详细地址'),
    sa.Column('lng', mysql.VARCHAR(length=50), nullable=True, comment='经度'),
    sa.Column('lat', mysql.VARCHAR(length=50), nullable=True, comment='维度'),
    sa.Column('construction_time', mysql.VARCHAR(length=20), nullable=True, comment='建设时间(例如：2022年)'),
    sa.Column('upload_time', mysql.DATETIME(), nullable=True, comment='数据上传时间'),
    sa.Column('upload_people', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人'),
    sa.Column('upload_people_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人用户id'),
    sa.Column('upload_people_role_id', mysql.VARCHAR(length=20), nullable=True, comment='数据上传人权限id'),
    sa.Column('upload_people_belong', mysql.VARCHAR(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'),
    sa.Column('fix_time', mysql.DATETIME(), nullable=True, comment='数据修改时间'),
    sa.Column('fix_people', mysql.VARCHAR(length=20), nullable=True, comment='数据修改人'),
    sa.Column('build_status', mysql.VARCHAR(length=20), nullable=True, comment='楼宇状态'),
    sa.Column('rent_money', mysql.VARCHAR(length=20), nullable=True, comment='租金范围（元/平米/天）'),
    sa.Column('wuye_money', mysql.VARCHAR(length=20), nullable=True, comment='物业费（元/平米/天）'),
    sa.Column('audit_status', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'),
    sa.Column('audit_message', mysql.VARCHAR(length=50), nullable=True, comment='审核附言'),
    sa.Column('build_info', mysql.VARCHAR(length=255), nullable=True, comment='楼宇介绍'),
    sa.Column('inside_picture_url', mysql.VARCHAR(length=255), nullable=True, comment='内部照片url'),
    sa.Column('outer_picture_url', mysql.VARCHAR(length=255), nullable=True, comment='外部照片url'),
    sa.Column('price_url', mysql.VARCHAR(length=255), nullable=True, comment='平面图url'),
    sa.Column('car_space_num', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='车位数（个，填写整数）'),
    sa.Column('lift_num', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='电梯数（部，填写整数）'),
    sa.Column('rentout_status', mysql.VARCHAR(length=20), nullable=True, comment='出租状态'),
    sa.Column('linkman', mysql.VARCHAR(length=20), nullable=True, comment='联系人'),
    sa.Column('link_mobile', mysql.VARCHAR(length=20), nullable=True, comment='联系方式'),
    sa.Column('build_area', mysql.VARCHAR(length=20), nullable=True, comment='建筑面积(㎡)'),
    sa.Column('empty_area', mysql.VARCHAR(length=20), nullable=True, comment='闲置面积(㎡)'),
    sa.Column('build_structure', mysql.VARCHAR(length=20), nullable=True, comment='建筑结构'),
    sa.Column('owner', mysql.VARCHAR(length=20), nullable=True, comment='权属人'),
    sa.Column('attract_status', mysql.VARCHAR(length=20), nullable=True, comment='拟招引状态'),
    sa.Column('attract_industry_status', mysql.VARCHAR(length=20), nullable=True, comment='招引业态'),
    sa.Column('cooperation_model', mysql.VARCHAR(length=20), nullable=True, comment='合作模式'),
    sa.Column('attract_advantage', mysql.VARCHAR(length=255), nullable=True, comment='招商优势'),
    sa.Column('policy', mysql.VARCHAR(length=255), nullable=True, comment='优惠政策'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-楼宇详情表',
    mysql_comment='载体资源库-楼宇详情表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    # ### end Alembic commands ###
