"""empty message

Revision ID: 567fa4c5fc84
Revises: 0aad01ae0dda
Create Date: 2022-11-16 21:38:20.017395

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '567fa4c5fc84'
down_revision = '0aad01ae0dda'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('project_file',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('flag', sa.Integer(), nullable=True, comment='2为对接库，3为签约库，4为开工库'),
    sa.Column('file_type', sa.Integer(), nullable=True, comment='1文件，2图片'),
    sa.Column('file_url', sa.String(length=300), nullable=True, comment='相关印证资料图片url'),
    sa.Column('file_name', sa.String(length=20), nullable=True, comment='相关印证资料图片名称'),
    sa.Column('project_id', sa.Integer(), nullable=True, comment='外键id，项目id'),
    sa.ForeignKeyConstraint(['project_id'], ['siku_project.id'], ),
    sa.PrimaryKeyConstraint('id'),
    comment='四库管理对接库-相关印证资料图片'
    )
    op.drop_table('joint_img')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('joint_img',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('flag', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='2为对接库，3为签约库，4为开工库'),
    sa.Column('img_url', mysql.VARCHAR(length=300), nullable=True, comment='相关印证资料图片url'),
    sa.Column('img_name', mysql.VARCHAR(length=20), nullable=True, comment='相关印证资料图片名称'),
    sa.Column('project_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='外键id，项目id'),
    sa.ForeignKeyConstraint(['project_id'], ['siku_project.id'], name='joint_img_ibfk_1'),
    sa.PrimaryKeyConstraint('id'),
    comment='四库管理对接库-相关印证资料图片',
    mysql_comment='四库管理对接库-相关印证资料图片',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.drop_table('project_file')
    # ### end Alembic commands ###
