"""empty message

Revision ID: 64b32417349b
Revises: 1249c599d875
Create Date: 2023-02-22 00:27:40.254685

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '64b32417349b'
down_revision = '1249c599d875'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('investment_consultation',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('project_name', sa.String(length=20), nullable=True, comment='项目名称'),
    sa.Column('investor', sa.Integer(), nullable=True, comment='投资方名称'),
    sa.Column('investor_place', sa.String(length=100), nullable=True, comment='投资方所在地'),
    sa.Column('project_type', sa.String(length=20), nullable=True, comment='项目类型'),
    sa.Column('investment_volume', sa.Text(), nullable=True, comment='总投资额'),
    sa.Column('basic_information', sa.Text(), nullable=True, comment='项目方基本情况'),
    sa.Column('land_area', sa.Text(), nullable=True, comment='拟落地区域'),
    sa.Column('flag', sa.Integer(), nullable=True, comment='是否已回复 0否1是'),
    sa.Column('reply_content', sa.Text(), nullable=True, comment='回复内容'),
    sa.PrimaryKeyConstraint('id'),
    comment='小程序-客户咨询信息表'
    )
    op.add_column('company', sa.Column('chain_master', sa.String(length=20), nullable=True, comment='链主企业'))
    op.create_table_comment(
        'introduction_meet',
        '小程序-推介会数据表',
        existing_comment='推介会数据表',
        schema=None
    )
    op.add_column('investment_information', sa.Column('content', sa.Text(), nullable=True, comment='正文'))
    op.create_table_comment(
        'investment_information',
        '小程序-招商资讯数据表',
        existing_comment='招商资讯数据表',
        schema=None
    )
    op.drop_column('investment_information', 'info')
    op.add_column('zaiti_build', sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'))
    op.add_column('zaiti_build', sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'))
    op.add_column('zaiti_factory', sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'))
    op.add_column('zaiti_factory', sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'))
    op.add_column('zaiti_land', sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'))
    op.add_column('zaiti_land', sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('zaiti_land', 'lat')
    op.drop_column('zaiti_land', 'lng')
    op.drop_column('zaiti_factory', 'lat')
    op.drop_column('zaiti_factory', 'lng')
    op.drop_column('zaiti_build', 'lat')
    op.drop_column('zaiti_build', 'lng')
    op.add_column('investment_information', sa.Column('info', mysql.TEXT(), nullable=True, comment='介绍'))
    op.create_table_comment(
        'investment_information',
        '招商资讯数据表',
        existing_comment='小程序-招商资讯数据表',
        schema=None
    )
    op.drop_column('investment_information', 'content')
    op.create_table_comment(
        'introduction_meet',
        '推介会数据表',
        existing_comment='小程序-推介会数据表',
        schema=None
    )
    op.drop_column('company', 'chain_master')
    op.drop_table('investment_consultation')
    # ### end Alembic commands ###
