"""empty message

Revision ID: 65b957f64433
Revises: 281173c29995
Create Date: 2022-03-03 16:25:20.832942

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '65b957f64433'
down_revision = '281173c29995'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('role', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业',
               existing_nullable=False,
               autoincrement=True)
    op.alter_column('role', 'role_name',
               existing_type=mysql.VARCHAR(length=255),
               comment='角色名',
               existing_nullable=True)
    op.alter_column('role', 'role',
               existing_type=mysql.VARCHAR(length=10),
               comment='权限值 000000 0位位职级123，后面为权限01',
               existing_nullable=True)
    op.alter_column('role', 'info',
               existing_type=mysql.VARCHAR(length=255),
               comment='权限说明',
               existing_nullable=True)
    op.add_column('user', sa.Column('belong_organization', sa.String(length=30), nullable=True, comment='现任工作机构、单位（政府机构，局）'))
    op.add_column('user', sa.Column('is_organization_manager', sa.Integer(), nullable=True, comment='是否是机构负责人'))
    op.add_column('user', sa.Column('charge_organization', sa.String(length=30), nullable=True, comment='是机构负责人的话，所负责的机构'))
    op.add_column('user', sa.Column('belong_department', sa.String(length=30), nullable=True, comment='所在部门（部门）'))
    op.add_column('user', sa.Column('is_department_manager', sa.Integer(), nullable=True, comment='是否是部门负责人'))
    op.alter_column('user', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='用户编号',
               existing_nullable=False,
               autoincrement=True)
    op.alter_column('user', 'name',
               existing_type=mysql.VARCHAR(length=32),
               comment='用户名',
               existing_nullable=True)
    op.alter_column('user', 'password_hash',
               existing_type=mysql.VARCHAR(length=128),
               comment='加密的密码',
               existing_nullable=True)
    op.alter_column('user', 'real_name',
               existing_type=mysql.VARCHAR(length=32),
               comment='姓名',
               existing_nullable=True)
    op.alter_column('user', 'age',
               existing_type=mysql.INTEGER(display_width=11),
               comment='年龄',
               existing_nullable=True)
    op.alter_column('user', 'sex',
               existing_type=mysql.INTEGER(display_width=11),
               comment='性别，男1女2',
               existing_nullable=True)
    op.alter_column('user', 'mobile',
               existing_type=mysql.VARCHAR(length=11),
               comment='手机号',
               existing_nullable=True)
    op.alter_column('user', 'email',
               existing_type=mysql.VARCHAR(length=20),
               comment='邮箱',
               existing_nullable=True)
    op.alter_column('user', 'function',
               existing_type=mysql.TEXT(),
               comment='工作职能 ---个人中心',
               existing_nullable=True)
    op.alter_column('user', 'flag',
               existing_type=mysql.INTEGER(display_width=11),
               comment='普通1，政府2',
               existing_nullable=True)
    op.alter_column('user', 'status',
               existing_type=mysql.INTEGER(display_width=11),
               comment='通过1，在审2,驳回3',
               existing_nullable=True)
    op.alter_column('user', 'position',
               existing_type=mysql.VARCHAR(length=128),
               comment='现任职务（职务）',
               existing_nullable=True)
    op.alter_column('user', 'group',
               existing_type=mysql.VARCHAR(length=128),
               comment='所在组',
               existing_nullable=True)
    op.alter_column('user', 'level',
               existing_type=mysql.VARCHAR(length=128),
               comment='职级（职级） 跟role_id对应',
               existing_nullable=True)
    op.alter_column('user', 'leader',
               existing_type=mysql.VARCHAR(length=32),
               comment='领导（直属领导）',
               existing_nullable=True)
    op.alter_column('user', 'vxopenid',
               existing_type=mysql.VARCHAR(length=128),
               comment='微信openid',
               existing_nullable=True)
    op.alter_column('user', 'vxunionid',
               existing_type=mysql.VARCHAR(length=128),
               comment='微信unionid',
               existing_nullable=True)
    op.alter_column('user', 'role_id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='角色id',
               existing_nullable=True)
    op.drop_column('user', 'unit')
    op.drop_column('user', 'section')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('user', sa.Column('section', mysql.VARCHAR(length=128), nullable=True))
    op.add_column('user', sa.Column('unit', mysql.VARCHAR(length=128), nullable=True))
    op.alter_column('user', 'role_id',
               existing_type=mysql.INTEGER(display_width=11),
               comment=None,
               existing_comment='角色id',
               existing_nullable=True)
    op.alter_column('user', 'vxunionid',
               existing_type=mysql.VARCHAR(length=128),
               comment=None,
               existing_comment='微信unionid',
               existing_nullable=True)
    op.alter_column('user', 'vxopenid',
               existing_type=mysql.VARCHAR(length=128),
               comment=None,
               existing_comment='微信openid',
               existing_nullable=True)
    op.alter_column('user', 'leader',
               existing_type=mysql.VARCHAR(length=32),
               comment=None,
               existing_comment='领导（直属领导）',
               existing_nullable=True)
    op.alter_column('user', 'level',
               existing_type=mysql.VARCHAR(length=128),
               comment=None,
               existing_comment='职级（职级） 跟role_id对应',
               existing_nullable=True)
    op.alter_column('user', 'group',
               existing_type=mysql.VARCHAR(length=128),
               comment=None,
               existing_comment='所在组',
               existing_nullable=True)
    op.alter_column('user', 'position',
               existing_type=mysql.VARCHAR(length=128),
               comment=None,
               existing_comment='现任职务（职务）',
               existing_nullable=True)
    op.alter_column('user', 'status',
               existing_type=mysql.INTEGER(display_width=11),
               comment=None,
               existing_comment='通过1，在审2,驳回3',
               existing_nullable=True)
    op.alter_column('user', 'flag',
               existing_type=mysql.INTEGER(display_width=11),
               comment=None,
               existing_comment='普通1，政府2',
               existing_nullable=True)
    op.alter_column('user', 'function',
               existing_type=mysql.TEXT(),
               comment=None,
               existing_comment='工作职能 ---个人中心',
               existing_nullable=True)
    op.alter_column('user', 'email',
               existing_type=mysql.VARCHAR(length=20),
               comment=None,
               existing_comment='邮箱',
               existing_nullable=True)
    op.alter_column('user', 'mobile',
               existing_type=mysql.VARCHAR(length=11),
               comment=None,
               existing_comment='手机号',
               existing_nullable=True)
    op.alter_column('user', 'sex',
               existing_type=mysql.INTEGER(display_width=11),
               comment=None,
               existing_comment='性别，男1女2',
               existing_nullable=True)
    op.alter_column('user', 'age',
               existing_type=mysql.INTEGER(display_width=11),
               comment=None,
               existing_comment='年龄',
               existing_nullable=True)
    op.alter_column('user', 'real_name',
               existing_type=mysql.VARCHAR(length=32),
               comment=None,
               existing_comment='姓名',
               existing_nullable=True)
    op.alter_column('user', 'password_hash',
               existing_type=mysql.VARCHAR(length=128),
               comment=None,
               existing_comment='加密的密码',
               existing_nullable=True)
    op.alter_column('user', 'name',
               existing_type=mysql.VARCHAR(length=32),
               comment=None,
               existing_comment='用户名',
               existing_nullable=True)
    op.alter_column('user', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment=None,
               existing_comment='用户编号',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('user', 'is_department_manager')
    op.drop_column('user', 'belong_department')
    op.drop_column('user', 'charge_organization')
    op.drop_column('user', 'is_organization_manager')
    op.drop_column('user', 'belong_organization')
    op.alter_column('role', 'info',
               existing_type=mysql.VARCHAR(length=255),
               comment=None,
               existing_comment='权限说明',
               existing_nullable=True)
    op.alter_column('role', 'role',
               existing_type=mysql.VARCHAR(length=10),
               comment=None,
               existing_comment='权限值 000000 0位位职级123，后面为权限01',
               existing_nullable=True)
    op.alter_column('role', 'role_name',
               existing_type=mysql.VARCHAR(length=255),
               comment=None,
               existing_comment='角色名',
               existing_nullable=True)
    op.alter_column('role', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment=None,
               existing_comment='企业',
               existing_nullable=False,
               autoincrement=True)
    # ### end Alembic commands ###
