"""empty message

Revision ID: 6a08b8809873
Revises: f66650ce2fa6
Create Date: 2023-04-20 16:13:09.853305

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6a08b8809873'
down_revision = 'f66650ce2fa6'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('enterprise111',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='企业主键id主键id'),
    sa.Column('chain_master', sa.String(length=20), nullable=True, comment='链主企业'),
    sa.Column('company_id', sa.String(length=255), nullable=True, comment='企业id'),
    sa.Column('company_name', sa.String(length=255), nullable=True, comment='企业名'),
    sa.Column('status', sa.String(length=32), nullable=True, comment='经营状态'),
    sa.Column('legal', sa.String(length=255), nullable=True, comment='发定代表人'),
    sa.Column('capital', sa.String(length=255), nullable=True, comment='注册资本,22万美元'),
    sa.Column('capital_nums', sa.Float(), nullable=True, comment='注册资本转换成人民币数值'),
    sa.Column('capital_id', sa.Integer(), nullable=True, comment='注册资本大小类型，0-100,1,100-500,2,500-1000,3,1000-5000,4,5000-10000,5,10000+，6'),
    sa.Column('build_date', sa.DateTime(), nullable=True, comment='注册时间'),
    sa.Column('yearid', sa.Integer(), nullable=True, comment='成立时间年限id(1-3，1)(3-5，2)(5-8，3)（8-10，4）（10-15,5）（15以上，6）'),
    sa.Column('province', sa.String(length=32), nullable=True, comment='省'),
    sa.Column('city', sa.String(length=32), nullable=True, comment='市'),
    sa.Column('district', sa.String(length=32), nullable=True, comment='区'),
    sa.Column('lng', sa.String(length=100), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=100), nullable=True, comment='纬度'),
    sa.Column('p_lng', sa.String(length=100), nullable=True, comment='省经度'),
    sa.Column('p_lat', sa.String(length=100), nullable=True, comment='省纬度'),
    sa.Column('c_lng', sa.String(length=100), nullable=True, comment='市经度'),
    sa.Column('c_lat', sa.String(length=100), nullable=True, comment='市纬度'),
    sa.Column('d_lng', sa.String(length=100), nullable=True, comment='区经度'),
    sa.Column('d_lat', sa.String(length=100), nullable=True, comment='区纬度'),
    sa.Column('address', sa.String(length=255), nullable=True, comment='企业地址'),
    sa.Column('telephone', sa.Text(), nullable=True, comment='电话'),
    sa.Column('telephone_more', sa.Text(), nullable=True, comment='更多电话'),
    sa.Column('email', sa.Text(), nullable=True, comment='邮箱'),
    sa.Column('social_code', sa.String(length=100), nullable=True, comment='统一社会信用代码'),
    sa.Column('tax_code', sa.String(length=100), nullable=True, comment='纳税人识别号'),
    sa.Column('register_code', sa.String(length=100), nullable=True, comment='注册号'),
    sa.Column('company_code', sa.String(length=100), nullable=True, comment='组织机构代码'),
    sa.Column('bao_num', sa.Integer(), nullable=True, comment='参保人数'),
    sa.Column('entype', sa.String(length=100), nullable=True, comment='企业类型'),
    sa.Column('entypeid', sa.Integer(), nullable=True, comment='公司类型id(个人独资企业-1)(股份有限公司-2)(有限责任公司-3)(合伙企业-4)(集体所有制-5)(全民所有制企业-6)(外商企业-7)'),
    sa.Column('scale_range', sa.Integer(), nullable=True, comment='企业规模id，1：20人以下，2:20-99人，3:100-499人，4：500-999人，5： 1000-4999人，6：5000-9999人，7:10000人'),
    sa.Column('company_industry', sa.String(length=100), nullable=True, comment='所属行业'),
    sa.Column('web_site', sa.String(length=255), nullable=True, comment='企业网址'),
    sa.Column('business_scope', sa.Text(), nullable=True, comment='企业经营范围'),
    sa.Column('register_org', sa.String(length=100), nullable=True, comment='登记机关'),
    sa.Column('money_type', sa.String(length=100), nullable=True, comment='注册币种'),
    sa.Column('money_type_id', sa.Integer(), nullable=True, comment='注册币种类型id'),
    sa.Column('high_new', sa.String(length=32), nullable=True, comment='是否高新技术企业'),
    sa.Column('parti_year', sa.Integer(), nullable=True, comment='高新企业注册年份'),
    sa.Column('tbe', sa.String(length=32), nullable=True, comment='是否科技型中小企业'),
    sa.Column('tbe_sjmy', sa.String(length=32), nullable=True, comment='是否为省级民营科技企业'),
    sa.Column('zjtg', sa.String(length=32), nullable=True, comment='是否为专精特新企业'),
    sa.Column('zjtg_gjjxjr', sa.String(length=32), nullable=True, comment='是否为国家级专精特新小巨人企业'),
    sa.Column('zjtg_sjxjr', sa.String(length=32), nullable=True, comment='是否为省级专精特新小巨人企业'),
    sa.Column('fianacing', sa.String(length=32), nullable=True, comment='是否为有融资企业'),
    sa.Column('fianacing_rounds', sa.String(length=32), nullable=True, comment='融资轮次'),
    sa.Column('roundid', sa.Integer(), nullable=True, comment='融资轮次id(天使/种子，1)（PreA/A+,2）（PreB/B+,3）(C轮以上，4)（收并购，5）（战略投资，6）（其他，7）'),
    sa.Column('financing_amount', sa.Float(), nullable=True, comment='融资金额'),
    sa.Column('software_copyright', sa.String(length=32), nullable=True, comment='是否为有软件著作权'),
    sa.Column('num_software', sa.Integer(), nullable=True, comment='软件著作权个数'),
    sa.Column('quoted_company', sa.String(length=32), nullable=True, comment='是否上市企业'),
    sa.Column('public_sector', sa.String(length=32), nullable=True, comment='上市板块'),
    sa.Column('public_id', sa.Integer(), nullable=True, comment='上市版块的id----360企业画像（A股,1）(创业股，2)(港股，3)(新三股，4)(新四股,5)(中小板,6)'),
    sa.Column('foreign_investment', sa.String(length=32), nullable=True, comment='是否外商投资'),
    sa.Column('patent', sa.String(length=32), nullable=True, comment='是否为有专利企业'),
    sa.Column('num_patent', sa.Integer(), nullable=True, comment='专利个数'),
    sa.Column('company_info', sa.Text(), nullable=True, comment='公司简介'),
    sa.Column('dengl', sa.String(length=32), nullable=True, comment='瞪羚'),
    sa.Column('unicorn', sa.String(length=32), nullable=True, comment='独角兽企业'),
    sa.Column('isfive', sa.String(length=32), nullable=True, comment='是否中国500强'),
    sa.Column('takingn', sa.Float(), nullable=True, comment='营收'),
    sa.Column('hots', sa.Integer(), nullable=True, comment='企业热度(权重值)'),
    sa.Column('c_name', sa.String(length=255), nullable=True, comment='行业类名'),
    sa.Column('c_type', sa.Integer(), nullable=True, comment='行业类id'),
    sa.Column('product_all', sa.String(length=255), nullable=True, comment='公司拥有产品'),
    sa.Column('c_name1', sa.String(length=255), nullable=True, comment='行业类名'),
    sa.Column('c_type1', sa.Integer(), nullable=True, comment='行业类id'),
    sa.Column('product_all1', sa.String(length=255), nullable=True, comment='公司拥有产品'),
    sa.Column('c_name2', sa.String(length=255), nullable=True, comment='行业类名'),
    sa.Column('c_type2', sa.Integer(), nullable=True, comment='行业类id'),
    sa.Column('product_all2', sa.String(length=255), nullable=True, comment='公司拥有产品'),
    sa.Column('f_name', sa.String(length=255), nullable=True, comment='父行业类名'),
    sa.Column('f_type', sa.Integer(), nullable=True, comment='父行业类id'),
    sa.Column('sxonhun', sa.String(length=32), nullable=True, comment='是否山西100强'),
    sa.Column('scale', sa.String(length=32), nullable=True, comment='规模以上企业'),
    sa.Column('serve', sa.String(length=32), nullable=True, comment='限额以上服务业'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表'
    )
    op.create_index(op.f('ix_enterprise111_c_type'), 'enterprise111', ['c_type'], unique=False)
    op.create_index(op.f('ix_enterprise111_c_type1'), 'enterprise111', ['c_type1'], unique=False)
    op.create_index(op.f('ix_enterprise111_c_type2'), 'enterprise111', ['c_type2'], unique=False)
    op.create_index(op.f('ix_enterprise111_city'), 'enterprise111', ['city'], unique=False)
    op.create_index(op.f('ix_enterprise111_company_id'), 'enterprise111', ['company_id'], unique=False)
    op.create_index(op.f('ix_enterprise111_company_name'), 'enterprise111', ['company_name'], unique=False)
    op.create_index(op.f('ix_enterprise111_district'), 'enterprise111', ['district'], unique=False)
    op.create_index(op.f('ix_enterprise111_entypeid'), 'enterprise111', ['entypeid'], unique=False)
    op.create_index(op.f('ix_enterprise111_f_type'), 'enterprise111', ['f_type'], unique=False)
    op.create_index(op.f('ix_enterprise111_province'), 'enterprise111', ['province'], unique=False)
    op.create_index(op.f('ix_enterprise111_public_id'), 'enterprise111', ['public_id'], unique=False)
    op.create_index(op.f('ix_enterprise111_roundid'), 'enterprise111', ['roundid'], unique=False)
    op.create_index(op.f('ix_enterprise111_scale_range'), 'enterprise111', ['scale_range'], unique=False)
    op.create_index(op.f('ix_enterprise111_yearid'), 'enterprise111', ['yearid'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_enterprise111_yearid'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_scale_range'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_roundid'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_public_id'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_province'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_f_type'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_entypeid'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_district'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_company_name'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_company_id'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_city'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_c_type2'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_c_type1'), table_name='enterprise111')
    op.drop_index(op.f('ix_enterprise111_c_type'), table_name='enterprise111')
    op.drop_table('enterprise111')
    # ### end Alembic commands ###
