"""empty message

Revision ID: 8046440f2a2d
Revises: e361ab017b2b
Create Date: 2023-02-22 13:53:00.731914

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '8046440f2a2d'
down_revision = 'e361ab017b2b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('zaiti_build', sa.Column('build_name', sa.String(length=20), nullable=True, comment='楼宇名称'))
    op.add_column('zaiti_build', sa.Column('audit_status', sa.Integer(), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'))
    op.add_column('zaiti_build', sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'))
    op.add_column('zaiti_build', sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人'))
    op.add_column('zaiti_build', sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'))
    op.add_column('zaiti_build', sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'))
    op.add_column('zaiti_build', sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'))
    op.add_column('zaiti_build', sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'))
    op.add_column('zaiti_build', sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人'))
    op.add_column('zaiti_build', sa.Column('district_name', sa.String(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_build', sa.Column('detail_address', sa.String(length=20), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'))
    op.add_column('zaiti_build', sa.Column('construction_time', sa.String(length=20), nullable=True, comment='建成时间（年）'))
    op.add_column('zaiti_build', sa.Column('cover_land_area', sa.String(length=10), nullable=True, comment='总占地面积（㎡）'))
    op.add_column('zaiti_build', sa.Column('car_space_num', sa.Integer(), nullable=True, comment='车位（个）'))
    op.add_column('zaiti_build', sa.Column('lift_num', sa.Integer(), nullable=True, comment='电梯（部）'))
    op.add_column('zaiti_build', sa.Column('attract_status', sa.String(length=20), nullable=True, comment='拟招引产业'))
    op.add_column('zaiti_build', sa.Column('rent_money', sa.String(length=20), nullable=True, comment='租金（元/平米/天）'))
    op.add_column('zaiti_build', sa.Column('wuye_money', sa.String(length=20), nullable=True, comment='物业费（元/平米/月）'))
    op.add_column('zaiti_build', sa.Column('link_mobile', sa.String(length=20), nullable=True, comment='联系方式'))
    op.drop_column('zaiti_build', 'land_area')
    op.drop_column('zaiti_build', 'carport')
    op.drop_column('zaiti_build', 'property_fee')
    op.drop_column('zaiti_build', 'attract_industry')
    op.drop_column('zaiti_build', 'rent')
    op.drop_column('zaiti_build', 'address')
    op.drop_column('zaiti_build', 'build_time')
    op.drop_column('zaiti_build', 'district')
    op.drop_column('zaiti_build', 'telephone')
    op.drop_column('zaiti_build', 'name')
    op.drop_column('zaiti_build', 'elevator')
    op.add_column('zaiti_factory', sa.Column('factory_name', sa.String(length=20), nullable=True, comment='厂房名称'))
    op.add_column('zaiti_factory', sa.Column('district_name', sa.String(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_factory', sa.Column('build_type', sa.String(length=20), nullable=True, comment='厂房类型（单层/多层/混合层）'))
    op.add_column('zaiti_factory', sa.Column('detail_address', sa.String(length=50), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'))
    op.add_column('zaiti_factory', sa.Column('construction_time', sa.String(length=20), nullable=True, comment='建成时间（年）'))
    op.add_column('zaiti_factory', sa.Column('cover_land_area', sa.String(length=20), nullable=True, comment='总占地面积（㎡）'))
    op.add_column('zaiti_factory', sa.Column('factory_area', sa.String(length=255), nullable=True, comment='总建筑面积（㎡）'))
    op.add_column('zaiti_factory', sa.Column('is_network', sa.String(length=20), nullable=True, comment='是否已通网络(是/否)'))
    op.add_column('zaiti_factory', sa.Column('lift_num', sa.String(length=20), nullable=True, comment='电梯(部)'))
    op.add_column('zaiti_factory', sa.Column('attract_status', sa.String(length=20), nullable=True, comment='拟招引产业（下拉筛选）'))
    op.add_column('zaiti_factory', sa.Column('rent_money', sa.String(length=20), nullable=True, comment='租金（元/平米/天）'))
    op.add_column('zaiti_factory', sa.Column('link_mobile', sa.String(length=20), nullable=True, comment='联系方式'))
    op.add_column('zaiti_factory', sa.Column('price_url', sa.String(length=255), nullable=True, comment='厂房图片url'))
    op.add_column('zaiti_factory', sa.Column('upload_time', sa.DateTime(), nullable=True, comment='数据上传时间'))
    op.add_column('zaiti_factory', sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人名字'))
    op.add_column('zaiti_factory', sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'))
    op.add_column('zaiti_factory', sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'))
    op.add_column('zaiti_factory', sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'))
    op.add_column('zaiti_factory', sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'))
    op.add_column('zaiti_factory', sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人名字'))
    op.add_column('zaiti_factory', sa.Column('audit_status', sa.String(length=20), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过；'))
    op.add_column('zaiti_factory', sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'))
    op.drop_column('zaiti_factory', 'land_area')
    op.drop_column('zaiti_factory', 'buide_type')
    op.drop_column('zaiti_factory', 'attract_industry')
    op.drop_column('zaiti_factory', 'rent')
    op.drop_column('zaiti_factory', 'address')
    op.drop_column('zaiti_factory', 'build_time')
    op.drop_column('zaiti_factory', 'factory_pic')
    op.drop_column('zaiti_factory', 'build_area')
    op.drop_column('zaiti_factory', 'district')
    op.drop_column('zaiti_factory', 'is_internet')
    op.drop_column('zaiti_factory', 'telephone')
    op.drop_column('zaiti_factory', 'name')
    op.drop_column('zaiti_factory', 'elevator')
    op.add_column('zaiti_land', sa.Column('land_name', sa.String(length=20), nullable=True, comment='土地名称'))
    op.add_column('zaiti_land', sa.Column('upload_time', sa.DateTime(), nullable=True, comment='数据上传时间'))
    op.add_column('zaiti_land', sa.Column('upload_people', sa.String(length=20), nullable=True, comment='数据上传人名字'))
    op.add_column('zaiti_land', sa.Column('upload_people_id', sa.String(length=20), nullable=True, comment='数据上传人用户id'))
    op.add_column('zaiti_land', sa.Column('upload_people_role_id', sa.String(length=20), nullable=True, comment='数据上传人权限id'))
    op.add_column('zaiti_land', sa.Column('upload_people_belong', sa.String(length=100), nullable=True, comment='数据上传人所属区县、机构、部门'))
    op.add_column('zaiti_land', sa.Column('fix_time', sa.DateTime(), nullable=True, comment='数据修改时间'))
    op.add_column('zaiti_land', sa.Column('fix_people', sa.String(length=20), nullable=True, comment='数据修改人名字'))
    op.add_column('zaiti_land', sa.Column('audit_status', sa.Integer(), nullable=True, comment='审核状态 0为未审核；1为审核通过；2为提交；3为驳回；4未通过'))
    op.add_column('zaiti_land', sa.Column('audit_message', sa.String(length=50), nullable=True, comment='审核附言'))
    op.add_column('zaiti_land', sa.Column('land_code', sa.String(length=20), nullable=True, comment='土地编码'))
    op.add_column('zaiti_land', sa.Column('district_name', sa.String(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_land', sa.Column('land_nature', sa.String(length=20), nullable=True, comment='用地性质(工业用地/商服用地/物流仓储用地/科研用地/居住用地)（包括用地性质类别代码）'))
    op.add_column('zaiti_land', sa.Column('total_area', sa.String(length=255), nullable=True, comment='用地面积（净用地面积）（公顷）'))
    op.drop_column('zaiti_land', 'nature')
    op.drop_column('zaiti_land', 'area')
    op.drop_column('zaiti_land', 'code')
    op.drop_column('zaiti_land', 'district')
    op.drop_column('zaiti_land', 'name')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('zaiti_land', sa.Column('name', mysql.VARCHAR(length=20), nullable=True, comment='土地名称'))
    op.add_column('zaiti_land', sa.Column('district', mysql.VARCHAR(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_land', sa.Column('code', mysql.VARCHAR(length=20), nullable=True, comment='土地编码'))
    op.add_column('zaiti_land', sa.Column('area', mysql.VARCHAR(length=255), nullable=True, comment='用地面积（净用地面积）（公顷）'))
    op.add_column('zaiti_land', sa.Column('nature', mysql.VARCHAR(length=20), nullable=True, comment='用地性质(工业用地/商服用地/物流仓储用地/科研用地/居住用地)（包括用地性质类别代码）'))
    op.drop_column('zaiti_land', 'total_area')
    op.drop_column('zaiti_land', 'land_nature')
    op.drop_column('zaiti_land', 'district_name')
    op.drop_column('zaiti_land', 'land_code')
    op.drop_column('zaiti_land', 'audit_message')
    op.drop_column('zaiti_land', 'audit_status')
    op.drop_column('zaiti_land', 'fix_people')
    op.drop_column('zaiti_land', 'fix_time')
    op.drop_column('zaiti_land', 'upload_people_belong')
    op.drop_column('zaiti_land', 'upload_people_role_id')
    op.drop_column('zaiti_land', 'upload_people_id')
    op.drop_column('zaiti_land', 'upload_people')
    op.drop_column('zaiti_land', 'upload_time')
    op.drop_column('zaiti_land', 'land_name')
    op.add_column('zaiti_factory', sa.Column('elevator', mysql.VARCHAR(length=20), nullable=True, comment='电梯(部)'))
    op.add_column('zaiti_factory', sa.Column('name', mysql.VARCHAR(length=20), nullable=True, comment='厂房名称'))
    op.add_column('zaiti_factory', sa.Column('telephone', mysql.VARCHAR(length=20), nullable=True, comment='联系方式'))
    op.add_column('zaiti_factory', sa.Column('is_internet', mysql.VARCHAR(length=20), nullable=True, comment='是否已通网络(是/否)'))
    op.add_column('zaiti_factory', sa.Column('district', mysql.VARCHAR(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_factory', sa.Column('build_area', mysql.VARCHAR(length=255), nullable=True, comment='总建筑面积（㎡）'))
    op.add_column('zaiti_factory', sa.Column('factory_pic', mysql.VARCHAR(length=20), nullable=True, comment='厂房图片'))
    op.add_column('zaiti_factory', sa.Column('build_time', mysql.VARCHAR(length=20), nullable=True, comment='建成时间（年）'))
    op.add_column('zaiti_factory', sa.Column('address', mysql.VARCHAR(length=50), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'))
    op.add_column('zaiti_factory', sa.Column('rent', mysql.VARCHAR(length=20), nullable=True, comment='租金（元/平米/天）'))
    op.add_column('zaiti_factory', sa.Column('attract_industry', mysql.VARCHAR(length=20), nullable=True, comment='拟招引产业（下拉筛选）'))
    op.add_column('zaiti_factory', sa.Column('buide_type', mysql.VARCHAR(length=20), nullable=True, comment='厂房类型（单层/多层/混合层）'))
    op.add_column('zaiti_factory', sa.Column('land_area', mysql.VARCHAR(length=20), nullable=True, comment='总占地面积（㎡）'))
    op.drop_column('zaiti_factory', 'audit_message')
    op.drop_column('zaiti_factory', 'audit_status')
    op.drop_column('zaiti_factory', 'fix_people')
    op.drop_column('zaiti_factory', 'fix_time')
    op.drop_column('zaiti_factory', 'upload_people_belong')
    op.drop_column('zaiti_factory', 'upload_people_role_id')
    op.drop_column('zaiti_factory', 'upload_people_id')
    op.drop_column('zaiti_factory', 'upload_people')
    op.drop_column('zaiti_factory', 'upload_time')
    op.drop_column('zaiti_factory', 'price_url')
    op.drop_column('zaiti_factory', 'link_mobile')
    op.drop_column('zaiti_factory', 'rent_money')
    op.drop_column('zaiti_factory', 'attract_status')
    op.drop_column('zaiti_factory', 'lift_num')
    op.drop_column('zaiti_factory', 'is_network')
    op.drop_column('zaiti_factory', 'factory_area')
    op.drop_column('zaiti_factory', 'cover_land_area')
    op.drop_column('zaiti_factory', 'construction_time')
    op.drop_column('zaiti_factory', 'detail_address')
    op.drop_column('zaiti_factory', 'build_type')
    op.drop_column('zaiti_factory', 'district_name')
    op.drop_column('zaiti_factory', 'factory_name')
    op.add_column('zaiti_build', sa.Column('elevator', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='电梯（部）'))
    op.add_column('zaiti_build', sa.Column('name', mysql.VARCHAR(length=20), nullable=True, comment='楼宇名称'))
    op.add_column('zaiti_build', sa.Column('telephone', mysql.VARCHAR(length=20), nullable=True, comment='联系方式'))
    op.add_column('zaiti_build', sa.Column('district', mysql.VARCHAR(length=50), nullable=True, comment='所属县区'))
    op.add_column('zaiti_build', sa.Column('build_time', mysql.VARCHAR(length=20), nullable=True, comment='建成时间（年）'))
    op.add_column('zaiti_build', sa.Column('address', mysql.VARCHAR(length=20), nullable=True, comment='详细地址（地址需填写准确、详细、精准）'))
    op.add_column('zaiti_build', sa.Column('rent', mysql.VARCHAR(length=20), nullable=True, comment='租金（元/平米/天）'))
    op.add_column('zaiti_build', sa.Column('attract_industry', mysql.VARCHAR(length=20), nullable=True, comment='拟招引产业'))
    op.add_column('zaiti_build', sa.Column('property_fee', mysql.VARCHAR(length=20), nullable=True, comment='物业费（元/平米/月）'))
    op.add_column('zaiti_build', sa.Column('carport', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='车位（个）'))
    op.add_column('zaiti_build', sa.Column('land_area', mysql.VARCHAR(length=10), nullable=True, comment='总占地面积（㎡）'))
    op.drop_column('zaiti_build', 'link_mobile')
    op.drop_column('zaiti_build', 'wuye_money')
    op.drop_column('zaiti_build', 'rent_money')
    op.drop_column('zaiti_build', 'attract_status')
    op.drop_column('zaiti_build', 'lift_num')
    op.drop_column('zaiti_build', 'car_space_num')
    op.drop_column('zaiti_build', 'cover_land_area')
    op.drop_column('zaiti_build', 'construction_time')
    op.drop_column('zaiti_build', 'detail_address')
    op.drop_column('zaiti_build', 'district_name')
    op.drop_column('zaiti_build', 'fix_people')
    op.drop_column('zaiti_build', 'fix_time')
    op.drop_column('zaiti_build', 'upload_people_belong')
    op.drop_column('zaiti_build', 'upload_people_role_id')
    op.drop_column('zaiti_build', 'upload_people_id')
    op.drop_column('zaiti_build', 'upload_people')
    op.drop_column('zaiti_build', 'audit_message')
    op.drop_column('zaiti_build', 'audit_status')
    op.drop_column('zaiti_build', 'build_name')
    # ### end Alembic commands ###
