"""empty message

Revision ID: a6d8985e12da
Revises: 408eefbb94e1
Create Date: 2023-03-08 16:02:18.691482

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'a6d8985e12da'
down_revision = '408eefbb94e1'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('enterprise_pledge')
    op.drop_table('company_danbao')
    op.drop_table('company_pledge')
    op.drop_table('enterprise_danbao')
    op.add_column('company_admin_permission', sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'))
    op.add_column('company_admin_permission', sa.Column('licence_no', sa.String(length=32), nullable=True, comment='企业行政许可编号'))
    op.add_column('company_admin_permission', sa.Column('licence_name', sa.String(length=32), nullable=True, comment='企业行政许可证名称'))
    op.add_column('company_admin_permission', sa.Column('from_date', sa.String(length=32), nullable=True, comment='有效期自'))
    op.add_column('company_admin_permission', sa.Column('end_date', sa.String(length=32), nullable=True, comment='有效期至'))
    op.add_column('company_admin_permission', sa.Column('license_org', sa.String(length=32), nullable=True, comment='许可机关'))
    op.add_column('company_admin_permission', sa.Column('licence_content', sa.String(length=32), nullable=True, comment='许可内容'))
    op.alter_column('company_admin_permission', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业行政许可主键id',
               existing_comment='晋城企业行政许可主键id',
               existing_nullable=False,
               autoincrement=True)
    op.create_table_comment(
        'company_admin_permission',
        '企业行政许可数据表',
        existing_comment='晋城企业行政许可数据表',
        schema=None
    )
    op.drop_column('company_admin_permission', 'number')
    op.drop_column('company_admin_permission', 'company_id')
    op.drop_column('company_admin_permission', 'content')
    op.drop_column('company_admin_permission', 'Licensing_authority')
    op.drop_column('company_admin_permission', 'effective_data')
    op.drop_column('company_admin_permission', 'time')
    op.drop_column('company_admin_permission', 'name')
    op.add_column('company_customer', sa.Column('ent_id', sa.Integer(), nullable=True, comment='企业id'))
    op.add_column('company_customer', sa.Column('client_name', sa.String(length=32), nullable=True, comment='客户'))
    op.add_column('company_customer', sa.Column('ratio', sa.String(length=32), nullable=True, comment='销售占比'))
    op.add_column('company_customer', sa.Column('amount', sa.String(length=32), nullable=True, comment='销售金额'))
    op.add_column('company_customer', sa.Column('pub_date', sa.DateTime(), nullable=True, comment='公开时间'))
    op.add_column('company_customer', sa.Column('sources', sa.String(length=32), nullable=True, comment='数据来源'))
    op.alter_column('company_customer', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业客户主键id',
               existing_comment='晋城企业客户主键id',
               existing_nullable=False,
               autoincrement=True)
    op.create_table_comment(
        'company_customer',
        '企业客户数据表',
        existing_comment='晋城企业客户数据表',
        schema=None
    )
    op.drop_column('company_customer', 'data_source')
    op.drop_column('company_customer', 'company_id')
    op.drop_column('company_customer', 'sales_money')
    op.drop_column('company_customer', 'open_time')
    op.drop_column('company_customer', 'sales_rate')
    op.drop_column('company_customer', 'customer_name')
    op.add_column('company_import_export', sa.Column('ent_id', sa.Integer(), nullable=True, comment='企业id'))
    op.add_column('company_import_export', sa.Column('customs_registered_address', sa.String(length=32), nullable=True, comment='注册海关'))
    op.add_column('company_import_export', sa.Column('management_category', sa.String(length=32), nullable=True, comment='经营类别'))
    op.add_column('company_import_export', sa.Column('record_date', sa.DateTime(), nullable=True, comment='注册日期'))
    op.add_column('company_import_export', sa.Column('industry_category', sa.String(length=32), nullable=True, comment='行业类别'))
    op.alter_column('company_import_export', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业进出口信用主键id',
               existing_comment='晋城企业进出口信用主键id',
               existing_nullable=False,
               autoincrement=True)
    op.create_table_comment(
        'company_import_export',
        '企业进出口信用数据表',
        existing_comment='晋城企业进出口信用数据表',
        schema=None
    )
    op.drop_column('company_import_export', 'company_id')
    op.drop_column('company_import_export', 'business_category')
    op.drop_column('company_import_export', 'register_customs')
    op.drop_column('company_import_export', 'register_date')
    op.add_column('company_patent', sa.Column('ent_id', sa.Integer(), nullable=True, comment='企业id'))
    op.add_column('company_patent', sa.Column('apply_number', sa.String(length=50), nullable=True, comment='申请号'))
    op.add_column('company_patent', sa.Column('apply_date', sa.DateTime(), nullable=True, comment='申请日'))
    op.add_column('company_patent', sa.Column('pub_number', sa.String(length=20), nullable=True, comment='公开号'))
    op.add_column('company_patent', sa.Column('pub_date', sa.DateTime(), nullable=True, comment='公开日期'))
    op.add_column('company_patent', sa.Column('inventor', sa.String(length=20), nullable=True, comment='发明人'))
    op.create_table_comment(
        'company_patent',
        '企业详情专利信息',
        existing_comment='晋城企业详情专利信息',
        schema=None
    )
    op.drop_column('company_patent', 'company_id')
    op.drop_column('company_patent', 'day')
    op.drop_column('company_patent', 'num')
    op.drop_column('company_patent', 'person')
    op.drop_column('company_patent', 'open_num')
    op.drop_column('company_patent', 'datatime')
    op.add_column('company_stock', sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'))
    op.add_column('company_stock', sa.Column('reg_number', sa.String(length=32), nullable=True, comment='等级编号'))
    op.add_column('company_stock', sa.Column('pledgor', sa.String(length=10), nullable=True, comment='出质人'))
    op.add_column('company_stock', sa.Column('target_company', sa.String(length=25), nullable=True, comment='出质股权的企业'))
    op.add_column('company_stock', sa.Column('pub_date', sa.String(length=32), nullable=True, comment='登记日期'))
    op.create_table_comment(
        'company_stock',
        '企业详情股权出质',
        existing_comment='晋城企业详情股权出质',
        schema=None
    )
    op.drop_column('company_stock', 'from_company')
    op.drop_column('company_stock', 'company_id')
    op.drop_column('company_stock', 'num')
    op.drop_column('company_stock', 'person')
    op.drop_column('company_stock', 'datatime')
    op.add_column('company_supplier', sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'))
    op.add_column('company_supplier', sa.Column('ratio', sa.String(length=32), nullable=True, comment='采购占比'))
    op.add_column('company_supplier', sa.Column('amount', sa.String(length=32), nullable=True, comment='采购金额'))
    op.add_column('company_supplier', sa.Column('pub_date', sa.DateTime(), nullable=True, comment='公开时间'))
    op.add_column('company_supplier', sa.Column('sources', sa.String(length=32), nullable=True, comment='数据来源'))
    op.alter_column('company_supplier', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业供应商主键id',
               existing_comment='晋城企业供应商主键id',
               existing_nullable=False,
               autoincrement=True)
    op.create_table_comment(
        'company_supplier',
        '企业供应商数据表',
        existing_comment='晋城企业供应商数据表',
        schema=None
    )
    op.drop_column('company_supplier', 'buy_rate')
    op.drop_column('company_supplier', 'data_source')
    op.drop_column('company_supplier', 'company_id')
    op.drop_column('company_supplier', 'buy_money')
    op.drop_column('company_supplier', 'open_time')
    op.add_column('company_tax_credit', sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'))
    op.add_column('company_tax_credit', sa.Column('name', sa.String(length=32), nullable=True, comment='名称'))
    op.add_column('company_tax_credit', sa.Column('year', sa.String(length=32), nullable=True, comment='评价年度'))
    op.add_column('company_tax_credit', sa.Column('id_number', sa.String(length=32), nullable=True, comment='纳税人识别号'))
    op.add_column('company_tax_credit', sa.Column('grade', sa.String(length=32), nullable=True, comment='纳税信用等级'))
    op.add_column('company_tax_credit', sa.Column('eval_department', sa.String(length=32), nullable=True, comment='单位评价'))
    op.add_column('company_tax_credit', sa.Column('type', sa.String(length=32), nullable=True, comment='类型'))
    op.add_column('company_tax_credit', sa.Column('business_id', sa.String(length=32), nullable=True, comment='数据id'))
    op.alter_column('company_tax_credit', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业税务信用主键id',
               existing_comment='晋城企业税务信用主键id',
               existing_nullable=False,
               autoincrement=True)
    op.create_table_comment(
        'company_tax_credit',
        '企业税务信用数据表',
        existing_comment='晋城企业税务信用数据表',
        schema=None
    )
    op.drop_column('company_tax_credit', 'company_id')
    op.drop_column('company_tax_credit', 'evaluation_annual')
    op.drop_column('company_tax_credit', 'identify_number')
    op.drop_column('company_tax_credit', 'level')
    op.drop_column('company_tax_credit', 'evaluate')
    op.add_column('enterprise_admin_permission', sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'))
    op.add_column('enterprise_admin_permission', sa.Column('licence_no', sa.String(length=32), nullable=True, comment='企业行政许可编号'))
    op.add_column('enterprise_admin_permission', sa.Column('licence_name', sa.String(length=32), nullable=True, comment='企业行政许可证名称'))
    op.add_column('enterprise_admin_permission', sa.Column('from_date', sa.String(length=32), nullable=True, comment='有效期自'))
    op.add_column('enterprise_admin_permission', sa.Column('end_date', sa.String(length=32), nullable=True, comment='有效期至'))
    op.add_column('enterprise_admin_permission', sa.Column('license_org', sa.String(length=32), nullable=True, comment='许可机关'))
    op.add_column('enterprise_admin_permission', sa.Column('licence_content', sa.String(length=32), nullable=True, comment='许可内容'))
    op.alter_column('enterprise_admin_permission', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业行政许可主键id',
               existing_comment='全国企业表企业行政许可主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_admin_permission', 'number')
    op.drop_column('enterprise_admin_permission', 'company_id')
    op.drop_column('enterprise_admin_permission', 'content')
    op.drop_column('enterprise_admin_permission', 'Licensing_authority')
    op.drop_column('enterprise_admin_permission', 'effective_data')
    op.drop_column('enterprise_admin_permission', 'time')
    op.drop_column('enterprise_admin_permission', 'name')
    op.add_column('enterprise_customer', sa.Column('ent_id', sa.Integer(), nullable=True, comment='企业id'))
    op.add_column('enterprise_customer', sa.Column('client_name', sa.String(length=32), nullable=True, comment='客户'))
    op.add_column('enterprise_customer', sa.Column('ratio', sa.String(length=32), nullable=True, comment='销售占比'))
    op.add_column('enterprise_customer', sa.Column('amount', sa.String(length=32), nullable=True, comment='销售金额'))
    op.add_column('enterprise_customer', sa.Column('pub_date', sa.DateTime(), nullable=True, comment='公开时间'))
    op.add_column('enterprise_customer', sa.Column('sources', sa.String(length=32), nullable=True, comment='数据来源'))
    op.alter_column('enterprise_customer', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业客户主键id',
               existing_comment='全国企业表企业客户主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_customer', 'data_source')
    op.drop_column('enterprise_customer', 'company_id')
    op.drop_column('enterprise_customer', 'sales_money')
    op.drop_column('enterprise_customer', 'open_time')
    op.drop_column('enterprise_customer', 'sales_rate')
    op.drop_column('enterprise_customer', 'customer_name')
    op.add_column('enterprise_import_export', sa.Column('ent_id', sa.Integer(), nullable=True, comment='企业id'))
    op.add_column('enterprise_import_export', sa.Column('customs_registered_address', sa.String(length=32), nullable=True, comment='注册海关'))
    op.add_column('enterprise_import_export', sa.Column('management_category', sa.String(length=32), nullable=True, comment='经营类别'))
    op.add_column('enterprise_import_export', sa.Column('record_date', sa.DateTime(), nullable=True, comment='注册日期'))
    op.add_column('enterprise_import_export', sa.Column('industry_category', sa.String(length=32), nullable=True, comment='行业类别'))
    op.alter_column('enterprise_import_export', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业进出口信用主键id',
               existing_comment='全国企业表企业进出口信用主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_import_export', 'company_id')
    op.drop_column('enterprise_import_export', 'business_category')
    op.drop_column('enterprise_import_export', 'register_customs')
    op.drop_column('enterprise_import_export', 'register_date')
    op.add_column('enterprise_patent', sa.Column('ent_id', sa.Integer(), nullable=True, comment='企业id'))
    op.add_column('enterprise_patent', sa.Column('apply_number', sa.String(length=50), nullable=True, comment='申请号'))
    op.add_column('enterprise_patent', sa.Column('apply_date', sa.DateTime(), nullable=True, comment='申请日'))
    op.add_column('enterprise_patent', sa.Column('pub_number', sa.String(length=20), nullable=True, comment='公开号'))
    op.add_column('enterprise_patent', sa.Column('pub_date', sa.DateTime(), nullable=True, comment='公开日期'))
    op.add_column('enterprise_patent', sa.Column('inventor', sa.String(length=20), nullable=True, comment='发明人'))
    op.drop_column('enterprise_patent', 'company_id')
    op.drop_column('enterprise_patent', 'day')
    op.drop_column('enterprise_patent', 'num')
    op.drop_column('enterprise_patent', 'person')
    op.drop_column('enterprise_patent', 'open_num')
    op.drop_column('enterprise_patent', 'datatime')
    op.add_column('enterprise_stock', sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'))
    op.add_column('enterprise_stock', sa.Column('reg_number', sa.String(length=32), nullable=True, comment='等级编号'))
    op.add_column('enterprise_stock', sa.Column('pledgor', sa.String(length=10), nullable=True, comment='出质人'))
    op.add_column('enterprise_stock', sa.Column('target_company', sa.String(length=25), nullable=True, comment='出质股权的企业'))
    op.add_column('enterprise_stock', sa.Column('pub_date', sa.String(length=32), nullable=True, comment='登记日期'))
    op.drop_column('enterprise_stock', 'from_company')
    op.drop_column('enterprise_stock', 'company_id')
    op.drop_column('enterprise_stock', 'num')
    op.drop_column('enterprise_stock', 'person')
    op.drop_column('enterprise_stock', 'datatime')
    op.add_column('enterprise_supplier', sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'))
    op.add_column('enterprise_supplier', sa.Column('ratio', sa.String(length=32), nullable=True, comment='采购占比'))
    op.add_column('enterprise_supplier', sa.Column('amount', sa.String(length=32), nullable=True, comment='采购金额'))
    op.add_column('enterprise_supplier', sa.Column('pub_date', sa.DateTime(), nullable=True, comment='公开时间'))
    op.add_column('enterprise_supplier', sa.Column('sources', sa.String(length=32), nullable=True, comment='数据来源'))
    op.alter_column('enterprise_supplier', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业供应商主键id',
               existing_comment='全国企业表企业供应商主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_supplier', 'buy_rate')
    op.drop_column('enterprise_supplier', 'data_source')
    op.drop_column('enterprise_supplier', 'company_id')
    op.drop_column('enterprise_supplier', 'buy_money')
    op.drop_column('enterprise_supplier', 'open_time')
    op.add_column('enterprise_tax_credit', sa.Column('ent_id', sa.String(length=32), nullable=True, comment='企业id'))
    op.add_column('enterprise_tax_credit', sa.Column('name', sa.String(length=32), nullable=True, comment='名称'))
    op.add_column('enterprise_tax_credit', sa.Column('year', sa.String(length=32), nullable=True, comment='评价年度'))
    op.add_column('enterprise_tax_credit', sa.Column('id_number', sa.String(length=32), nullable=True, comment='纳税人识别号'))
    op.add_column('enterprise_tax_credit', sa.Column('grade', sa.String(length=32), nullable=True, comment='纳税信用等级'))
    op.add_column('enterprise_tax_credit', sa.Column('eval_department', sa.String(length=32), nullable=True, comment='单位评价'))
    op.add_column('enterprise_tax_credit', sa.Column('type', sa.String(length=32), nullable=True, comment='类型'))
    op.add_column('enterprise_tax_credit', sa.Column('business_id', sa.String(length=32), nullable=True, comment='数据id'))
    op.alter_column('enterprise_tax_credit', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='企业税务信用主键id',
               existing_comment='全国企业表企业税务信用主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_tax_credit', 'company_id')
    op.drop_column('enterprise_tax_credit', 'evaluation_annual')
    op.drop_column('enterprise_tax_credit', 'identify_number')
    op.drop_column('enterprise_tax_credit', 'level')
    op.drop_column('enterprise_tax_credit', 'evaluate')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('enterprise_tax_credit', sa.Column('evaluate', mysql.VARCHAR(length=32), nullable=True, comment='单位评价'))
    op.add_column('enterprise_tax_credit', sa.Column('level', mysql.VARCHAR(length=32), nullable=True, comment='纳税信用等级'))
    op.add_column('enterprise_tax_credit', sa.Column('identify_number', mysql.VARCHAR(length=32), nullable=True, comment='纳税人识别号'))
    op.add_column('enterprise_tax_credit', sa.Column('evaluation_annual', mysql.VARCHAR(length=32), nullable=True, comment='评价年度'))
    op.add_column('enterprise_tax_credit', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'))
    op.alter_column('enterprise_tax_credit', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='全国企业表企业税务信用主键id',
               existing_comment='企业税务信用主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_tax_credit', 'business_id')
    op.drop_column('enterprise_tax_credit', 'type')
    op.drop_column('enterprise_tax_credit', 'eval_department')
    op.drop_column('enterprise_tax_credit', 'grade')
    op.drop_column('enterprise_tax_credit', 'id_number')
    op.drop_column('enterprise_tax_credit', 'year')
    op.drop_column('enterprise_tax_credit', 'name')
    op.drop_column('enterprise_tax_credit', 'ent_id')
    op.add_column('enterprise_supplier', sa.Column('open_time', mysql.DATETIME(), nullable=True, comment='公开时间'))
    op.add_column('enterprise_supplier', sa.Column('buy_money', mysql.VARCHAR(length=32), nullable=True, comment='采购金额'))
    op.add_column('enterprise_supplier', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'))
    op.add_column('enterprise_supplier', sa.Column('data_source', mysql.VARCHAR(length=32), nullable=True, comment='数据来源'))
    op.add_column('enterprise_supplier', sa.Column('buy_rate', mysql.VARCHAR(length=32), nullable=True, comment='采购占比'))
    op.alter_column('enterprise_supplier', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='全国企业表企业供应商主键id',
               existing_comment='企业供应商主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_supplier', 'sources')
    op.drop_column('enterprise_supplier', 'pub_date')
    op.drop_column('enterprise_supplier', 'amount')
    op.drop_column('enterprise_supplier', 'ratio')
    op.drop_column('enterprise_supplier', 'ent_id')
    op.add_column('enterprise_stock', sa.Column('datatime', mysql.DATETIME(), nullable=True, comment='登记日期'))
    op.add_column('enterprise_stock', sa.Column('person', mysql.VARCHAR(length=10), nullable=True, comment='出质人'))
    op.add_column('enterprise_stock', sa.Column('num', mysql.VARCHAR(length=32), nullable=True, comment='等级编号'))
    op.add_column('enterprise_stock', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'))
    op.add_column('enterprise_stock', sa.Column('from_company', mysql.VARCHAR(length=25), nullable=True, comment='出质股权的企业'))
    op.drop_column('enterprise_stock', 'pub_date')
    op.drop_column('enterprise_stock', 'target_company')
    op.drop_column('enterprise_stock', 'pledgor')
    op.drop_column('enterprise_stock', 'reg_number')
    op.drop_column('enterprise_stock', 'ent_id')
    op.add_column('enterprise_patent', sa.Column('datatime', mysql.DATETIME(), nullable=True, comment='公开日期'))
    op.add_column('enterprise_patent', sa.Column('open_num', mysql.VARCHAR(length=20), nullable=True, comment='公开号'))
    op.add_column('enterprise_patent', sa.Column('person', mysql.VARCHAR(length=20), nullable=True, comment='发明人'))
    op.add_column('enterprise_patent', sa.Column('num', mysql.VARCHAR(length=50), nullable=True, comment='申请号'))
    op.add_column('enterprise_patent', sa.Column('day', mysql.DATETIME(), nullable=True, comment='申请日'))
    op.add_column('enterprise_patent', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'))
    op.drop_column('enterprise_patent', 'inventor')
    op.drop_column('enterprise_patent', 'pub_date')
    op.drop_column('enterprise_patent', 'pub_number')
    op.drop_column('enterprise_patent', 'apply_date')
    op.drop_column('enterprise_patent', 'apply_number')
    op.drop_column('enterprise_patent', 'ent_id')
    op.add_column('enterprise_import_export', sa.Column('register_date', mysql.DATETIME(), nullable=True, comment='注册日期'))
    op.add_column('enterprise_import_export', sa.Column('register_customs', mysql.VARCHAR(length=32), nullable=True, comment='注册海关'))
    op.add_column('enterprise_import_export', sa.Column('business_category', mysql.VARCHAR(length=32), nullable=True, comment='经营类别'))
    op.add_column('enterprise_import_export', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'))
    op.alter_column('enterprise_import_export', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='全国企业表企业进出口信用主键id',
               existing_comment='企业进出口信用主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_import_export', 'industry_category')
    op.drop_column('enterprise_import_export', 'record_date')
    op.drop_column('enterprise_import_export', 'management_category')
    op.drop_column('enterprise_import_export', 'customs_registered_address')
    op.drop_column('enterprise_import_export', 'ent_id')
    op.add_column('enterprise_customer', sa.Column('customer_name', mysql.VARCHAR(length=32), nullable=True, comment='客户'))
    op.add_column('enterprise_customer', sa.Column('sales_rate', mysql.VARCHAR(length=32), nullable=True, comment='销售占比'))
    op.add_column('enterprise_customer', sa.Column('open_time', mysql.DATETIME(), nullable=True, comment='公开时间'))
    op.add_column('enterprise_customer', sa.Column('sales_money', mysql.VARCHAR(length=32), nullable=True, comment='销售金额'))
    op.add_column('enterprise_customer', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'))
    op.add_column('enterprise_customer', sa.Column('data_source', mysql.VARCHAR(length=32), nullable=True, comment='数据来源'))
    op.alter_column('enterprise_customer', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='全国企业表企业客户主键id',
               existing_comment='企业客户主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_customer', 'sources')
    op.drop_column('enterprise_customer', 'pub_date')
    op.drop_column('enterprise_customer', 'amount')
    op.drop_column('enterprise_customer', 'ratio')
    op.drop_column('enterprise_customer', 'client_name')
    op.drop_column('enterprise_customer', 'ent_id')
    op.add_column('enterprise_admin_permission', sa.Column('name', mysql.VARCHAR(length=32), nullable=True, comment='全国企业表企业行政许可证名称'))
    op.add_column('enterprise_admin_permission', sa.Column('time', mysql.DATETIME(), nullable=True, comment='有效期自'))
    op.add_column('enterprise_admin_permission', sa.Column('effective_data', mysql.DATETIME(), nullable=True, comment='有效期至'))
    op.add_column('enterprise_admin_permission', sa.Column('Licensing_authority', mysql.VARCHAR(length=32), nullable=True, comment='许可机关'))
    op.add_column('enterprise_admin_permission', sa.Column('content', mysql.VARCHAR(length=32), nullable=True, comment='许可内容'))
    op.add_column('enterprise_admin_permission', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'))
    op.add_column('enterprise_admin_permission', sa.Column('number', mysql.VARCHAR(length=32), nullable=True, comment='全国企业表企业行政许可编号'))
    op.alter_column('enterprise_admin_permission', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='全国企业表企业行政许可主键id',
               existing_comment='企业行政许可主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('enterprise_admin_permission', 'licence_content')
    op.drop_column('enterprise_admin_permission', 'license_org')
    op.drop_column('enterprise_admin_permission', 'end_date')
    op.drop_column('enterprise_admin_permission', 'from_date')
    op.drop_column('enterprise_admin_permission', 'licence_name')
    op.drop_column('enterprise_admin_permission', 'licence_no')
    op.drop_column('enterprise_admin_permission', 'ent_id')
    op.add_column('company_tax_credit', sa.Column('evaluate', mysql.VARCHAR(length=32), nullable=True, comment='单位评价'))
    op.add_column('company_tax_credit', sa.Column('level', mysql.VARCHAR(length=32), nullable=True, comment='纳税信用等级'))
    op.add_column('company_tax_credit', sa.Column('identify_number', mysql.VARCHAR(length=32), nullable=True, comment='纳税人识别号'))
    op.add_column('company_tax_credit', sa.Column('evaluation_annual', mysql.VARCHAR(length=32), nullable=True, comment='评价年度'))
    op.add_column('company_tax_credit', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'))
    op.create_table_comment(
        'company_tax_credit',
        '晋城企业税务信用数据表',
        existing_comment='企业税务信用数据表',
        schema=None
    )
    op.alter_column('company_tax_credit', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='晋城企业税务信用主键id',
               existing_comment='企业税务信用主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('company_tax_credit', 'business_id')
    op.drop_column('company_tax_credit', 'type')
    op.drop_column('company_tax_credit', 'eval_department')
    op.drop_column('company_tax_credit', 'grade')
    op.drop_column('company_tax_credit', 'id_number')
    op.drop_column('company_tax_credit', 'year')
    op.drop_column('company_tax_credit', 'name')
    op.drop_column('company_tax_credit', 'ent_id')
    op.add_column('company_supplier', sa.Column('open_time', mysql.DATETIME(), nullable=True, comment='公开时间'))
    op.add_column('company_supplier', sa.Column('buy_money', mysql.VARCHAR(length=32), nullable=True, comment='采购金额'))
    op.add_column('company_supplier', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'))
    op.add_column('company_supplier', sa.Column('data_source', mysql.VARCHAR(length=32), nullable=True, comment='数据来源'))
    op.add_column('company_supplier', sa.Column('buy_rate', mysql.VARCHAR(length=32), nullable=True, comment='采购占比'))
    op.create_table_comment(
        'company_supplier',
        '晋城企业供应商数据表',
        existing_comment='企业供应商数据表',
        schema=None
    )
    op.alter_column('company_supplier', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='晋城企业供应商主键id',
               existing_comment='企业供应商主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('company_supplier', 'sources')
    op.drop_column('company_supplier', 'pub_date')
    op.drop_column('company_supplier', 'amount')
    op.drop_column('company_supplier', 'ratio')
    op.drop_column('company_supplier', 'ent_id')
    op.add_column('company_stock', sa.Column('datatime', mysql.DATETIME(), nullable=True, comment='登记日期'))
    op.add_column('company_stock', sa.Column('person', mysql.VARCHAR(length=10), nullable=True, comment='出质人'))
    op.add_column('company_stock', sa.Column('num', mysql.VARCHAR(length=32), nullable=True, comment='等级编号'))
    op.add_column('company_stock', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'))
    op.add_column('company_stock', sa.Column('from_company', mysql.VARCHAR(length=25), nullable=True, comment='出质股权的企业'))
    op.create_table_comment(
        'company_stock',
        '晋城企业详情股权出质',
        existing_comment='企业详情股权出质',
        schema=None
    )
    op.drop_column('company_stock', 'pub_date')
    op.drop_column('company_stock', 'target_company')
    op.drop_column('company_stock', 'pledgor')
    op.drop_column('company_stock', 'reg_number')
    op.drop_column('company_stock', 'ent_id')
    op.add_column('company_patent', sa.Column('datatime', mysql.DATETIME(), nullable=True, comment='公开日期'))
    op.add_column('company_patent', sa.Column('open_num', mysql.VARCHAR(length=20), nullable=True, comment='公开号'))
    op.add_column('company_patent', sa.Column('person', mysql.VARCHAR(length=20), nullable=True, comment='发明人'))
    op.add_column('company_patent', sa.Column('num', mysql.VARCHAR(length=50), nullable=True, comment='申请号'))
    op.add_column('company_patent', sa.Column('day', mysql.DATETIME(), nullable=True, comment='申请日'))
    op.add_column('company_patent', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'))
    op.create_table_comment(
        'company_patent',
        '晋城企业详情专利信息',
        existing_comment='企业详情专利信息',
        schema=None
    )
    op.drop_column('company_patent', 'inventor')
    op.drop_column('company_patent', 'pub_date')
    op.drop_column('company_patent', 'pub_number')
    op.drop_column('company_patent', 'apply_date')
    op.drop_column('company_patent', 'apply_number')
    op.drop_column('company_patent', 'ent_id')
    op.add_column('company_import_export', sa.Column('register_date', mysql.DATETIME(), nullable=True, comment='注册日期'))
    op.add_column('company_import_export', sa.Column('register_customs', mysql.VARCHAR(length=32), nullable=True, comment='注册海关'))
    op.add_column('company_import_export', sa.Column('business_category', mysql.VARCHAR(length=32), nullable=True, comment='经营类别'))
    op.add_column('company_import_export', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'))
    op.create_table_comment(
        'company_import_export',
        '晋城企业进出口信用数据表',
        existing_comment='企业进出口信用数据表',
        schema=None
    )
    op.alter_column('company_import_export', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='晋城企业进出口信用主键id',
               existing_comment='企业进出口信用主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('company_import_export', 'industry_category')
    op.drop_column('company_import_export', 'record_date')
    op.drop_column('company_import_export', 'management_category')
    op.drop_column('company_import_export', 'customs_registered_address')
    op.drop_column('company_import_export', 'ent_id')
    op.add_column('company_customer', sa.Column('customer_name', mysql.VARCHAR(length=32), nullable=True, comment='客户'))
    op.add_column('company_customer', sa.Column('sales_rate', mysql.VARCHAR(length=32), nullable=True, comment='销售占比'))
    op.add_column('company_customer', sa.Column('open_time', mysql.DATETIME(), nullable=True, comment='公开时间'))
    op.add_column('company_customer', sa.Column('sales_money', mysql.VARCHAR(length=32), nullable=True, comment='销售金额'))
    op.add_column('company_customer', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'))
    op.add_column('company_customer', sa.Column('data_source', mysql.VARCHAR(length=32), nullable=True, comment='数据来源'))
    op.create_table_comment(
        'company_customer',
        '晋城企业客户数据表',
        existing_comment='企业客户数据表',
        schema=None
    )
    op.alter_column('company_customer', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='晋城企业客户主键id',
               existing_comment='企业客户主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('company_customer', 'sources')
    op.drop_column('company_customer', 'pub_date')
    op.drop_column('company_customer', 'amount')
    op.drop_column('company_customer', 'ratio')
    op.drop_column('company_customer', 'client_name')
    op.drop_column('company_customer', 'ent_id')
    op.add_column('company_admin_permission', sa.Column('name', mysql.VARCHAR(length=32), nullable=True, comment='晋城企业行政许可证名称'))
    op.add_column('company_admin_permission', sa.Column('time', mysql.DATETIME(), nullable=True, comment='有效期自'))
    op.add_column('company_admin_permission', sa.Column('effective_data', mysql.DATETIME(), nullable=True, comment='有效期至'))
    op.add_column('company_admin_permission', sa.Column('Licensing_authority', mysql.VARCHAR(length=32), nullable=True, comment='许可机关'))
    op.add_column('company_admin_permission', sa.Column('content', mysql.VARCHAR(length=32), nullable=True, comment='许可内容'))
    op.add_column('company_admin_permission', sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'))
    op.add_column('company_admin_permission', sa.Column('number', mysql.VARCHAR(length=32), nullable=True, comment='晋城企业行政许可编号'))
    op.create_table_comment(
        'company_admin_permission',
        '晋城企业行政许可数据表',
        existing_comment='企业行政许可数据表',
        schema=None
    )
    op.alter_column('company_admin_permission', 'id',
               existing_type=mysql.INTEGER(display_width=11),
               comment='晋城企业行政许可主键id',
               existing_comment='企业行政许可主键id',
               existing_nullable=False,
               autoincrement=True)
    op.drop_column('company_admin_permission', 'licence_content')
    op.drop_column('company_admin_permission', 'license_org')
    op.drop_column('company_admin_permission', 'end_date')
    op.drop_column('company_admin_permission', 'from_date')
    op.drop_column('company_admin_permission', 'licence_name')
    op.drop_column('company_admin_permission', 'licence_no')
    op.drop_column('company_admin_permission', 'ent_id')
    op.create_table('enterprise_danbao',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='担保信息主键id'),
    sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'),
    sa.Column('person1', mysql.VARCHAR(length=10), nullable=True, comment='被担保方'),
    sa.Column('person2', mysql.VARCHAR(length=10), nullable=True, comment='担保方'),
    sa.Column('method', mysql.VARCHAR(length=10), nullable=True, comment='方式'),
    sa.Column('amount', mysql.FLOAT(), nullable=True, comment='担保金额（万元）'),
    sa.Column('datatime', mysql.DATETIME(), nullable=True, comment='公告日期'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业详情担保信息',
    mysql_comment='全国企业表企业详情担保信息',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('company_pledge',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='股权质押主键id'),
    sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'),
    sa.Column('person1', mysql.VARCHAR(length=10), nullable=True, comment='质押人'),
    sa.Column('jion_company', mysql.VARCHAR(length=25), nullable=True, comment='参股企业'),
    sa.Column('person2', mysql.VARCHAR(length=10), nullable=True, comment='质押权人'),
    sa.Column('number', mysql.FLOAT(), nullable=True, comment='质押股份总额（股）'),
    sa.Column('amount', mysql.FLOAT(), nullable=True, comment='质押股份市值（元）'),
    sa.Column('status', mysql.VARCHAR(length=10), nullable=True, comment='状态'),
    sa.Column('datatime', mysql.DATETIME(), nullable=True, comment='公告日期'),
    sa.PrimaryKeyConstraint('id'),
    comment='晋城企业详情股权质押',
    mysql_comment='晋城企业详情股权质押',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('company_danbao',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='担保信息主键id'),
    sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='晋城企业id'),
    sa.Column('person1', mysql.VARCHAR(length=10), nullable=True, comment='被担保方'),
    sa.Column('person2', mysql.VARCHAR(length=10), nullable=True, comment='担保方'),
    sa.Column('method', mysql.VARCHAR(length=10), nullable=True, comment='方式'),
    sa.Column('amount', mysql.FLOAT(), nullable=True, comment='担保金额（万元）'),
    sa.Column('datatime', mysql.DATETIME(), nullable=True, comment='公告日期'),
    sa.PrimaryKeyConstraint('id'),
    comment='晋城企业详情担保信息',
    mysql_comment='晋城企业详情担保信息',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('enterprise_pledge',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='股权质押主键id'),
    sa.Column('company_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='全国企业表企业id'),
    sa.Column('person1', mysql.VARCHAR(length=10), nullable=True, comment='质押人'),
    sa.Column('jion_company', mysql.VARCHAR(length=25), nullable=True, comment='参股企业'),
    sa.Column('person2', mysql.VARCHAR(length=10), nullable=True, comment='质押权人'),
    sa.Column('number', mysql.FLOAT(), nullable=True, comment='质押股份总额（股）'),
    sa.Column('amount', mysql.FLOAT(), nullable=True, comment='质押股份市值（元）'),
    sa.Column('status', mysql.VARCHAR(length=10), nullable=True, comment='状态'),
    sa.Column('datatime', mysql.DATETIME(), nullable=True, comment='公告日期'),
    sa.PrimaryKeyConstraint('id'),
    comment='全国企业表企业详情股权质押',
    mysql_comment='全国企业表企业详情股权质押',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    # ### end Alembic commands ###
