"""empty message

Revision ID: c40a14ba57b8
Revises: 6470d982afcb
Create Date: 2022-11-27 01:00:01.657030

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'c40a14ba57b8'
down_revision = '6470d982afcb'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('money_arrive',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('is_delete', sa.Integer(), nullable=True, comment='逻辑删除'),
    sa.Column('data_time', sa.String(length=30), nullable=True, comment='数据年份'),
    sa.Column('upload_time', sa.String(length=30), nullable=True, comment='上传日期'),
    sa.Column('upload_unit', sa.String(length=30), nullable=True, comment='上传部门'),
    sa.Column('upload_people', sa.String(length=30), nullable=True, comment='上传人'),
    sa.Column('district_name', sa.String(length=30), nullable=True, comment='区县名称'),
    sa.Column('arrive_money', sa.Float(), nullable=True, comment='固定资产投资项目资金到位额（'),
    sa.PrimaryKeyConstraint('id'),
    comment='项目化管理-固定资产投资项目资金到位表'
    )
    op.alter_column('jc_target', 'grade_sign',
               existing_type=mysql.FLOAT(),
               comment='签约项目情况赋分15',
               existing_comment='签约项目金额',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_start',
               existing_type=mysql.FLOAT(),
               comment='项目开工率赋分5',
               existing_comment='项目开工率',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_plan_invest',
               existing_type=mysql.FLOAT(),
               comment='新开工固定资产投资项目计划投资赋分25',
               existing_comment='新开工固定资产投资项目计划投资额',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_arrive_target1',
               existing_type=mysql.FLOAT(),
               comment='固定资产投资项目资金到位赋分25',
               existing_comment='固定资产投资项目资金到位额',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_arrive_target0',
               existing_type=mysql.FLOAT(),
               comment='非固定资产投资项目资金到位赋分5',
               existing_comment='非固定资产投资项目资金到位额',
               existing_nullable=True)
    op.alter_column('jc_target', 'money_sign',
               existing_type=mysql.FLOAT(),
               comment='签约项目金额(年度目标)',
               existing_comment='签约项目金额',
               existing_nullable=True)
    op.alter_column('jc_target', 'rate_start',
               existing_type=mysql.FLOAT(),
               comment='项目开工率(年度目标)',
               existing_comment='项目开工率',
               existing_nullable=True)
    op.alter_column('jc_target', 'money_plan_invest',
               existing_type=mysql.FLOAT(),
               comment='新开工固定资产投资项目计划投资额(年度目标)',
               existing_comment='新开工固定资产投资项目计划投资额',
               existing_nullable=True)
    op.alter_column('jc_target', 'money_arrive_target1',
               existing_type=mysql.FLOAT(),
               comment='固定资产投资项目资金到位额(年度目标)',
               existing_comment='固定资产投资项目资金到位额',
               existing_nullable=True)
    op.alter_column('jc_target', 'money_arrive_target0',
               existing_type=mysql.FLOAT(),
               comment='非固定资产投资项目资金到位额(年度目标)',
               existing_comment='非固定资产投资项目资金到位额',
               existing_nullable=True)
    op.add_column('project_management', sa.Column('industry2', sa.String(length=20), nullable=True, comment='所属行业-二级产业'))
    op.add_column('project_management', sa.Column('industry_level', sa.String(length=20), nullable=True, comment='所属项目产业级别'))
    op.alter_column('project_management', 'industry',
               existing_type=mysql.VARCHAR(length=20),
               comment='所属行业-一级产业',
               existing_comment='所属行业',
               existing_nullable=True)
    op.alter_column('shanxi_target', 'sign_target_money',
               existing_type=mysql.FLOAT(),
               comment='目标金额(年度目标)',
               existing_comment='目标金额',
               existing_nullable=True)
    op.alter_column('shanxi_target', 'plan_target_money',
               existing_type=mysql.FLOAT(),
               comment='目标计划投资额(年度目标)',
               existing_comment='目标计划投资额',
               existing_nullable=True)
    op.alter_column('shanxi_target', 'arrive_target_money',
               existing_type=mysql.FLOAT(),
               comment='目标资金到位(年度目标)',
               existing_comment='目标资金到位',
               existing_nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('shanxi_target', 'arrive_target_money',
               existing_type=mysql.FLOAT(),
               comment='目标资金到位',
               existing_comment='目标资金到位(年度目标)',
               existing_nullable=True)
    op.alter_column('shanxi_target', 'plan_target_money',
               existing_type=mysql.FLOAT(),
               comment='目标计划投资额',
               existing_comment='目标计划投资额(年度目标)',
               existing_nullable=True)
    op.alter_column('shanxi_target', 'sign_target_money',
               existing_type=mysql.FLOAT(),
               comment='目标金额',
               existing_comment='目标金额(年度目标)',
               existing_nullable=True)
    op.alter_column('project_management', 'industry',
               existing_type=mysql.VARCHAR(length=20),
               comment='所属行业',
               existing_comment='所属行业-一级产业',
               existing_nullable=True)
    op.drop_column('project_management', 'industry_level')
    op.drop_column('project_management', 'industry2')
    op.alter_column('jc_target', 'money_arrive_target0',
               existing_type=mysql.FLOAT(),
               comment='非固定资产投资项目资金到位额',
               existing_comment='非固定资产投资项目资金到位额(年度目标)',
               existing_nullable=True)
    op.alter_column('jc_target', 'money_arrive_target1',
               existing_type=mysql.FLOAT(),
               comment='固定资产投资项目资金到位额',
               existing_comment='固定资产投资项目资金到位额(年度目标)',
               existing_nullable=True)
    op.alter_column('jc_target', 'money_plan_invest',
               existing_type=mysql.FLOAT(),
               comment='新开工固定资产投资项目计划投资额',
               existing_comment='新开工固定资产投资项目计划投资额(年度目标)',
               existing_nullable=True)
    op.alter_column('jc_target', 'rate_start',
               existing_type=mysql.FLOAT(),
               comment='项目开工率',
               existing_comment='项目开工率(年度目标)',
               existing_nullable=True)
    op.alter_column('jc_target', 'money_sign',
               existing_type=mysql.FLOAT(),
               comment='签约项目金额',
               existing_comment='签约项目金额(年度目标)',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_arrive_target0',
               existing_type=mysql.FLOAT(),
               comment='非固定资产投资项目资金到位额',
               existing_comment='非固定资产投资项目资金到位赋分5',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_arrive_target1',
               existing_type=mysql.FLOAT(),
               comment='固定资产投资项目资金到位额',
               existing_comment='固定资产投资项目资金到位赋分25',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_plan_invest',
               existing_type=mysql.FLOAT(),
               comment='新开工固定资产投资项目计划投资额',
               existing_comment='新开工固定资产投资项目计划投资赋分25',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_start',
               existing_type=mysql.FLOAT(),
               comment='项目开工率',
               existing_comment='项目开工率赋分5',
               existing_nullable=True)
    op.alter_column('jc_target', 'grade_sign',
               existing_type=mysql.FLOAT(),
               comment='签约项目金额',
               existing_comment='签约项目情况赋分15',
               existing_nullable=True)
    op.drop_table('money_arrive')
    # ### end Alembic commands ###
