"""empty message

Revision ID: c5717f535139
Revises: 0faa9eac099f
Create Date: 2023-01-03 16:58:30.235508

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'c5717f535139'
down_revision = '0faa9eac099f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('search_list')
    op.drop_table('industry_collect')
    op.drop_table('carrier_area_data')
    op.drop_table('carrier_area')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('carrier_area',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', mysql.VARCHAR(length=20), nullable=True, comment='区域名称'),
    sa.Column('lng', mysql.VARCHAR(length=50), nullable=True, comment='经度'),
    sa.Column('lat', mysql.VARCHAR(length=50), nullable=True, comment='维度'),
    sa.Column('build_area', mysql.VARCHAR(length=20), nullable=True, comment='楼宇当前总面积(㎡)'),
    sa.Column('build_current_empty_area', mysql.VARCHAR(length=20), nullable=True, comment='楼宇当前闲置面积(㎡)'),
    sa.Column('build_last_empty_area', mysql.VARCHAR(length=20), nullable=True, comment='楼宇去年闲置面积(㎡)'),
    sa.Column('factory_area', mysql.VARCHAR(length=20), nullable=True, comment='厂房当前总面积(㎡)'),
    sa.Column('factory_current_empty_area', mysql.VARCHAR(length=20), nullable=True, comment='厂房当前闲置面积(㎡)'),
    sa.Column('factory_last_empty_area', mysql.VARCHAR(length=20), nullable=True, comment='厂房去年闲置面积(㎡)'),
    sa.Column('plan_land_store_area', mysql.VARCHAR(length=20), nullable=True, comment='计划土地储备面积(亩)'),
    sa.Column('plan_land_supply_area', mysql.VARCHAR(length=20), nullable=True, comment='计划土地供应面积(亩)'),
    sa.Column('plan_land_stock_area', mysql.VARCHAR(length=20), nullable=True, comment='计划土地存量面积(亩)'),
    sa.Column('land_area', mysql.VARCHAR(length=20), nullable=True, comment='土地当前总面积(亩)'),
    sa.Column('land_current_empty_area', mysql.VARCHAR(length=20), nullable=True, comment='土地当前闲置面积(亩)'),
    sa.Column('land_last_empty_area', mysql.VARCHAR(length=20), nullable=True, comment='土地去年闲置面积(亩)'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-产业地图-各载体类型面积数据表',
    mysql_comment='载体资源库-产业地图-各载体类型面积数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('carrier_area_data',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', mysql.VARCHAR(length=20), nullable=True, comment='区域名称'),
    sa.Column('land_year', mysql.VARCHAR(length=20), nullable=True, comment='土地全年闲置面积'),
    sa.Column('land_one', mysql.VARCHAR(length=20), nullable=True, comment='土地第一季度闲置面积'),
    sa.Column('land_two', mysql.VARCHAR(length=20), nullable=True, comment='土地第二季度闲置面积'),
    sa.Column('land_three', mysql.VARCHAR(length=20), nullable=True, comment='土地第三季度闲置面积'),
    sa.Column('land_four', mysql.VARCHAR(length=20), nullable=True, comment='土地第四季度闲置面积'),
    sa.Column('factory_year', mysql.VARCHAR(length=20), nullable=True, comment='厂房全年闲置面积'),
    sa.Column('factory_one', mysql.VARCHAR(length=20), nullable=True, comment='厂房第一季度闲置面积'),
    sa.Column('factory_two', mysql.VARCHAR(length=20), nullable=True, comment='厂房第二季度闲置面积'),
    sa.Column('factory_three', mysql.VARCHAR(length=20), nullable=True, comment='厂房第三季度闲置面积'),
    sa.Column('factory_four', mysql.VARCHAR(length=20), nullable=True, comment='厂房第四季度闲置面积'),
    sa.Column('build_year', mysql.VARCHAR(length=20), nullable=True, comment='楼宇全年闲置面积'),
    sa.Column('build_one', mysql.VARCHAR(length=20), nullable=True, comment='楼宇第一季度闲置面积'),
    sa.Column('build_two', mysql.VARCHAR(length=20), nullable=True, comment='楼宇第二季度闲置面积'),
    sa.Column('build_three', mysql.VARCHAR(length=20), nullable=True, comment='楼宇第三季度闲置面积'),
    sa.Column('build_four', mysql.VARCHAR(length=20), nullable=True, comment='楼宇第四季度闲置面积'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-产业地图-各区县各载体闲置面积数据表',
    mysql_comment='载体资源库-产业地图-各区县各载体闲置面积数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('industry_collect',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('user_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='用户id'),
    sa.Column('collect_time', mysql.VARCHAR(length=30), nullable=True, comment='收藏时间'),
    sa.Column('industry_name', mysql.VARCHAR(length=30), nullable=True, comment='收藏的产业名称'),
    sa.Column('industry_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='产业id'),
    sa.PrimaryKeyConstraint('id'),
    comment='招商图谱-产业链收藏',
    mysql_comment='招商图谱-产业链收藏',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.create_table('search_list',
    sa.Column('create_time', mysql.DATETIME(), nullable=True, comment='创建时间'),
    sa.Column('update_time', mysql.DATETIME(), nullable=True, comment='更新时间'),
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('history', mysql.VARCHAR(length=128), nullable=True, comment='用户搜索历史'),
    sa.Column('user_id', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='用户id'),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], name='search_list_ibfk_1'),
    sa.PrimaryKeyConstraint('id'),
    comment='360企业画像--查找历史数据表',
    mysql_comment='360企业画像--查找历史数据表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    # ### end Alembic commands ###
