"""empty message

Revision ID: cbc99f0303a6
Revises: 08c109f72e57
Create Date: 2022-11-16 17:09:33.539374

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'cbc99f0303a6'
down_revision = '08c109f72e57'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('joint_img',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('flag', sa.Integer(), nullable=True, comment='2为对接库，3为签约库，4为开工库'),
    sa.Column('img_url', sa.String(length=300), nullable=True, comment='相关印证资料图片url'),
    sa.Column('img_name', sa.String(length=20), nullable=True, comment='相关印证资料图片名称'),
    sa.Column('project_id', sa.Integer(), nullable=True, comment='外键id，项目id'),
    sa.ForeignKeyConstraint(['project_id'], ['siku_project.id'], ),
    sa.PrimaryKeyConstraint('id'),
    comment='四库管理对接库-相关印证资料图片'
    )
    op.create_table('progress_condition',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('flag', sa.Integer(), nullable=True, comment='2为对接库，3为签约库，4为开工库'),
    sa.Column('add_time', sa.String(length=20), nullable=True, comment='添加时间'),
    sa.Column('info', sa.String(length=20), nullable=True, comment='项目对接情况'),
    sa.Column('project_id', sa.Integer(), nullable=True, comment='外键id，项目id'),
    sa.ForeignKeyConstraint(['project_id'], ['siku_project.id'], ),
    sa.PrimaryKeyConstraint('id'),
    comment='四库管理对接库-项目进展（项目对接情况/项目推进情况）'
    )
    op.add_column('siku_project', sa.Column('garden', sa.String(length=20), nullable=True, comment='园区'))
    op.alter_column('siku_project', 'thread_progress',
               existing_type=mysql.VARCHAR(length=30),
               comment='线索（项目）进展',
               existing_comment='线索进展',
               existing_nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('siku_project', 'thread_progress',
               existing_type=mysql.VARCHAR(length=30),
               comment='线索进展',
               existing_comment='线索（项目）进展',
               existing_nullable=True)
    op.drop_column('siku_project', 'garden')
    op.drop_table('progress_condition')
    op.drop_table('joint_img')
    # ### end Alembic commands ###
