"""empty message

Revision ID: d6c81d2c0cdd
Revises: 3bda08bf8007
Create Date: 2022-12-06 15:24:14.307239

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd6c81d2c0cdd'
down_revision = '3bda08bf8007'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('carrier_area',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', sa.String(length=20), nullable=True, comment='区域名称'),
    sa.Column('lng', sa.String(length=50), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=50), nullable=True, comment='维度'),
    sa.Column('build_area', sa.String(length=20), nullable=True, comment='楼宇当前总面积(㎡)'),
    sa.Column('build_current_empty_area', sa.String(length=20), nullable=True, comment='楼宇当前闲置面积(㎡)'),
    sa.Column('build_last_empty_area', sa.String(length=20), nullable=True, comment='楼宇去年闲置面积(㎡)'),
    sa.Column('factory_area', sa.String(length=20), nullable=True, comment='厂房当前总面积(㎡)'),
    sa.Column('factory_current_empty_area', sa.String(length=20), nullable=True, comment='厂房当前闲置面积(㎡)'),
    sa.Column('factory_last_empty_area', sa.String(length=20), nullable=True, comment='厂房去年闲置面积(㎡)'),
    sa.Column('plan_land_store_area', sa.String(length=20), nullable=True, comment='计划土地储备面积(亩)'),
    sa.Column('plan_land_supply_area', sa.String(length=20), nullable=True, comment='计划土地供应面积(亩)'),
    sa.Column('plan_land_stock_area', sa.String(length=20), nullable=True, comment='计划土地存量面积(亩)'),
    sa.Column('land_area', sa.String(length=20), nullable=True, comment='土地当前总面积(亩)'),
    sa.Column('land_current_empty_area', sa.String(length=20), nullable=True, comment='土地当前闲置面积(亩)'),
    sa.Column('land_last_empty_area', sa.String(length=20), nullable=True, comment='土地去年闲置面积(亩)'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-产业地图-各载体类型面积数据表'
    )
    op.create_table('carrier_area_data',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', sa.String(length=20), nullable=True, comment='区域名称'),
    sa.Column('land_year', sa.String(length=20), nullable=True, comment='土地全年闲置面积'),
    sa.Column('land_one', sa.String(length=20), nullable=True, comment='土地第一季度闲置面积'),
    sa.Column('land_two', sa.String(length=20), nullable=True, comment='土地第二季度闲置面积'),
    sa.Column('land_three', sa.String(length=20), nullable=True, comment='土地第三季度闲置面积'),
    sa.Column('land_four', sa.String(length=20), nullable=True, comment='土地第四季度闲置面积'),
    sa.Column('factory_year', sa.String(length=20), nullable=True, comment='厂房全年闲置面积'),
    sa.Column('factory_one', sa.String(length=20), nullable=True, comment='厂房第一季度闲置面积'),
    sa.Column('factory_two', sa.String(length=20), nullable=True, comment='厂房第二季度闲置面积'),
    sa.Column('factory_three', sa.String(length=20), nullable=True, comment='厂房第三季度闲置面积'),
    sa.Column('factory_four', sa.String(length=20), nullable=True, comment='厂房第四季度闲置面积'),
    sa.Column('build_year', sa.String(length=20), nullable=True, comment='楼宇全年闲置面积'),
    sa.Column('build_one', sa.String(length=20), nullable=True, comment='楼宇第一季度闲置面积'),
    sa.Column('build_two', sa.String(length=20), nullable=True, comment='楼宇第二季度闲置面积'),
    sa.Column('build_three', sa.String(length=20), nullable=True, comment='楼宇第三季度闲置面积'),
    sa.Column('build_four', sa.String(length=20), nullable=True, comment='楼宇第四季度闲置面积'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-产业地图-各区县各载体闲置面积数据表'
    )
    op.create_table('carrier_energy',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('district_name', sa.String(length=20), nullable=True, comment='区域名称'),
    sa.Column('electric_one', sa.String(length=50), nullable=True, comment='居民用电（一档）(元/度)'),
    sa.Column('electric_two', sa.String(length=50), nullable=True, comment='居民用电（二档）(元/度)'),
    sa.Column('electric_three', sa.String(length=20), nullable=True, comment='居民用电（三档）(元/度)'),
    sa.Column('business_electric_feng', sa.String(length=20), nullable=True, comment='商业用电（峰段）(元/度)'),
    sa.Column('business_electric_ping', sa.String(length=20), nullable=True, comment='商业用电（平段）(元/度)'),
    sa.Column('business_electric_gu', sa.String(length=20), nullable=True, comment='商业用电（谷段）(元/度)'),
    sa.Column('industrial_electric_feng', sa.String(length=20), nullable=True, comment='工业电价（峰段）(元/度)'),
    sa.Column('industrial_electric_ping', sa.String(length=20), nullable=True, comment='工业电价（平段）(元/度)'),
    sa.Column('industrial_electric_gu', sa.String(length=20), nullable=True, comment='工业电价（谷段）(元/度)'),
    sa.Column('life_water_one', sa.String(length=20), nullable=True, comment='居民用水（一档）(元/吨)'),
    sa.Column('life_water_two', sa.String(length=20), nullable=True, comment='居民用水（二档）(元/吨)'),
    sa.Column('life_water_three', sa.String(length=20), nullable=True, comment='居民用水（三档）(元/吨)'),
    sa.Column('business_water', sa.String(length=20), nullable=True, comment='商业用水(元/吨)'),
    sa.Column('industrial_water', sa.String(length=20), nullable=True, comment='工业用水(元/吨)'),
    sa.Column('special_water', sa.String(length=20), nullable=True, comment='特种用水(元/吨)'),
    sa.Column('life_gas_one', sa.String(length=20), nullable=True, comment='居民用气（一档）(元/m³)'),
    sa.Column('life_gas_two', sa.String(length=20), nullable=True, comment='居民用气（二档）(元/m³)'),
    sa.Column('life_gas_three', sa.String(length=20), nullable=True, comment='居民用气（三档）(元/m³)'),
    sa.PrimaryKeyConstraint('id'),
    comment='载体资源库-产业地图-水电气热能源数据表'
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('carrier_energy')
    op.drop_table('carrier_area_data')
    op.drop_table('carrier_area')
    # ### end Alembic commands ###
