"""empty message

Revision ID: e361ab017b2b
Revises: 64b32417349b
Create Date: 2023-02-22 00:32:25.979908

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = 'e361ab017b2b'
down_revision = '64b32417349b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('customer_consultation',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('project_name', sa.String(length=20), nullable=True, comment='项目名称'),
    sa.Column('investor', sa.Integer(), nullable=True, comment='投资方名称'),
    sa.Column('investor_place', sa.String(length=100), nullable=True, comment='投资方所在地'),
    sa.Column('project_type', sa.String(length=20), nullable=True, comment='项目类型'),
    sa.Column('investment_volume', sa.Text(), nullable=True, comment='总投资额'),
    sa.Column('basic_information', sa.Text(), nullable=True, comment='项目方基本情况'),
    sa.Column('land_area', sa.Text(), nullable=True, comment='拟落地区域'),
    sa.Column('flag', sa.Integer(), nullable=True, comment='是否已回复 0否1是'),
    sa.Column('reply_content', sa.Text(), nullable=True, comment='回复内容'),
    sa.PrimaryKeyConstraint('id'),
    comment='小程序-客户咨询信息表'
    )
    op.drop_table('investment_consultation')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('investment_consultation',
    sa.Column('id', mysql.INTEGER(display_width=11), autoincrement=True, nullable=False, comment='主键id'),
    sa.Column('project_name', mysql.VARCHAR(length=20), nullable=True, comment='项目名称'),
    sa.Column('investor', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='投资方名称'),
    sa.Column('investor_place', mysql.VARCHAR(length=100), nullable=True, comment='投资方所在地'),
    sa.Column('project_type', mysql.VARCHAR(length=20), nullable=True, comment='项目类型'),
    sa.Column('investment_volume', mysql.TEXT(), nullable=True, comment='总投资额'),
    sa.Column('basic_information', mysql.TEXT(), nullable=True, comment='项目方基本情况'),
    sa.Column('land_area', mysql.TEXT(), nullable=True, comment='拟落地区域'),
    sa.Column('flag', mysql.INTEGER(display_width=11), autoincrement=False, nullable=True, comment='是否已回复 0否1是'),
    sa.Column('reply_content', mysql.TEXT(), nullable=True, comment='回复内容'),
    sa.PrimaryKeyConstraint('id'),
    comment='小程序-客户咨询信息表',
    mysql_comment='小程序-客户咨询信息表',
    mysql_default_charset='utf8',
    mysql_engine='InnoDB'
    )
    op.drop_table('customer_consultation')
    # ### end Alembic commands ###
