"""create table

Revision ID: f9b8176a53e7
Revises: 1edbd9516fdc
Create Date: 2021-12-07 15:59:46.236282

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f9b8176a53e7'
down_revision = '1edbd9516fdc'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('induzone',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False, comment='园区主键id'),
    sa.Column('name', sa.String(length=255), nullable=True, comment='园区名称'),
    sa.Column('image', sa.String(length=255), nullable=True, comment='园区图片'),
    sa.Column('phone', sa.String(length=255), nullable=True, comment='园区联系电话'),
    sa.Column('address', sa.String(length=255), nullable=True, comment='园区地址'),
    sa.Column('industry_position', sa.String(length=255), nullable=True, comment='产业定位'),
    sa.Column('gdp', sa.Float(), nullable=True, comment='GDP(亿元)'),
    sa.Column('represent', sa.Text(), nullable=True, comment='代表企业'),
    sa.Column('introduct', sa.Text(), nullable=True, comment='园区简介'),
    sa.Column('level', sa.String(length=32), nullable=True, comment='园区级别'),
    sa.Column('district', sa.String(length=255), nullable=True, comment='园区区县'),
    sa.Column('charge', sa.String(length=255), nullable=True, comment='园区负责人'),
    sa.Column('site', sa.String(length=255), nullable=True, comment='园区所在地'),
    sa.Column('industry_type', sa.String(length=255), nullable=True, comment='产业类型'),
    sa.Column('area', sa.Float(), nullable=True, comment='占地面积(平方公里)'),
    sa.Column('lng', sa.String(length=255), nullable=True, comment='经度'),
    sa.Column('lat', sa.String(length=255), nullable=True, comment='纬度'),
    sa.Column('cluster', sa.String(length=255), nullable=True, comment='产业集群'),
    sa.Column('cate', sa.String(length=255), nullable=True, comment='园区类型'),
    sa.Column('invest_power', sa.Float(), nullable=True, comment='亩均投资强度（万元/亩）'),
    sa.Column('value_product', sa.Float(), nullable=True, comment='亩均年产值（万元/亩）'),
    sa.Column('tax', sa.Float(), nullable=True, comment='亩均年税收（万元/亩）'),
    sa.Column('indu_land', sa.String(length=255), nullable=True, comment='工业土地均价（万元/亩）'),
    sa.Column('comm_land', sa.String(length=255), nullable=True, comment='商办土地均价（万元/亩）'),
    sa.Column('highmag', sa.String(length=255), nullable=True, comment='高层管理人员（元/月）'),
    sa.Column('middlemag', sa.String(length=255), nullable=True, comment='中级管理人员（元/月）'),
    sa.Column('worker', sa.String(length=255), nullable=True, comment='普通员工（元/月）'),
    sa.Column('trans_facility', sa.Text(), nullable=True, comment='交通配套'),
    sa.Column('goods_trans', sa.Text(), nullable=True, comment='货物运输'),
    sa.Column('live_facility', sa.Text(), nullable=True, comment='园区生活配套'),
    sa.Column('market', sa.Text(), nullable=True, comment='百货商场'),
    sa.Column('hotel_bus', sa.Text(), nullable=True, comment='酒店商务'),
    sa.Column('medical', sa.Text(), nullable=True, comment='医疗机构'),
    sa.Column('education', sa.Text(), nullable=True, comment='教育教育'),
    sa.Column('induenterprise', sa.Text(), nullable=True, comment='规模以上企业'),
    sa.Column('innovate', sa.Text(), nullable=True, comment='科研机构'),
    sa.Column('base', sa.Text(), nullable=True, comment='双创基地'),
    sa.Column('carrier', sa.Text(), nullable=True, comment='产业载体'),
    sa.Column('navigator', sa.String(length=255), nullable=True, comment='导航一'),
    sa.Column('navigat', sa.String(length=255), nullable=True, comment='导航二'),
    sa.Column('region', sa.String(length=255), nullable=True, comment='精确行政区'),
    sa.Column('gdp_point', sa.Float(), nullable=True, comment='GDP的评分'),
    sa.Column('school_point', sa.Float(), nullable=True, comment='高校院所的评分'),
    sa.Column('mall_point', sa.Float(), nullable=True, comment='购物中心的评分'),
    sa.Column('hotel_point', sa.Float(), nullable=True, comment='酒店餐饮的评分'),
    sa.Column('policy_point', sa.Float(), nullable=True, comment='政策数的评分'),
    sa.Column('development_zone', sa.String(length=255), nullable=True, comment='所在开发区'),
    sa.PrimaryKeyConstraint('id'),
    comment='晋城园区信息'
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('induzone')
    # ### end Alembic commands ###
